<link href="../markdown.css" rel="stylesheet"></link>

<title>1.4. Origin of some equations</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$


##1.4. Origin of some equations

> 1. [Wave equation](#sect-1.4.1)
> 2. [Diffusion equation](#sect-1.4.2)
> 2. [Laplace equation](#sect-1.4.3)

###<span id="sect-1.4.1"></span>Wave equation

**<span id="example-1.4.1"></span>Example 1.**
Consider a string as a curve $y=u(x,t)$ with a tension $T$ and with a linear density $\rho$. We assume that $|u\_x|\ll 1$.

Observe that at point $x$ the part of the string to the left from $x$ pulls it up with a force $-F(x):=-Tu\_x$. Indeed, the force $T$ is directed along the curve and the slope of angle $\theta$ between the tangent to the curve and horizontal line is $u\_x$; so $\sin(\theta)=u\_x/\sqrt{1+u\_x^2}$ which under our assumption we can replace by $u\_x$. On the other hand at point $x$ the part of the string to the right from $x$ pulls it up with a force $F(x):=-Tu\_x$. Therefore the  total $y$-component of force applied to the segment of the string between  $J=[x\_1,x\_2]$ equals
\begin{equation\*}
F(x\_2)-F(x\_1)=\int\_{J} \partial F(x)\, dx= \int\_{J} Tu\_{xx}\, dx.
\end{equation\*}
According to Newton law it must be equal to $\int\_{J} \rho u\_{tt}\, dx$ where $\rho  dx$ is the mass and $u\_{tt}$ is the acceleration of the infinitesimal segment $[x,x+dx]$:
\begin{equation\*}
\int\_{J} \rho u\_{tt}\, dx=\int\_{J} Tu\_{xx}\, dx.
\end{equation\*}
Since this equality holds for any segment $J$, the integrands coincide:
\begin{equation}
\rho u\_{tt}= Tu\_{xx}
\label{eq-1.4.1}
\end{equation}

**<span id="example-1.4.2"></span>Example 2.**
Consider a membrane as a surface $z=u(x,y,t)$ with a tension $T$ and with a surface density $\rho$. We assume that $|u\_x|,|u\_{yy}|\ll 1$.

Consider a domain $D$ on the plane, its boundary $L$ and a small segment of the length $ds$ of this boundary. Then the outer domain pulls this segment up with the force $-T\mathbf{n}\cdot \nabla u \,ds$ where $\mathbf{n}$ is the inner unit normal to this segment. Indeed, the total force is $Tds$ but it pulls along the surface and the slope of the surface in the direction of $\mathbf{n}$ is $\approx \mathbf{n}\cdot \nabla u$.

Therefore the  total $z$-component of force applied to $D$ between  $x=x\_1$ and  equals due to [(A1.1.1)](../ChapterA/SA.1.html#mjx-eqn-eq-A.1.1)
\begin{equation\*}
-\int\_{L} T \mathbf{n}\cdot \nabla u\, ds= \iint \nabla \cdot (T\nabla u) \, dxdy
\end{equation\*}
According to Newton law it must be equal to $\iint\_D \rho u\_{tt}\, dxdy$ where $\rho  dxdy$ is the mass and $u\_{tt}$ is the acceleration of the element of the area:
\begin{equation\*}
\iint\_D \rho u\_{tt}\, dxdy=\iint\_{[x\_1,x\_2]} T\Delta u\, dx
\end{equation\*}
as $\nabla \cdot (T\nabla u)=T \Delta u$.
Since this equality holds for any segment, the integrands coincide:
\begin{equation}
\rho u\_{tt}= T\Delta u.
\label{eq-1.4.2}
\end{equation}

**<span id="example-1.4.3"></span>Example 3.**
Consider a gas and let $\mathbf{v}$ be its velocity and $\rho$ its density. Then \begin{align}
&\rho \mathbf{v}\_t + \rho (\mathbf{v}\cdot \nabla ) \mathbf{v} = -\nabla p,
\label{eq-1.4.3}\\\\
&\rho\_t + \nabla \cdot (\rho\mathbf{v})=0
\label{eq-1.4.4}
\end{align}
where $p$ is the pressure. Indeed, in (\ref{eq-1.4.3}) the left-hand expression is  $\rho \frac{d\ }{dt} \mathbf{v})$ (the mass per unit of the volume multiplied by acceleration) and the right hand expression is the force of the pressure; no other forces are considered. Further (\ref{eq-1.4.4}) is *continuity equation* which means the mass conservation  since the flow of the mass through the surface element $dS$ in the direction of the normal $\mathbf{n}$ for time $dt$ equals $\rho \mathbf{n}\cdot \mathbf{v}$.

We need to add $p=p(\rho)$. Assuming that $\mathbf{v}$, $\rho-\rho\_0$ and their first derivatives are small ($\rho\_0=\const$) we arrive instead to
\begin{align}
&\rho\_0 \mathbf{v}\_t  = -p'(\rho\_0)\nabla \rho,
\label{eq-1.4.5}\\\\
&\rho\_t + \rho\_0\nabla \cdot \mathbf{v}=0
\label{eq-1.4.6}
\end{align}
and then applying $\nabla\cdot $ to (\ref{eq-1.4.5}) and $\partial\_t $ to (\ref{eq-1.4.6}) we arrive to
\begin{equation}
\rho\_{tt}=c^2\Delta \rho
\label{eq-1.4.7}
\end{equation}
with $c=\sqrt{p'(\rho\_0)}$.

###<span id="sect-1.4.2"></span>Diffusion equation

**<span id="example-1.4.4"></span>Example 4.**
Let $ u$ be a concentration of parfume in the still air. Consider some volume $V$, then the quantity of the parfume in $V$ at time $t$ equals
$\iiint \_V u \, dxdydz$ and its increment for time $dt$  equals
\begin{equation\*}
\iiint \_V u\_t \, dxdydz\times dt.
\end{equation\*}

On the other hand, the law of diffusion states that the flow of parfume through the surface element $dS$ in the direction of the normal $\mathbf{n}$ for time $dt$ equals $-k\nabla  u dSdt$ where $k$ is a *diffusion coefficient* and therefore the flow of the parfume into $V$ from outside for time $dt$ equals
 \begin{equation\*}
 \iint \_S (-k\nabla  u)\, dS\times dt=
 \iiint\_V \nabla \cdot (k\nabla  u)\,dxdydz\times dt
 \end{equation\*}
due to [(A1.1.2)](../ChapterA/SA.1.html#mjx-eqn-eq-A.1.2).
Therefore if there are neither sources nor sinks (negative sources) in $V$ these two expression must be equal
\begin{equation\*}
\iiint \_V u\_t \, dxdydz= \iiint\_V \nabla \cdot (k\nabla  u)\,dxdydz
\end{equation\*}
where we divided by $dt$. Since these equalities must hold for any volume the integrands must coincide and we arrive to *continuity equation*:
\begin{equation}
 u\_t =  \nabla \cdot (k\nabla  u).
\label{eq-1.4.8}
\end{equation}
If $k$ is constant we get
\begin{equation}
 u\_t =  k\Delta  u.
\label{eq-1.4.9}
\end{equation}

**<span id="example-1.4.5"></span>Example 5.**
Consider heat propagation. Let $T$ be a temperature. Then the heat energy contained in the volume $V$ equals $\iiint \_V Q(T)\,dxdydz$ and the heat flow (the flow of the heat energy) through the surface element $dS$ in the direction of the normal $\mathbf{n}$ for time $dt$ equals $-k\nabla  T dSdt$ where $k$ is a *thermoconductivity coefficient*. Applying the same arguments as above we arrive to
\begin{equation}
Q\_t =  \nabla \cdot (k\nabla  T).
\label{eq-1.4.10}
\end{equation}
which we rewrite as
\begin{equation}
cT\_t =  \nabla \cdot (k\nabla  T).
\label{eq-1.4.11}
\end{equation}
where $c= \frac{\partial Q}{\partial T}$ is a *thermocapacity coefficient*.

If both $c$ and $k$ are constant we get
\begin{equation}
c T\_t =  k\Delta  T.
\label{eq-1.4.12}
\end{equation}

In the real life $c$ and $k$ depend on $T$. Further, $Q(T)$ has jumps at *phase transition temperature*. For example to melt an ice to a water (both at $0^\circ$) requires a lot of heat and to boil the water to a vapour  (both at $100^\circ$) also requires a lot of heat.

###<span id="sect-1.4.3">Laplace equation

**<span id="example-1.4.6"></span>Example 6.**
Considering all examples above and assuming that unknown function does not depend on $t$  (and thus replacing corresponding derivatives by $0$) we arrive to the corresponding *stationary equations* the simplest of which is
\begin{equation}
\Delta  u=0.
\label{eq-1.4.13}
\end{equation}

**<span id="example-1.4.7"></span>Example 7.**
In the theory of complex variables one studies holomorphic function $f(z)$ satisfying a Cauchy-Riemann equation $\partial\_{\bar{z}}f=0$. Here $z=x+iy$, $f=u(x,y)+iv(x,y)$ and
$\partial\_{\bar{z}}=\frac{1}{2}(\partial\_x +i  \partial\_y)$; then this equation could be rewritten as
\begin{align}
& \partial\_x u -\partial\_y v=0,\label{eq-1.4.14}\\\\
& \partial\_x v + \partial\_y u=0,\label{eq-1.4.15}
\end{align}
which imply that both $u,v$ satisfy (\ref{eq-1.4.13}).

________

[$\Leftarrow$](./S1.3.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S1.P.html)


