<link href="../markdown.css" rel="stylesheet"></link>

<title>10.1. Functionals: definitions</title>

<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

#Chapter 10. Variational methods

##10.1. Functionals, extremums and variations
> 1.  [Functionals: definitions](#sect-10.1.1)
> 2.  [Variations of functionals](#sect-10.1.2)
> 3.  [Stationary points of functionals](#sect-10.1.3)
> 4.  [Extremums of functionals](#sect-10.1.4)


###<span id="sect-10.1.1"></span>Functionals: definitions

**<span id="definition-10.1.1"></span>Definition 1.**
*Functional* is a map from some space of functions (or subset in the space of functions) $\mathsf{H}$ to $\mathbb{R}$ (or $\mathbb{C}$):
\begin{equation}
\Phi: \mathsf{H}\ni u\to \Phi[u]\in \mathbb{R}.
\label{eq-10.1.1}
\end{equation}

**<span id="remark-10.1.1"></span>Remark 1.**
Important that we consider a whole function as an argument, not its value at some particular point!


**<span id="example-10.1.1"></span>Example 1.**

1. On the space $C(I)$ of continuos functions on the closed interval $I$ consider functional $\Phi[u]=u(a)$ where $a\in I$ (value at the point);
2. On $C(I)$ consider functionals $\Phi[u]=\max\_{x\in I} u(x)$,
    $\Phi[u]=\min\_{x\in I} u(x)$ and $\Phi[u]=\max\_{x\in I} |u(x)|$,
    $\Phi[u]=\min\_{x\in I} |u(x)|$;
3. Consider $\Phi[u]=\int\_I f(x) u(x)\,dx$ where $f(x)$ is some fixed function.
4. On the space $C^1(I)$ of continuos and continuously differentiable functions
    on the closed interval $I$ consider functional $\Phi[u]=u'(a)$.

**<span id="definition-10.1.2"></span>Definition 2.**

1. Sum of functionals $\Phi\_1+\Phi\_2$ is defined as
    $(\Phi_1+\Phi\_2)[u]=\Phi\_1[u]+\Phi\_2[u]$;
2. Product of functional by a number: $\lambda \Phi$ is defined as
    $(\lambda \Phi)[u]=\lambda (\Phi[u])$;
3. Function of functionals: $F(\Phi\_1,\ldots,\Phi\_s)$ is defined as
    $F(\Phi\_1,\ldots,\Phi\_s)[u]=F (\Phi\_[u],\ldots,\Phi\_s[u])$.

**<span id="definition-10.1.3"></span>Definition 3.**
Functional $\Phi[u]$ is called *linear* if
\begin{gather}
\Phi [u+v]= \Phi[u]+\Phi [v],\label{eq-10.1.2}\\\\
\Phi [\lambda u]= \lambda \Phi[u] \label{eq-10.1.3}
\end{gather}
for all functions $u$ and scalars $\lambda$.

**<span id="remark-10.1.2"></span>Remark 2.**
Linear functionals will be crucial in the definition of *distributions* later.

**<span id="exercise-10.1.1"></span>Exercise 1.**
Which functionals of [Example 1.](#example-10.1.1) are linear?

###<span id="sect-10.1.1"></span>Variations of functionals

Let us consider functional
\begin{equation}
\Phi[u]= \iiint\_\Omega L(x, u,\nabla u)\,dx
\label{eq-10.1.4}
\end{equation}
where $\Omega$ is $n$-dimensional domain and $L$ is some function of $n+2$ variables. Let us consider $u+\delta u$ where $\delta u $ is a "small" function. We do not formalize this notion, just $\varepsilon \phi$ with fixed $\phi$ and $\varepsilon\to 0$ is considered to be small. We call $\delta u$ *variation* of $u$ and important is that we change a function as a whole object. Let us consider
\begin{multline}
\Phi[u+\delta u]-\Phi[u]=
\iiint\_\Omega \Bigl(L(x,u+\delta u,\nabla u +\nabla \delta u)-L(x, u,\nabla u)
\Bigr)\,dx\\\\
  \approx \iiint\_\Omega \Bigl(\frac{\partial L}{\partial u}\delta u +\sum\_{1\le j\le n} \frac{\partial L}{\partial u\_{x\_j}}\delta u\_{x\_j}
\Bigr)\,dx\qquad
\label{eq-10.1.5}
\end{multline}
where we calculated the linear part of expression in the parenthesis; if $\delta u=\varepsilon \phi$ and all functions are sufficiently smooth then $\approx$ would mean "equal modulo $o(\varepsilon)$ as $\varepsilon\to 0$".

**<span id="definition-10.1.4"></span>Definition 4.**

1. Function $L$ we call *Lagrangian*.
2. The right-hand expression of (\ref{eq-10.1.5}) which is a linear functional with respect to $\delta u$ we call *variation of functional $\Phi$* and denote by $\delta \Phi$.


**<span id="assumption-10.1.1"></span>Assumption 1.**
All functions are sufficiently smooth.

Under this assumption, we can integrate the right-hand expression of (\ref{eq-10.1.5}) by parts:
\begin{multline}
\delta \Phi:= \iiint\_\Omega \Bigl(\frac{\partial L}{\partial u}\delta u +\sum\_{1\le j\le n} \frac{\partial L}{\partial u\_{x\_j}}\delta u\_{x\_j}
\Bigr)\,dx\\\\
= \iiint\_\Omega\Bigl(\frac{\partial L}{\partial u} - \sum\_{1\le j\le n} \frac{\partial\ }{\partial x\_j} \frac{\partial L}{\partial u\_{x\_j}} u\Bigr)\delta u \,dx -
\iint\_{\partial \Omega} \Bigl(\sum\_{1\le j\le n} \frac{\partial L}{\partial u\_{x\_j}}\nu\_j \Bigr)\delta u \,d\sigma\qquad
\label{eq-10.1.6}
\end{multline}
where $d\sigma$ is an area element and $\nu$ is a unit interior normal to $\partial \Omega$.

###<span id="sect-10.1.1"></span>Stationary points of functionals

**<span id="definition-10.1.5"></span>Definition 5.**
If $\delta \Phi=0$ for all *admissible variations* $\delta u$ we call $u$ a *stationary point* or *extremal* of functional $\Phi$.

**<span id="remark-10.1.3"></span>Remark 3.**

1. We consider $u$ as a point in the functional space;
2. In this definition we did not specify which variations are admissible. Let us consider as admissible all variations which are $0$ at the boundary:
\begin{equation}
\delta u |\_{\partial\Omega}=0.
\label{eq-10.1.7}
\end{equation}
We will consider different admissible variations later.

In this framework
\begin{equation}
\delta \Phi=
\iiint\_\Omega\Bigl(\frac{\partial L}{\partial u} - \sum\_{1\le j\le n} \frac{\partial\ }{\partial x\_j} \frac{\partial L}{\partial u\_{x\_j}} \Bigr)\delta u \,dx .
\label{eq-10.1.8}
\end{equation}

**<span id="lemma-10.1.1"></span>Lemma 1.**
Let $f$ be a continuos function in $\Omega$.
If $\iiint\_\Omega f(x)\phi(x)\,dx=0$ for all $\phi$ such that
$\phi|\_{\partial \Omega}=0$ then $f=0$ in $\Omega$.

*Proof.* Indeed, let us assume that $f(\bar{x})> 0$ at some point
$\bar{x}\in \Omega$ (case  $f(\bar{x})< 0$ is analyzed in the same way). Then $f(x)>0$ in some vicinity $\mathcal{V}$ of $\bar{x}$. Consider function $\phi(x)$ which is $0$ outside of $\mathcal{V}$, $\phi\ge 0$ in $\mathcal{V}$ and $\phi(\bar{x})>0$. Then $f(x)\phi(x)$ has the same properties and $\iiint\_{\Omega} f(x)\phi(x)\, dx>0$. Contradiction!

As a corollary we arrive to

**<span id="thm-10.1.1"></span>Theorem 1.**
Let us consider a functional (\ref{eq-10.1.4}) and consider as admissible all $\delta u$ satisfying (\ref{eq-10.1.7}). Then $u$ is a stationary point of $\Phi$ if and only if it satisfies *Euler-Lagrange equation*
\begin{equation}
\frac{\delta \Phi}{\delta u}:=
\frac{\partial L}{\partial u} - \sum\_{1\le j\le n} \frac{\partial\ }{\partial x\_j} \left(\frac{\partial L}{\partial u\_{x\_j}}\right) =0.
\label{eq-10.1.9}
\end{equation}


###<span id="sect-10.1.1"></span>Extremums of functionals

**<span id="definition-10.1.6"></span>Definition 6.**
If $\Phi[u]\ge \Phi[u+\delta u]$ for all small admissible variations $\delta u$ we call $u$ a *local maximum* of functional $\Phi$. If
$\Phi[u]\le \Phi[u+\delta u]$ for all small admissible variations $\delta u$ we call $u$ a *local minimum* of functional $\Phi$.

Here again we do not specify what is *small admissible variation*.

**<span id="thm-10.1.2"></span>Theorem 2.**
If $u$ is a *local extremum* (that means either local minimum or maximum) of $\Phi$ and variation exits, then $u$ is a stationary point.

*Proof.*
Consider case of minimum. Let $\delta u =\varepsilon \phi$. Then
$\Phi [u+\delta u]- \Phi [u]=\varepsilon (\delta \Phi)(\phi) +o(\varepsilon)$. If $\pm \delta \Phi> 0$ then choosing  $\mp \varepsilon <0$ we make
$\varepsilon (\delta \Phi)(\phi)\le -2\epsilon\_0 \varepsilon$ with some $\epsilon\_0>0$. Meanwhile for sufficiently small $\varepsilon$ "$o(\varepsilon)$" is much smaller and $\Phi [u+\delta u]- \Phi [u]\le -2\epsilon\_0 \varepsilon<0$ and $u$ is not a local minimum.

**<span id="remark-10.1.4"></span>Remark 4.**
We consider neither sufficient conditions of extremums nor *second variations* (similar to second differentials). In some cases they will be obvious.

**<span id="example-10.1.2"></span>Example 2.**

1. Consider a surface $\Sigma = \\{(x,y,z):\, (x,y)\in \Omega , z=u(x,y)\\}$ which has $(x,y)$-projection $\Omega$. Then the surface area of $\Sigma$ is
\begin{equation}
A(\Sigma)= \iint\_{\Omega} \bigl(1+u\_x^2+u\_y^2\bigr)^{\frac{1}{2}}\,dxdy.
\label{eq-10.1.10}
\end{equation}
We are interested in such surface of minimal area (aka *minimal surface*) under restriction $u=g$ at points $\partial \Omega$. It is a famous *[minimal surface problem](http://en.wikipedia.org/wiki/Minimal_surface)* (under the assumption that it projects nicely on $(x,y)$-plane (which is not necessarily the case). One can formulate it: find the shape of the soap film on the wire.

Then Euler-Lagrange equation is
\begin{equation}
-\frac{\partial\ }{\partial x}
\Bigl(u\_x\bigl(1+u\_x^2+u\_y^2\bigr)^{-\frac{1}{2}}\Bigr)-
\frac{\partial\ }{\partial y}
\Bigl(u\_y\bigl(1+u\_x^2+u\_y^2\bigr)^{-\frac{1}{2}}\Bigr)=0.
\label{eq-10.1.11}
\end{equation}
2. Assuming that $u\_x, u\_y \ll 1$ one can approximate $A(\Sigma)-A(\Omega)$ by
\begin{equation}
\frac{1}{2}\iint\_{\Omega} \bigl(u\_x^2+u\_y^2\bigr)\,dxdy
\label{eq-10.1.12}
\end{equation}
and for this functional Euler-Lagrange equation is
\begin{equation}
-\Delta u=0.
\label{eq-10.1.13}
\end{equation}
3. Both (1) and (2) could be generalized to higher dimensions.


**<span id="remark-10.1.5"></span>Remark 5.**
Both equations (\ref{eq-10.1.11}) and (\ref{eq-10.1.12}) come with the boundary condition $u|\_{\partial\Omega}=g$. In the next section we analyse the case when such condition is done in the original variational problem only on the part of the boundary.




---------------

[$\Leftarrow$](../Chapter9/S9.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S10.2.html)


