<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Chapter 10</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$
$\newcommand{\bfnu}{\boldsymbol{\nu}}$

###Problems to Chapter 10

> 1. [Problem 1](#problem-10.P.1)
> 2. [Problem 2](#problem-10.P.2)
> 3. [Problem 3](#problem-10.P.3)
> 4. [Problem 4](#problem-10.P.4)
> 5. [Problem 5](#problem-10.P.5)


There are several classical problems

**<span id="problem-10.P.1"></span>Problem 1.**
The heavy flexible but unstretchable wire (chain) has a length and an energy respectively
\begin{gather}
L= \int\_0^a  \sqrt{1+u^{\prime\,2}}\,dx,
\label{eq-10.P.1}\\\\
U=\rho g \int\_0^a u \sqrt{1+u^{\prime\,2}}\,dx
\label{eq-10.P.2}
\end{gather}
where $\rho$ is a linear density.

1. Write down an equation minimizing energy $U$ as length $L$ is fixed.
2. Find solution  satisfying $u(0)=h\_0$, $u(a)=h\_1$.

**<span id="problem-10.P.2"></span>Problem 2.**
We need to construct the fastest slide from point $(0,0)$ to $(a,-h)$. If $u(x)$ describes its shape then time is
\begin{equation}
T= \int\_0^a  \frac{1}{\sqrt{2gu}} \sqrt{1+u^{\prime\,2}}\,dx.
\label{eq-10.P.3}
\end{equation}

1. Write down an equation minimizing energy $U$ as length $L$ is fixed.
2. Find solution  satisfying $u(0)=0$, $u(a)=-h$.


**<span id="problem-10.P.3"></span>Problem 3.**
If in 2D–light propagation the speed of light at point $(x,y)$ is $c(x,y)$ then the time of travel between two points $(x\_1,y\_1)$ and $(x\_2,y\_2)$ equals
\begin{equation}
T=\int\_{x\_1}^{x\_2} \frac{\sqrt{1+u'^2}\,dx}{c(x,u(x))}
\label{eq-10.P.4}
\end{equation}
where $y=u(x)$ is equation of the ray, $u(x\_j)=y\_j$, $j=1,2$.

1. Write down Euler' equation.
2. Consider the case of $c(x,y)$ depending only on $y$ and reduce the 1-order equation to 1-st order one using conservation law $H(u,u')=\const$ where $H=u' L\_{u'}-L$ is a corresponding Hamiltonian, $L$ is a Lagrangian.


**<span id="problem-10.P.4"></span>Problem 4.**
The area of the surface is 
\begin{equation}
S=\iint\_{D} \sqrt{1+u\_x^2+u\_y^2}\,dxdy
\label{eq-10.P.5}
\end{equation}
where $z=u(x,y)$, $(x,y)\in D$ is an equation of the surface.

1. Write Euler-Lagrange PDE of the surface of the minimal area (with boundary conditions $u(x,y)=\phi(x,y)$ as $(x,y)\in \Gamma$ which is the boundary of $D$).
2. if the potential energy is
\begin{equation}
E= kS - \iint\_D fu\,dxdy
\label{eq-10.P.6}
\end{equation}
with $S$ defined by (\ref{eq-10.P.5}) and $f$ areal density of external force.

Write Euler-Lagrange PDE of the surface of the minimal energy.


**<span id="problem-10.P.5"></span>Problem 5.**
If the surface is a surface of revolution $z=u(r )$ with $r^2=x^2+y^2$ then
\begin{equation}
S=2\pi\int\_{D} \sqrt{1+u\_r^2}\,rdr
\label{eq-10.P.7}
\end{equation}
Write Euler-Lagrange equation and solve it.


---------------

[$\Leftarrow$](./S10.3.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter11/S11.1.html)


