<link href="../markdown.css" rel="stylesheet"></link>

<title>13.3. Properties of eigenfunctions</title>

<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\mes}{\operatorname{mes}}$

##13.3. Properties of eigenfunctions
____________________________

> 1.  [Base state](#sect-13.3.1)
> 2.  [Nodal sets](#sect-13.3.2)
> 3.  [Hearing the shape of the drum](#sect-13.3.3)

###<span id="sect-13.3.1"></span>Base state

We assume that $\Omega$ is connected domain. Consider the lowest eigenvalue $\lambda\_1$ and a corresponding eigenfunction $u\_1$.

**<span id="thm-13.3.1"></span>Theorem 1.**
Let $\Omega $ be a connected domain. Then

1. Eigenfunction $u\_1$ does not change its sign;
2. $\lambda\_1$ is a simple eigenvalue.

*Proof.*

1. Let $v = |u\_1|$. Observe that $\\|v\\|=\\|u\_1\\|$ and $Q(v)=Q(u\_1)$. Then $|u\_1|=v$ is also an eigenfunction corresponding to eigenvalue $\lambda\_1$ and then $u\_{1,\pm}=\frac{1}{2}(|u\_1|\pm u\_1)=\max (\pm u\_1, 0)$ are also eigenfunctions corresponding to $\lambda_1$. At least one of these two eigenfunctions, say $u\_{1,+}$ is positive on some open set
$\Omega'\subset \Omega$ and then $u\_{1,-}=0$ on $\Omega'$. However
$(\Delta +\lambda\_1)u\_{1,-}=0$  and there are many different theorems implying that since $u\_{1,-}=0$ on $\Omega'$ it must be $0$ on $\Omega$.
(For example: solutions of $(\Delta +\lambda\_1)v=0$ are analytic functions and there for analytic functions there is a unique continuation theorem.) Then $u\_1\ge 0$ in $\Omega$.

2. If $u\_1$ and $v\_1$ are two linearly independent eigenfunctions corresponding to the same lowest eigenvalue $\lambda\_1$, then one can find $w\_1=u\_1+ \alpha u\_1$ which also is an eigenfunction and $(u\_1,w\_1)=0$ which is impossible since both of them have constant signs in $\Omega$ and therefore $u\_1w\_1$ has a constant sign in $\Omega$ and does not vanish identically in virtue of argument of (1).

**<span id="remark-13.3.1"></span>Remark 1.**

1. Let $\lambda\_1\ge 0$. Assuming that $u\_1\ge 0$ we see that $u\_1$ is superharmonic function ($\Delta u\_1\le 0$) but such functions cannot reach minimum inside domain unless constant. So $u\_1>0$ in $\Omega$.

2. Let $\lambda\_1<0$. Assuming that $u\_1\ge 0$ we see that $u\_1$ is subharmonic function ($\Delta u\_1\ge 0$) and such functions cannot reach maximum inside domain unless constant.

3. While $\lambda\_1$ is always simple $\lambda\_n$ with $n\ge 2$ may be multiple.

**<span id="corollary-13.3.1"></span>Corollary 1.**
$u\_n$ with  $n\ge 2$ changes sign.

Indeed, it is orthogonal to $u\_1$ which does not change a sign.

###<span id="sect-13.3.2"></span>Nodal sets

**<span id="definition-13.3.1"></span>Definition 1.**
Let $u\_n$ be an eigenfunction. Then $\\{x:\, u\_n(x)=0\\}$ is called a *nodal set* (*nodal line* as $d=2$) and connected components of $\\{x\in \Omega, u\_n(x)\ne 0\\}$ are called *nodal domains*.

We know that for $n=1$ is just one nodal domain and for $n\ge 2$ there are at least 2 nodal domains. We need the following theorem from *Ordinary Differential Equations*:

**<span id="thm-13.3.2"></span>Theorem 2.**
For $d=1$   there are exactly $n-1$ nodal points and $n$ nodal intervals for $u\_n$.

**<span id="thm-13.3.3"></span>Theorem 3.**
For $d\ge 2$   if $u$ is an eigenfunction with an eigenvalue $\lambda\_n$ then $u\_n$ has no more than $n$ nodal domains.

*Proof.*
Let $u$ have $m\ge n$ nodal domains. Consider $w\_k$ coinciding with $u$ in $k$-th nodal domain $\Omega\_k$ of $u$. Then $w\_1,\ldots, w\_m$ are linearly independent and
\begin{gather\*}
\\| c\_1w\_1+\ldots +c\_m w\_m\\|^2 = \sum\{1\le j\le m} c\_j^2 \\|w\_j\\|^2, \\\\
Q( c\_1w\_1+\ldots +c\_m w\_m) = \sum\{1\le j\le m} c\_j^2 Q(w\_j).
\end{gather\*}

Consider the space $L$ of linear combinations of $w\_1,\ldots, w\_m$ which are orthogonal to $u\_1,\ldots, u\_{n-1}$; then $L\ne \\{0\\}$. By definition
$Q(v)\ge \lambda\_n \\|v\\|^2$ on $L$. Since $u\in L$ we conclude that
$Q(u)\ge \lambda\_n \\|u\\|^2$; however $Q(u)=\lambda \\|u\\|^2$ and then $\lambda\ge \lambda\_n$. It proves theorem if $\lambda\_{n+1}>\lambda\_n$.

Observe that since $(\Delta + \lambda\_n) w\_k=0$ in $\Omega\_k$ and $w\_k=0$ in $\Omega\setminus \Omega\_k$ we integrating by parts see that $Q(w\_k)=\lambda\_n\\|w\_k\\|^2$ for all $k$. Then $Q(v)=\lambda\_n\\|v\\|^2$
for all $v\in L$.

Assume now that $m>n$. Then there exists $0\ne v\in L$ which is a linear combination of $w\_1,\ldots, w\_n$. Then $v$ is an eigenfunction but it is $0$ in $\Omega_{n+1}$ and therefore it must be $0$. Contradiction.

Therefore if $\lambda\_{n-1}<\lambda\_n=\ldots =\lambda\_m$ then each eigenfunction corresponding to multiple eigenvalue $\lambda\_n$ has no more than $n$ nodal domains.

Then we can use it in the case when variables are separated (we consider only $d=2$ and only Dirichlet boundary condition:

**<span id="example-13.3.1"></span>Example 1.**
Let $\Omega=\\{0< x< a, 0 < y < b\\}$ be a rectangular box. Let us separate variables; then
\begin{equation}
u\_{pq}=\sin \Bigl(\frac{p\pi x}{a}\Bigr) \sin \Bigl(\frac{q\pi y}{b}\Bigr),\qquad \mu\_{pq}= \pi^2 \Bigl(\frac{p^2}{a^2}+\frac{q^2}{b^2}\Bigr).
\label{eq-13.3.1}
\end{equation}
Then nodal lines form a rectangular grid (see below). Let $a=b=\pi$.

<!-- -->   a. Then $\lambda\_1=2$ and  $\lambda\_2=\lambda\_3=10$ (where $\lambda\_n$ are $\mu\_{pq}$ ordered). First figure  shows nodal lines for $u\_{21}$ (and nodal lines for $u\_{12}$ are exactly like this but flipped over $x=y$). Consider now linear combinations of $u\_{21}$ and $u\_{12}$:

<center><table>
<tr><td><img src="./F13.3-12a.svg"></td> <td><img src="./F13.3-12b.svg"></td> <td><img src="./F13.3-12c.svg"></td></tr>
<tr><td align="center"> $u_{21}$ </td> <td align="center"> $u_{21}+\frac{1}{2} u_{12}$ </td> <td align="center"> $u_{21}+u_{12}$ </td> </tr>
</table></center>

<!-- -->   b. Next $\lambda\_4=8$:

<center><table>
<tr><td><img src="./F13.3-22a.svg"></td> </tr>
<tr><td align="center"> $u_{22}$ </td> </tr>
</table></center>

<!-- -->   c. Further $\lambda\_5=\lambda\_6=10$. First figure  shows nodal lines for $u\_{31}$ (and nodal lines for $u\_{13}$ are exactly like this but flipped over $x=y$). Consider now linear combinations of $u\_{31}$ and $u\_{13}$:

<center><table>
<tr><td><img src="./F13.3-31a.svg"></td> <td><img src="./F13.3-31b.svg"></td> <td><img src="./F13.3-31c.svg"></td><td><img src="./F13.3-31d.svg"></td><td><img src="./F13.3-31e.svg"></td></tr>
<tr><td align="center"> $u_{31}$ </td> <td align="center"> $u_{31}+u_{13}$ </td> <td align="center"> $u_{31}+\frac{1}{3}u_{13}$ </td> <td align="center"> $u_{31}-\frac{1}{3}u_{13}$ </td> <td align="center"> $u_{31}-u_{13}$ </td> </tr>
</table></center>
Comparing two last pictures we see that crossing open under small perturbations.

<!-- -->   d. Further $\lambda\_7=\lambda\_8=13$, First figure  shows nodal lines for $u\_{32}$ (and nodal lines for $u\_{23}$ are exactly like this but flipped over $x=y$). Consider now linear combinations of $u\_{32}$ and $u\_{23}$:

<center><table>
<tr><td><img src="./F13.3-32a.svg"></td> <td><img src="./F13.3-32b.svg"></td> <td><img src="./F13.3-32c.svg"></td></tr>
<tr><td align="center"> $u_{32}$ </td> <td align="center"> $u_{32}+\frac{1}{2}u_{23}$ </td> <td align="center"> $u_{32}+u_{23}$ </td>  </tr>
</table></center>

<!-- -->   e. Further $\lambda\_9=\lambda\_{10}=17$, First figure  shows nodal lines for $u\_{41}$ (and nodal lines for $u\_{14}$ are exactly like this but flipped over $x=y$). Consider now linear combinations of $u\_{412}$ and $u\_{14}$:

<center><table>
<tr><td><img src="./F13.3-41a.svg"></td> <td><img src="./F13.3-41b.svg"></td> <td><img src="./F13.3-41c.svg"></td><td><img src="./F13.3-41d.svg"></td> </tr>
<tr><td align="center"> $u_{41}$ </td> <td align="center"> $u_{41}+\sqrt{\frac{2}{27}}u_{14}$ </td> <td align="center"> $u_{41}+{\frac{1}{2}}u_{14}$ </td> <td align="center"> $u_{41}+u_{14}$ </td>  </tr>
</table></center>

<!-- -->   f. Further $\lambda\_{11}=18$ is simple $p=q=3$ and thus trivial; furthermore $\lambda\_{12}=\lambda\_{13}=20$ with $p=4, q=2$ is also trivial: we need just to take any picture for $p=2,q=1$ and make its double mirror reflection arriving to

<center><table>
<tr><td><img src="./F13.3-42b.svg"></td> <td><img src="./F13.3-42a.svg"></td> <td><img src="./F13.3-42c.svg"></tr>
<tr><td align="center"> $u_{42}+u_{24}$ </td> <td align="center"> $u_{42}+\frac{1}{2}u_{24}$ </td> <td align="center"> $u_{42}-u_{24}$ </td>   </tr>
</table></center>

and similar pictures (we do not draw $u\_{pq}$ anymore).

<!-- -->   f. Further $\lambda\_{14}=\lambda\_{15}=25$ does not produce anything much different from (d) but simply more nodal domains:

<center><table>
<tr><td><img src="./F13.3-43a.svg"></td> <td><img src="./F13.3-43b.svg"></td> </tr>
<tr><td align="center"> $u_{43}+u_{34}$ </td> <td align="center"> $u_{43}+\frac{1}{2}u_{34}$ </td>  </tr>
</table></center>

<!-- -->   g. Further $\lambda\_{16}=\lambda\_{17}=26$:

<center><table>
<tr><td><img src="./F13.3-51a.svg"></td> <td><img src="./F13.3-51b.svg"></td> <td><img src="./F13.3-51c.svg"></td><td><img src="./F13.3-51d.svg"></td></tr>
<tr><td align="center"> $u_{51}+u_{15}$ </td>
<td align="center"> $u_{51}+\frac{4}{5}u_{15}$ </td>
<td align="center"> $u_{51}+\frac{1}{2}u_{15}$ </td>
<td align="center"> $u_{51}+\frac{1}{4}u_{15}$ </td></tr>
<tr><td><img src="./F13.3-51e.svg"><td><img src="./F13.3-51f.svg"></td><td><img src="./F13.3-51g.svg"></td></td></tr>
<tr><td align="center"> $u_{51}-\frac{1}{5}u_{15}$ </td>
<td align="center"> $u_{51}-\frac{1}{2}u_{15}$ </td>
<td align="center"> $u_{51}-u_{15}$ </td></tr>
</table></center>

<!-- -->   h. Skipping $\lambda\_{18}=\lambda\_{19}=29$, $\lambda\_{20}=32$, $\lambda\_{21}=\lambda\_{22}=34$, consider $\lambda\_{23}=\lambda\_{24}=37$

<center><table>
<tr><td><img src="./F13.3-61a.svg"></td> <td><img src="./F13.3-61b.svg"></td> <td><img src="./F13.3-61c.svg"></td><td><img src="./F13.3-61d.svg"></td></tr>
<tr><td align="center"> $u_{61}+u_{16}$ </td>
<td align="center"> $u_{61}+\frac{4}{5}u_{16}$ </td>
<td align="center"> $u_{61}+\frac{1}{5}u_{16}$ </td>
<td align="center"> $u_{61}+\frac{1}{10}u_{16}$ </td></tr>
</table></center>

<!-- -->   i. Starting from $\lambda=50=7^2+1^2=5^2+5^2$ multiplicities could be larger than $2$ and the following gallery is just a tiny sample

<center><table>
<tr><td><img src="./F13.3-71a.svg"></td> <td><img src="./F13.3-71b.svg"></td> <td><img src="./F13.3-71c.svg"></td><td><img src="./F13.3-71d.svg"></td>
<td><img src="./F13.3-71e.svg"></td></tr>
</table></center>

**<span id="example-13.3.2"></span>Example 2.**
Consider $\Omega=\\{ 0< y < x <\pi\\}$ which is a triangle.

1. If on the diagonal $x=y$  a Dirichlet condition is required, then eigenfunctions are $u\_{pq}(x,y)-u\_{pq}(y,x)$ with $p\ne q$ (or their linear combination like
$u\_{83}(x,y)-u\_{83}(y,x)$ and $u\_{74}(x,y)-u\_{74}(y,x)$).
2. If on the diagonal $x=y$  a Neumann condition is required, then eigenfunctions are $u\_{pq}(x,y)+u\_{pq}(y,x)$ (or their linear combination like
$u\_{71}(x,y)+u\_{71}(y,x)$ and $u\_{55}(x,y)$).

**<span id="example-13.3.3"></span>Example 3.**

<!-- --> a. Let $\Omega=\\{r\le b \\}$ be a disk. Then nodal lines form a circular grid:
$u\_{pq}(r,\theta)= \cos (p\theta) J\_{p}(k\_{pq}r)$ where $J\_p(z)$ are Bessel functions and $k\_{pq} b$ is $q$-th root of $J\_p(z)$. The similar statement is true for circular sectors, rings etc.

<!-- -->  b. Let $\Omega$ be an ellipse. Then (see
[Subsection 6.3.3](../S6.3.html#sect-6.3.3)) in the elliptical coordinates
 Laplacian is
\begin{equation}
\Delta =
\frac{1}{c^2\bigl(\sinh^2(\sigma)+\sin^2(\tau) \bigr)}
(\partial\_\sigma^2 +\partial\_\tau^2 )
\label{eq-13.3.2}
\end{equation}
and separating variables $u= S(\sigma)T(\tau)$ we get
\begin{align}
& S'' +\bigl( \lambda c^2 \sinh^2(\sigma) -k\bigr)S=0,\label{eq-13.3.3}\\\\
& T'' + \bigl( \lambda c^2 \sin^2(\tau) + k\bigr)T=0.\label{eq-13.3.4}
\end{align}
For $T$ we have either $\pi$-periodic or $\pi$-antiperiodic boundary condition:
$T(\tau +\pi)=\pm T(\tau)$ and for $S$ we have Dirichlet boundary condition as $\cosh (\sigma)= a/c$ and respectively Neumann and Dirichlet boundary condition as $\sigma=0$ arising from $S(\pm \sigma)= \pm S(\sigma)$. So we have a grid consisting from confocal ellipses and hyperbolas. The similar statement is true for elliptical "sectors", rings etc.

<!-- -->  c. Let $\Omega$ be an parabolic lense. Then (see
[Subsection 6.3.3](../S6.3.html#sect-6.3.3)) in the parabolic coordinates
\begin{equation}
\Delta =
\frac{1}{\sigma^2+\tau^2}
(\partial\_\sigma^2 +\partial\_\tau^2 )
\label{eq-13.3.5}
\end{equation}
and separating variables $u= S(\sigma)T(\tau)$ we get
\begin{align}
& S'' +\bigl( \lambda \sigma^2 -k\bigr)S=0,\label{eq-13.3.6}\\\\
& T'' + \bigl( \lambda c^2 \tau^2  + k\bigr)T=0.\label{eq-13.3.7}
\end{align}
So we have a grid consisting from confocal parabolas.

**<span id="remark-13.3.2"></span>Remark 2.**
For generic domais (any sufficiently small perturbation of generic domain is a generic domain again but an arbitrarily small perturbation of non-generic domain may result in generic domain)

1. All eigenvalues are simple;
2. Nodal lines do not have self-intersections.

**<span id="remark-13.3.3">Remark 3.**
Historically interest to nodal lines appeared from [Chladni plates](http://en.wikipedia.org/wiki/Ernst_Chladni) but those are nodal lines for biharmonic operator
\begin{equation}
(\Delta ^2-\lambda )u=0
\label{eq-13.3.8}
\end{equation}
with free boundary conditions
(appearing from variational problem
\begin{equation}
\delta \Bigl (\iint \bigl(u\_{xx}^2+ 2u\_{xy}^2 + u\_{yy}^2 -\lambda u^2\bigr)\,dxdy\Bigr)=0
\label{eq-13.3.9}
\end{equation}
(without boundary conditions). This is much more complicated question which was (partially) solved by
[Marie-Sophie Germain](http://en.wikipedia.org/wiki/Sophie_Germain).

For such equation works Fourier method: we can decompose solutions into Fourier series by $\theta$ and for coefficients $R\_n(r)$ we get equation
\begin{equation}
\bigl(\partial\_r ^2 -\frac{1}{r}\partial\_r -\frac{n^2}{r^2}- \omega\bigr)
\bigl(\partial\_r ^2 -\frac{1}{r}\partial\_r -\frac{n^2}{r^2}+ \omega) R\_n =0,
\label{eq-13.3.10}
\end{equation}
$\omega=\sqrt{\lambda}$, and we get nodal lines corresponding to zeroes either of $\Theta\_n$ (radial) or $R\_n$ (circular).

###<span id="sect-13.3.3"></span>Hearing the shape of the drum

In 1966 Marc Kac asked the question"Can one hear the shape of the drum" which meant: if we know all the eigenvalues of the Dirichlet Laplacian $\Delta$:
$0<\lambda\_1 <\lambda\_2 \le \lambda\_3\le \ldots $ in the connected domain $\Omega$, can we restore $\Omega$ (up to isometric movements—shift and rotations). The extensive study was using the method of *spectral invariants*, which are numbers which have some geometric meaning and which can be calculated from $0<\lambda\_1 <\lambda\_2 \le \lambda\_3\le \ldots $.

The main source of such invariants was the *method of heat equation*: Namely let $G(x,y,t)$ with $x,y\in \Omega$ and $t>0$ be a Green function:
\begin{align}
&G\_t -\Delta\_x G=0,\label{eq-13.3.11}\\\\
&G|_{t=0}=\delta (x-y),\label{eq-13.3.12}\\\\
&G|\_{x\in \partial \Omega}=0\label{eq-13.3.13}
\end{align}
and let
\begin{equation}
\sigma(t)= \iint u(x,x,t)\, dx= \sum\_{n\ge 1} e^{-\lambda\_n t}
\label{eq-13.3.14}
\end{equation}
be a *heat trace*; then
\begin{equation}
\sigma(t)\sim  \sum \_{k\ge -d} c\_k t^{k/2}\qquad \text{as }\ t\to +0
\label{eq-13.3.15}
\end{equation}
where $c\_k$ are heat invariants. It was proven that (as $d=2$, for $d\ge 3$ similarly) area, perimeter, number of holes and many other geometric characteristic are spectral invariants but the final answer was negative: there are *isospectral* domains $\Omega$ and $\Omega'$ (so that eigenvalues of Laplacians in those are equal) which are not *isometric* (have different shapes).

---------------

[$\Leftarrow$](./S13.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S13.4.html)

