<link href="../markdown.css" rel="stylesheet"></link>

<title>13.5. Continuous spectrum and scattering</title>

<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\supp}{\operatorname{supp}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\mes}{\operatorname{mes}}$


> 1. [Introduction](#sect-13.5.1)
> 2. [One dimensional scattering](#sect-13.5.2)
> 3. [Three dimensional scattering](#sect-13.5.3)


##13.5. Continuous spectrum and scattering

###<span id="sect-13.5.1"></span>Introduction

Here we discuss idea of scattering. Basically there are two variants of the *Scattering Theory*--non-stationary and stationary. We start from the former but then fall to the latter. We assume that there is *unperturbed operator* $L\_0$ and *perturbed operator* $L=L\_0+V$ where $V$ is a perturbation. It is always assumed that $L\_0$ has only continuous spectrum (more precisely--absolutely continuous) and the same is true for $L$ (otherwise our space $\mathsf{H}$ is decomposed into sum
$\mathsf{H}=\mathsf{H}\_{\mathsf{ac}}\oplus \mathsf{H}\_{\mathsf{pp}}$ where $L$ acts on each of them and on $\mathsf{H}\_{\mathsf{ac}}$, $\mathsf{H}\_{\mathsf{pp}}$ it has absolutely continuous and pure point spectra respectively. Scattering happens only on the former.

Now consider $u=e^{itL}u\_0$ be a solution of the perturbed non-stationary equation. In the reasonable assumptions it behaves as $t\to \pm \infty$ as  solutions of  the perturbed non-stationary equation:
\begin{equation}
\\|e^{itL}u\_0\- e^{itL\_0}u\_\pm\\|\to 0\qquad \text{as }\ t\to \pm \infty
\label{eq-13.5.1}
\end{equation}
or, in other words  the following limits exist
\begin{equation}
u\_\pm=\lim\_{t\to \pm \infty} e^{-itL\_0}e^{itL}u\_0.
\label{eq-13.5.2}
\end{equation}
Then operators $W\_\pm : u\_0\to u\_pm$ are called *wave operators* and under some restrictions they are proven to be unitary operators from $\mathsf{H}$ onto $\mathsf{H}\_{\mathsf{ac}}$. Finally $S=W\_+W\_-^{-1}$ is called a *scattering operator*.

Despite theoretical transparency this construction is not very convenient and instead are considered some test solutions which however do not belong to space $\mathsf{H}\_{\mathsf{ac}}$.

###<span id="sect-13.5.2"></span>One dimensional scattering

Let us consider on $\mathsf{H}=L^2(\mathbb{R})$ operators $L\_0u:= -u\_{xx}$ and $L=L\_0+V(x)$. Potential $V$ is supposed to be fast decaying as $|x|\to \infty$ (or even compactly  supported). Then consider a solution of
\begin{equation}
u\_t =iLu= -iu\_{xx} + V(x)u
\label{eq-13.5.3}
\end{equation}
of the form $e^{ik^2t}v(x,k)$; then $v(x,k)$ solves
\begin{equation}
v\_{xx}- V(x)v + k^2v=0
\label{eq-13.5.4}
\end{equation}
and it behaves as $a\_{\pm} e^{ikx}+ b\_{\pm} e^{-ikx}$ as $x\to \pm \infty$.

Consider solution which behaves exactly as $e^{ikx}$ as $x\to -\infty$:
\begin{equation}
v(k,x)= e^{ikx}+o(1)\qquad \text{as  } x\to -\infty;
\label{eq-13.5.5}
\end{equation}
then
\begin{equation}
v(k,x)= A(k)e^{ikx}+ B(k)e^{-ikx}+o(1)\qquad \text{as  } x\to +\infty.
\label{eq-13.5.6}
\end{equation}
Complex conjugate solution then
\begin{align}
&\bar{v}(k,x)= e^{-ikx}+o(1)\qquad \text{as  } x\to -\infty,
\label{eq-13.5.7}\\\\
&\bar{v}(k,x)= \bar{A}(k)e^{-ikx}+ \bar{B}(k)e^{ikx}+o(1)\qquad \text{as  }
x\to +\infty.
\label{eq-13.5.8}
\end{align}
Their Wronskian $W(v,\bar{v})$ must be constant (which follows from equation to Wronskian from ODE) and since $W(v,\bar{v})= W(e^{ikx},e^{-ikx})+o(1)=-2ik+o(1)$ as $x\to -\infty$ and
\begin{align}
&W(v,\bar{v})= W(A(k)e^{ikx}+ B(k)e^{-ikx},\label{eq-13.5.9}\\\\
&\bar{A}(k)e^{-ikx}+ \bar{B}(k)e^{ikx})+o(1)=
 -2ik \bigl( |b(k)|^2-|a(k)|^2\bigr)+o(1)
\label{eq-13.5.10}
\end{align}
as $x\to +\infty$ we conclude that
\begin{equation}
|A(k)|^2-|B(k)|^2 =1.
\label{eq-13.5.11}
\end{equation}
We interpret it as the wave $A(k)e^{ikx}$ at $+\infty$ meets a potential and part of it $e^{ikx}$ passes to $-\infty$ and another part $B(k)e^{-ikx}$ reflects back to $+\infty$.

We observe that (\ref{eq-13.5.11}) means that the energy of the passed (refracted) and reflected waves together are equal to the energy of the original wave. We can observe that
\begin{equation}
A(-k)=\bar{A}(k), \qquad B(-k)=\bar{B}(k).
\label{eq-13.5.12}
\end{equation}
Functions $A(k)$ and $B(k)$ are *scattering coefficients* and together with eigenvalues $-k\_j^2$
\begin{equation}
\phi\_{j,xx} -V\_j(x)\phi\_j -k\_j^2\phi\_j=0, \qquad \phi_j\ne 0
\label{eq-13.5.13}
\end{equation}
they completely define potential $V$.


###<span id="sect-13.5.3"></span>Three dimensional scattering

Consider $-\Delta$ as unperturbed operator and $-\Delta + V(x)$ as perturbed where $V(x)$ is smooth fast decaying at infinity potential. We ignore possible point spectrum (which in this case will be finite and discrete). Let us consider perturbed wave equation
\begin{equation}
u\_{tt}-\Delta u +V(x)u=0;
\label{eq-13.5.14}
\end{equation}
it is simler than Schrödinger equation. Let us consider its solution which behaves as $t\to -\infty$ as a plane wave
\begin{equation}
u\sim u\_{-\infty} = e^{ik (\boldsymbol{\omega}\cdot \mathbf{x}-t)}\qquad
\text{as } t\to -\infty.
\label{eq-13.5.15}
\end{equation}
with $\boldsymbol{\omega}\in \mathbb{S}^2$ (that means $\boldsymbol{\omega}\in \mathbb{R}^3$ and $|\boldsymbol{\omega}|=1$), $k\ge 0$.

**<span id="thm-13.5.1"></span>Theorem 1.**
If (\ref{eq-13.5.15}) holds then
\begin{equation}
u\sim u\_{+\infty} = e^{ik (\boldsymbol{\omega}\cdot \mathbf{x}-t)}+
v(x) e^{-ikt}\qquad
\text{as } t\to +\infty.
\label{eq-13.5.16}
\end{equation}
where the second term in the right-hand expression is an outgoing  spherical wave i.e. $v(x)$ satisfies Helmholtz equation ([9.1.19](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.19)) and Sommerfeld radiation conditions ([9.1.20](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.20))--([9.1.21](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.21)) and moreover
\begin{equation}
v(x)\sim a(\boldsymbol{\theta}, \boldsymbol{\omega}; k  )|x|^{-1} e^{ik|x|}
\qquad\text{as } x= r\boldsymbol{\theta}, r\to \infty, \boldsymbol{\theta}\in \mathbb{S}^2.
\label{eq-13.5.17}
\end{equation}

*Sketch of Proof*
Observe that $(u-u\_{-\infty})\_{tt}-\Delta (u-u\_{-\infty})= f:=-V u$
and  $(u-u\_{-\infty})\sim 0$ as $t\to -\infty$ and then applying Kirchhoff formula ([9.1.21](../Chapter9/S9.1.html#mjx-eqn-eq-9.1.12)) with $0$ initial data at $t=-\infty$ we arrive to
\begin{equation}
u-u\_{-\infty}= \frac{1}{4\pi} \iiint |x-y|^{-1} f(y, t-|x-y|)\,dy
\label{eq-13.5.18}
\end{equation}
and one can prove easily (\ref{eq-13.5.17}) from this.

**<span id="definition-13.5.1"></span>Definition 1.**
$a(\boldsymbol{\theta}, \boldsymbol{\omega}; k)$ is *Scattering amplitude* and operator $S(k):L^2 (\mathbb{S}^2)\to L^2 (\mathbb{S}^2)$,
\begin{equation}
(S(k)w)(\boldsymbol{\theta})= w(\boldsymbol{\theta})+
\iint \_{\mathbb{S}^2} a(\boldsymbol{\theta}, \boldsymbol{\omega}; k) w(\boldsymbol{\omega})\, d\sigma (\boldsymbol{\omega})
\label{eq-13.5.19}
\end{equation}
is a *scattering matrix*.

It is known that

**<span id="thm-13.5.2"></span>Theorem 2.**
Scattering matrix is a unitary operator for each $k$:
\begin{equation}
S^\*(k)S(k)=S(k)S^\*(k)=I.
\label{eq-13.5.20}
\end{equation}

**<span id="remark-13.5.1"></span>Remark 1.**

1. The similar results are proven when the *scatterer* is an obstacle rather than potential, or both.
2. Determine scatterer from scattering amplitude is an important *Inverse scattering problem*.
3. In fact *fast decaying at infinity* potential means decaying faster than  Coulomb potential; for the latter theory needs to be heavily modified.


---------------

[$\Leftarrow$](./S13.4.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter14/S14.1.html)


