<link href="../markdown.css" rel="stylesheet"></link>

<title>14.3. Some quantum mechanical operators</title>

<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$

##14.3. Some quantum mechanical operators

-----

> 1. [General](#:sect-14.3.1)
> 2. [Classical Schrödinger operator](#sect-14.3.2)
> 3. [Schrödinger-Pauli operator](#sect-14.3.3)
> 4. [Dirac operator](#sect-14.3.4)

###<span id="sect-14.3.1"></span>General

In Quantum mechanics dynamics is described by
\begin{equation}
-i\hbar \psi\_t + \mathsf{H} \psi=0
\label{eq-14.3.1}
\end{equation}
where $\psi=\psi (\mathbf{x},t)$ is a *wave function* and  $\mathsf{H}$ is a *quantum Hamiltonian*; $\hbar$ is *Planck's constant*.

###<span id="sect-14.3.2"></span>Classical Schrödinger operator

\begin{equation}
\mathsf{H} := \frac{1}{2m}(-i\hbar\nabla)^2 +eV(\mathbf{x})  = -\frac{\hbar^2}{2m}\Delta +V(\mathbf{x})
\label{eq-14.3.2}
\end{equation}
Here $V(x)$ is electric potential, $e$ is particle's, $m$ is particle's mass, $-i\hbar\nabla$ is a (generalized) momentum operator.

If we add *magnetic field* with vector potential $\mathbf{A}(\mathbf{x})$ we need to replace $-i\hbar\nabla$ by
$\mathbf{P}= -i\hbar\nabla- e\mathbf{A}(\mathbf{x})$:
\begin{equation}
\mathsf{H} := \frac{1}{2m}(-i\hbar\nabla- e\mathbf{A}(\mathbf{x}))^2 +eV(\mathbf{x})
\label{eq-14.3.3}
\end{equation}

###<span id="sect-14.3.3"></span>Schrödinger-Pauli operator

Particles with spin $\frac{1}{2}$ are described by
\begin{equation}
\mathsf{H} := \frac{1}{2m}\bigl((-i\hbar\nabla- e\mathbf{A}(\mathbf{x})\cdot\boldsymbol{\sigma}\bigr)^2 +eV(\mathbf{x})
\label{eq-14.3.4}
\end{equation}
where $\boldsymbol{\sigma})=(\sigma\_1,\sigma\_2,\sigma\_3)$ are $2\times 2$ Pauli matrices: namely Hermitian matrices satisfying
\begin{equation}
\sigma\_j\sigma\_k + \sigma\_k\sigma\_j =2\delta\_{jk}I\qquad j,k=1,2,3,
\label{eq-14.3.5}
\end{equation}
$I$ is as usual a unit matrix, and $\psi$ is a complex $2$-vector,
\begin{equation}
(-i\hbar\nabla- e\mathbf{A}(\mathbf{x})\cdot\boldsymbol{\sigma} :=
\sum\_{1\le k\le 3} (-i\hbar\partial\_{x\_k}- eA\_k(\mathbf{x})\sigma\_k.
\label{eq-14.3.6}
\end{equation}

**<span id="remark-14.3.1"></span>Remark 1.**
It does not really matter which matrices satisfying (\ref{eq-14.3.5}). More precisely,  we can replace $\sigma\_k$ by $Q\sigma\_k$ and $\psi$ by $Q\psi$ where $Q$ is a unitary matrix and we can reduce our matrices to
\begin{align}
  \sigma\_1 = \sigma\_x &=
    \begin{pmatrix}
      0&1\\\\
      1&0
    \end{pmatrix} ,\label{eq-14.3.7}\\\\
  \sigma\_2 = \sigma\_y &=
    \begin{pmatrix}
      0&-i\\\\
      i&0
    \end{pmatrix}, \label{eq-14.3.8}\\\\
  \sigma\_3 = \sigma\_z &=
    \begin{pmatrix}
      1&0\\\\
      0&-1
    \end{pmatrix} .\label{eq-14.3.9}
\end{align}

Actually, it is not completely correct, as it may happen that instead of $\sigma\_3$ we get $-\sigma\_3$ but the remedy is simple: replace $x\_3$ by $-x\_3$ (changing orientation). We assume that our system is as  written here.

**<span id="remark-14.3.2"></span>Remark 2.**
Actually here and in Dirac operator $\psi$ are not vectors but (spinors)[https://en.wikipedia.org/wiki/Spinor] which means that under rotation of coordinate system components of $\psi$ are transformed in a special way.

Observe that
\begin{gather}
\bigl((-i\hbar\nabla- e\mathbf{A}(\mathbf{x})\cdot\boldsymbol{\sigma}\bigr)^2 =
(-i\hbar\nabla- e\mathbf{A}(\mathbf{x})^2 +
\sum\_{j<k} [\sigma\_j,\sigma\_k] [P\_j,P\_k],
\label{eq-14.3.10}\\\\
[P\_j,P\_k]= -i \hbar e(\partial\_j A\_k-  \partial\_k A\_j)
\label{eq-14.3.11}
\end{gather}
and
\begin{equation}
[\sigma\_1,\sigma\_2]=i\sigma_3, \quad
[\sigma\_2,\sigma\_3]=i\sigma_1,\quad
[\sigma\_3,\sigma\_1]=i\sigma_2.
\label{eq-14.3.12}
\end{equation}
Then
\begin{equation}
\bigl((-i\hbar\nabla- e\mathbf{A}(\mathbf{x})\cdot\boldsymbol{\sigma}\bigr)^2 =
(-i\hbar\nabla- e\mathbf{A}(\mathbf{x}))^2 - e\hbar \mathbf{B}(\mathbf{x})\cdot\boldsymbol{\sigma},
\label{eq-14.3.13}
\end{equation}
where $\mathbf{B}=\nabla \times \mathbf{A}$ is a *vector intensity* of magnetic field.

###<span id="sect-14.3.4"></span>Dirac operator

\begin{equation}
\mathsf{H} :=
(-i\hbar\nabla- e\mathbf{A}(\mathbf{x})\cdot\boldsymbol{\gamma}+ m\gamma\_4 +eV(\mathbf{x})
\label{eq-14.3.14}
\end{equation}
where $\boldsymbol{\gamma})=(\gamma\_1,\gamma\_2,\gamma\_3)$ are $4\times 4$ Dirac matrices: namely Hermitian matrices satisfying (\ref{eq-14.3.5}) for $j,k=1,2,3,4$. Respectively $\psi$ is $4$-vector.

As $V=0$
\begin{equation}
\mathsf{H} ^2=
\bigl((-i\hbar\nabla- e\mathbf{A}(\mathbf{x})\cdot\boldsymbol{\gamma}\bigr)^2+ m^2 I
\label{eq-14.3.15}
\end{equation}

Again, the precise choice of Dirac matrices is of no importance and one can assume that
$\gamma\_j = \begin{pmatrix} \sigma\_j & 0\\\\ 0 &\sigma\_j \end{pmatrix}$ for $j=1,2,3$ and $\gamma\_4= \begin{pmatrix} 0 & I\\\\ -I &0 \end{pmatrix}$
(all blocks are $2\times 2$ matrices). Then
\begin{equation}
\mathsf{H} ^2=
(-i\hbar\nabla- e\mathbf{A}(\mathbf{x}))^2-\mathbf{B}(\mathbf{x})\cdot\boldsymbol{\gamma}+ m^2 I.
\label{eq-14.3.16}
\end{equation}

**<span id="exercise-14.3.1"></span>Exercise 1.**
Check all matrix calculations.

_________

[$\Leftarrow$](./14.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](../ChapterA/SA1.html)
