<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 2.1</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###Problems

> 1. [Problem 1](#problem-2.1.P.1)
> 2. [Problem 2](#problem-2.1.P.2)
> 3. [Problem 3](#problem-2.1.P.3)
> 4. [Problem 4](#problem-2.1.P.4)
> 5. [Problem 5](#problem-2.1.P.5)
> 6. [Problem 6](#problem-2.1.P.6)

**<span id="problem-2.1.P.1"></span>Problem 1.**

1. Draw characteristics and find the general solution  to each of the following equations
\begin{gather}
2 u\_t +3u\_x=0;\\\\[3pt]
u\_t + t u\_x=0;\\\\[3pt]
u\_t - t u\_x=0;\\\\[3pt]
u\_t+ t^2 u\_x=0;\\\\[3pt]
u\_t +x u\_x=0;\\\\[3pt]
u\_t +t x u\_x=0;\\\\[3pt]
u\_t+x^2u\_x=0;\\\\[3pt]
u\_t+(x^2+1)u\_x=0;\\\\[3pt]
u\_t+(t^2+1)u\_x=0;\\\\[3pt]
\end{gather}
2.  Consider IVP problem $u|\_{t=0}=f (x)$ as $-\infty\< x \< \infty$; does solution always exists? If not, what conditions should satisfy $f(x)$? Consider separately $t\>0$ and $t\<0$.
3. Where this solution is uniquely determined? Consider separately $t>0$ and $t<0$.
4.  Consider this equation in $\\{t\>0, x\>0\\}$ with the initial condition $u|\_{t=0}=f(x)$ as $x\>0$; where this solution defined? Is it defined everywhere in $\\{t\>0, x\>0\\}$ or do we need to impose condition at $x=0$? In the latter case impose condition $u|\_{x=0}=g(t)$ ($t\>0$) and solve this IVBP;
5. Consider this equation  in $\\{t\> 0, x\<0\\}$ with the  initial condition $u|\_{t=0}=f(x)$ as $x\<0$; where this solution defined? Is it defined everywhere in $\\{t\>0, x\< 0\\}$ or do we need to impose condition at $x=0$? In the latter case impose condition $u|\_{x=0}=g(t)$ ($t\>0$) and solve this IVBP;
6. Consider problems (d) as $t\<0$;
7. Consider problems (e) as $t\<0$;

**<span id="problem-2.1.P.2"></span>Problem 2.**

1. Find the general solution to each of the following equations
\begin{gather}
xu\_x+ yu\_y=0,\\\\
xu\_x-yu\_y=0
\end{gather}
in $ \\{(x,y)\ne (0,0)\\}$; when this solution is continuous at $(0,0)$?  Explain the difference between these two cases;
2. Find the general solution to each of the following equations
\begin{gather}
yu\_x+ xu\_y=0,\\\\
yu\_x-xu\_y=0
\end{gather}
in $ \\{(x,y)\ne (0,0)\\}$; when this solution is continuous at $(0,0)$?
Explain the difference between these two cases;

**<span id="problem-2.1.P.3"></span>Problem 3.**
In the same way consider  equations
\begin{gather}
(x^2+1)yu\_x+(y^2+1)xu\_y=0;\\\\
(x^2+1)yu\_x-(y^2+1)xu\_y=0.
\end{gather}

**<span id="problem-2.1.P.4"></span>Problem 4.**
Find the solutions of
\begin{align}
&\left\\{\begin{aligned}
&u\_x+3u\_y=xy,\\\\
&u|\_{x=0}=0;
\end{aligned} \right.\\\\[3pt]
&\left\\{\begin{aligned}
&u\_x+3u\_y=u,\\\\
&u|\_{x=0}=y.
\end{aligned} \right.
\end{align}

**<span id="problem-2.1.P.5"></span>Problem 5.**
Find the general solutions to each of
\begin{gather}
yu\_x-xu\_y=x;\\\\[3pt]
yu\_x-xu\_y=x^2;\\\\[3pt]
yu\_x+xu\_y=x;\\\\[3pt]
yu\_x+xu\_y=x^2.
\end{gather}
In one instance solution does not exist. Explain why.

**<span id="problem-2.1.P.6"></span>Problem 6.**
Solve IVP
\begin{equation}
\left\\{\begin{aligned}
&u\_t+uu\_x=0,\qquad t\> 0;
\\\\
&u|_{t=0}=f(x)
\end{aligned}\right.
\end{equation}
and describe domain in $(x,t)$ where this solution is properly defined
with one of the following initial data
\begin{align}
f(x)&=\hphantom{-}\tanh (x);
\\\\[5pt]
f(x)&=-\tanh (x);\\\\
f(x)&=\left\\{\begin{aligned}
-1& && x<-a,\\\\
x/a& && -a\le x \le a,\\\\
1& && x>a;
\end{aligned}\right.
\\\\
f(x)&=\left\\{\begin{aligned}
1& && x<-a,\\\\
-x/a& && -a\le x \le a,\\\\
-1& && x>a;
\end{aligned}\right.
\\\\
f(x)&=\left\\{\begin{aligned}
-1& && x<0,\\\\
1& && x> 0;\\\\
\end{aligned}\right.
\\\\
f(x)&=\hphantom{-}\sin(x).
\\\\
f(x)&=\left\\{\begin{aligned}
&\sin (x) && |x|\<\pi,\\\\
&0 && |x|\>\pi,
\end{aligned}\right.\\\\
f(x)&=\left\\{\begin{aligned}
&-\sin (x) && |x|\<\pi,\\\\
&0 && |x|\>\pi,
\end{aligned}\right.
\end{align}
Here $a>0$ is a parameter.

______

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S2.1.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.2.html)
