<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 2.4</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


###Problems

> 1. [Problem 1](#problem-2.4.P.1)
> 2. [Problem 2](#problem-2.4.P.2)
> 3. [Problem 3](#problem-2.4.P.3)


**<span id="problem-2.4.P.1"></span>Problem 1.**

Solve IVP
\begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-c^2u\_{xx}= f(x,t);\\\\
&u|\_{t=0}=g(x),\\\\
&u\_t|\_{t=0}=h(x)
\end{aligned}
\right.
\end{equation}
with
\begin{align}
&f(x,t)=\sin(\alpha x), && g(x)=0, && h(x)=0;\\\\
&f(x,t)=\sin(\alpha x)\sin (\beta t), && g(x)=0; && h(x)=0,\\\\
&f(x,t)= f(x),  && g(x)=0, && h(x)=0; \label{1a}\\\\
&f(x,t)= f(x)t,  && g(x)=0, && h(x)=0, \label{1b}
\end{align}
in the  case (\ref{1a}) assume that $f(x)=F''(x)$ and in the case (\ref{1b}) assume that $f(x)=F'''(x)$.

**<span id="problem-2.4.P.2"></span>Problem 2.**
Find formula for solution of the *Goursat problem*
\begin{equation}
\left\\{\begin{aligned}
&u\_{tt} - c^2 u\_{xx}=f(x,t), && x \> c|t|, \\\\
&u|\_{x=-ct}=g(t),  && t\<0, \\\\
&u|\_{x=ct}=h(t),   &&t \> 0
\end{aligned}
\right.
\end{equation}
provided $g(0)=h(0)$.

*Hint.* Contribution of the right-hand expression will be
\begin{equation}
-\frac{1}{4c^2}\iint _{R(x,t)} f(x',t')\,dx'dt'
\end{equation}
with $R(x,t)=\\{ (x',t'):\, 0\< x'-ct' \< x-ct,\, 0\< x'+ct' \< x+ct\\}$.

**<span id="problem-2.4.P.3"></span>Problem 3.**
Find the general solutions of the following equations:
\begin{equation}
\left\\{\begin{aligned}
&u\_{xy}=u\_{x}u\_{y} u^{-1};\\\\
&u\_{xy}=u\_{x}u\_{y};\\\\
&u\_{xy}=\frac{u\_{x}u\_{y} u}{u^2+1};
\end{aligned}
\right.
\end{equation}

**<span id="problem-2.4.P.4"></span>Problem 4.**

1. Find solution $u(x,t)$ to
\begin{equation}
\left\\{\begin{aligned}
&u\_{tt}-u\_{xx}= (x^2-1)e^{-\frac{x^2}{2}},\\\\
&u|\_{t=0}=-e^{-\frac{x^2}{2}}, \quad u\_t|\_{t=0}=0.
\end{aligned}
\right.
\end{equation}
2. Find $\lim _{t\to +\infty} u(x,t)$.

_________________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S2.4.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.5.html)
