<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 2.5, 2.6</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

###Problems

 > 1. [Problem 1](#problem-2.6.P.1)
 > 2. [Problem 2](#problem-2.6.P.2)
 > 3. [Problem 3](#problem-2.6.P.3)
 > 4. [Problem 4](#problem-2.6.P.4)
 > 5. [Problem 5](#problem-2.6.P.5)
 > 6. [Problem 6](#problem-2.6.P.6)
 > 7. [Problem 7](#problem-2.6.P.7)
 > 8. [Problem 8](#problem-2.6.P.8)
 > 9. [Problem 9](#problem-2.6.P.9)


**<span id="problem-2.6.P.1"></span>Problem 1.**

1. Find solution
\begin{equation}
\left\\{ \begin{aligned}
& u_{tt}-c^2u_{xx}=0, &&t > 0, x > 0,  \\\\\
&u|_{t=0}= \phi (x),   &&x > 0, \\\\
&u_t|_{t=0}= c\phi'(x),  &&x > 0, \\\\
&u|_{x=0}=\chi(t), &&t > 0.
\end{aligned}
\right.
\end{equation}
(separately in $x  > ct$ and $0 < x < ct$).
2. \begin{equation}
\left\\{ \begin{aligned}
& u_{tt}-c^2u_{xx}=0, &&t > 0, x > 0,  \\\\\
&u|_{t=0}= \phi (x),   &&x > 0, \\\\
&u_t|_{t=0}= c\phi'(x),  &&x > 0, \\\\
&u_x|_{x=0}=\chi(t), &&t > 0.
\end{aligned}
\right.
\end{equation}
separately in $x  > ct$ and $0 < x < ct$.

**<span id="problem-2.6.P.2"></span>Problem 2.**

1. Find solution
\begin{equation}
\left\\{ \begin{aligned}
& u_{tt}-c_1^2u_{xx}=0, &&&t > 0, x > 0,  \\\\
& u_{tt}-c_2^2u_{xx}=0, &&&t > 0, x < 0,  \\\\
&u|_{t=0}= \phi (x),   &&u_t|_{t=0}= c_1\phi'(x) &x > 0, \\\\
&u|_{t=0}=0, &&u_t|_{t=0}=0, &x < 0,\\\\
&u|_{x=+0}=\alpha u|_{x=-0}, &&u_x|_{x=+0}=\beta u_x|_{x=-0} &t > 0
\end{aligned}
\right.
\end{equation}
(separately in $x   > c_1 t$, $0  < x  < c_1 t$, $-c_2t  < x  < 0$ and $x  < -c_2t$).
2. Discuss *reflected wave* and *refracted  wave*. In particular, consider $\phi(x)=e^{ik x}$.


**<span id="problem-2.6.P.3"></span>Problem 3.**

1. Find solution
\begin{equation}
\left\\{ \begin{aligned}
& u_{tt}-c_1^2u_{xx}=0, &&&t > 0, x > 0,  \\\\
& v_{tt}-c_2^2v_{xx}=0, &&&t > 0, x > 0,  \\\\
&u|_{t=0}= \phi (x),   &&u_t|_{t=0}= c_1\phi'(x) &x > 0, \\\\
&v|_{t=0}=0, &&v_t|_{t=0}=0, &x > 0,\\\\
&(u+\alpha v)|_{x=0}=0, &&(u_x+\beta v_x)|_{x=0}=0 &t > 0
\end{aligned}
\right.
\end{equation}
(for $u$ separately in $x  > c_1t$, and for $v$ separately in $0 < x < c_2t$).
2. Discuss two *reflected waves*. In particular, consider $\phi(x)=e^{ik x}$.
3. Discuss connection to [Problem 2](#problem-2.6.P.2).

**<span id="problem-2.6.P.4"></span>Problem 4.**

1. Find solution
\begin{equation}
\left\\{ \begin{aligned}
& u_{tt}-c^2u_{xx}=0, &&&t > 0, x > 0,  \\\\
&u|_{t=0}= \phi (x),   &&u_t|_{t=0}= c\phi'(x) &x > 0, \\\\
&(u_x+\alpha u)|_{x=0}=0,  &&&t > 0
\end{aligned}
\right.
\end{equation}
(separately in $x  > ct$, and $0 < x < c t$).
2. Discuss *reflected wave*. In particular, consider $\phi(x)=e^{ik x}$.


**<span id="problem-2.6.P.5"></span>Problem 5.**

1. Find solution
\begin{equation}
\left\\{ \begin{aligned}
& u_{tt}-c^2u_{xx}=0, &&&t > 0, x > 0,  \\\\
&u|_{t=0}= \phi (x),   &&u_t|_{t=0}= c\phi'(x) &x > 0, \\\\
&(u_x+\alpha u_{t})|_{x=0}=0,  &&&t > 0
\end{aligned}
\right.
\end{equation}
(separately in $x  > c t$, and $0 < x < c  t$).

2. Discuss  *reflected wave*. In particular, consider $\phi(x)=e^{ik x}$.




**<span id="problem-2.6.P.6"></span>Problem 6.**

1. Find solution
\begin{equation}
\left\\{ \begin{aligned}
& u_{tt}-c ^2u_{xx}=0, &&&t > 0, x > 0,  \\\\
&u|_{t=0}= \phi (x),   &&u_t|_{t=0}= c \phi'(x) &x > 0, \\\\
&(u_x-\alpha u_{tt})|_{x=0}=0,  &&&t > 0
\end{aligned}
\right.
\end{equation}
(separately in $x   > c  t$, and $0 < x < c  t$).
2. Discuss  *reflected wave*. In particular, consider $\phi(x)=e^{ik x}$.

**<span id="problem-2.6.P.7"></span>Problem 7.**
Consider equation with the initial conditions
\begin{equation}
\left\\{ \begin{aligned}
& u_{tt}-c^2 u_{xx}=0,\qquad &&t > 0, x > vt,\\\\
&u|_{t=0}= f(x), \qquad &&x > 0, \\\\
&u_t|_{t=0}= g(x), \qquad &&x>0.
\end{aligned}
\right.
\end{equation}

1.  Find which of these conditions (a)-(d) at $x=vt$,
    $t > 0$ could be added to (8) so that the
    resulting problem would have a unique solution and solve the problem you deemed as a good one:
<ol type="A">    
<li>	None,
<li>  $u|_{x=vt}=0$ ($t > 0$),
<li>  $(\alpha u_x +\beta u_t)|_{x=vt}=0$ ($t > 0$),
<li>  $u|_{x=vt}=u_x|_{x=vt}=0$ ($t>0$).
</ol>
Consider cases $v  > c$, $-c  < v  < c$ and $v  < -c$. In the case condition (C) find necessary restrictions to $\alpha,\beta$.
2. Find solution in the cases when it exists and is uniquely determined; consider separately zones $x   > ct$, $-ct  < x  < ct $ and $x  > ct$ (intersected with $x  > vt$).



**<span id="problem-2.6.P.8"></span>Problem 8.**

By method of continuation combined with D'Alembert formula solve each of
the following four problems (9)--(12).
\begin{equation}
\left\\{\begin{aligned}
&u_{tt}-c^2u_{xx}=0, \qquad &&x > 0,\\\\
&u|_{t=0}=0, \qquad &&x > 0,\\\\
&u_t|_{t=0}=\cos (x), \qquad &&x > 0,\\\\
&u|_{x=0}=0, \qquad &&t > 0.
\end{aligned}\right.
\end{equation}
\begin{equation}
\left\\{\begin{aligned}
&u_{tt}-c^2u_{xx}=0, \qquad &&x > 0,\\\\
&u|_{t=0}=0, \qquad &&x > 0,\\\\
&u_t|_{t=0}=\cos (x), \qquad &&x > 0,\\\\
&u_x|_{x=0}=0, \qquad &&t > 0.
\end{aligned}\right.
\end{equation}
\begin{equation}
\left\\{\begin{aligned}
&u_{tt}-c^2u_{xx}=0, \qquad &&x > 0,\\\\
&u|_{t=0}=0, \qquad &&x > 0,\\\\
&u_t|_{t=0}=\sin(x), \qquad &&x > 0,\\\\
&u|_{x=0}=0, \qquad &&t > 0. \end{aligned}\right.
\end{equation}
\begin{equation}
\left\\{\begin{aligned}
&u_{tt}-c^2u_{xx}=0, \qquad &&x > 0,\\\\
&u|_{t=0}=0, \qquad &&x > 0,\\\\
&u_t|_{t=0}=\sin(x), \qquad &&x > 0,\\\\
&u_x|_{x=0}=0, \qquad &&t > 0.
\end{aligned}\right.
\end{equation}

**<span id="problem-2.6.P.9"></span>Problem 9.**

Solve
\begin{equation}
\left\\{\begin{aligned}
&(t^2+1)u_{tt}+tu_t-u_{xx}=0,\\\\[3pt]
&u|_{t=0}=0, \qquad u_t|_{t=0}=1.
\end{aligned}\right.
\end{equation}
*Hint*: Make a change of variables $x=\frac{1}{2}(\xi+\eta)$, $t=\sinh (\frac{1}{2}(\xi-\eta))$ and calculate $u_\xi$, $u_\eta$, $u_{\xi\eta}$.

______________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S2.6.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.7.html)
