<link href="../markdown.css" rel="stylesheet"></link>

<title>2.7. Energy integral</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

##2.7. Energy integral
----------------------

> 3.  [Energy integral: wave equation](#sect-2.7.1)
> 4.  [Energy integral: Maxwell equation](#sect-2.7.2)
> 5.  [Energy integral: Elasticity equations](#sect-2.7.3)

###<span id="sect-2.7.1"></span>Energy integral: wave equation

Consider multidimensional wave equation
\begin{equation}
u\_{tt}-c^2 \Delta u=0.
\label{eq-2.7.1}
\end{equation}
Recall that $\Delta =\nabla\cdot \nabla=\partial_x^2+\partial_y^2+\partial_z^2$ (the number of terms depends on dimension).
Multiplying by $u\_t$ we get in the left-hand expression
\begin{align\*}
u\_t u\_{tt}-c^2 u\_t\nabla^2 u= &\partial\_t \bigl(\frac{1}{2}u\_t^2 \bigr)+
\nabla \cdot (-c^2 u\_t \nabla u )+ c^2 \nabla u\_t \cdot \nabla u \\\\
=&\partial\_t \bigl(\frac{1}{2}u\_t^2 + \frac{1}{2}c^2 |\nabla u|^2\bigr)+
\nabla \cdot \bigl(-c^2 u\_t \nabla u \bigr).
\end{align\*}
So we arrive to
\begin{equation}
\partial\_t \bigl(\frac{1}{2}u\_t^2 + \frac{1}{2}c^2 |\nabla u|^2\bigr)+
\nabla \cdot \bigl(-c^2 u\_t \nabla u \bigr).
\label{eq-2.7.2}
\end{equation}
This is *energy conservation law in the differential form.* Here
\begin{equation}
e= \bigl(\frac{1}{2}u\_t^2 + \frac{1}{2}c^2 |\nabla u|^2\bigr)
\label{eq-2.7.3}
\end{equation}
is a *density of energy* and
\begin{equation}
\mathbf{S}=-c^2 u\_t \nabla u
\label{eq-2.7.4}
\end{equation}
is a vector of *energy flow.*

Then if we fix a volume (or an area in $2D$ case, or just an interval in
$1D$ case) $V$ and introduce a full energy in $V$ at moment $t$
\begin{equation}
E\_V(t)= \iiint \_V \bigl(\frac{1}{2}u\_t^2 +
\frac{1}{2}c^2 |\nabla u|^2\bigr)\, dV
\label{eq-2.7.5}
\end{equation}
then
\begin{equation}
E\_V(t\_2) - E\_V(t\_1) +
\int\_{t\_1}^{t\_2}dt \iint\_\Sigma \mathbf{S}\cdot \mathbf{n}\,d\sigma =0 \label{eq-2.7.6}
\end{equation}
where $\Sigma$ is the surface bounding $V$, $d\sigma$ is an element of the surface area, and $\mathbf{n}$ is an unit exterior normal to $\Sigma$.

###<span id="sect-2.7.2"></span>Energy integral: Maxwell equation

Similarly, *Maxwell equations* without charges and currents are
\begin{align}
&\varepsilon \mathbf{E}\_t = c\nabla \times \mathbf{H},\label{eq-2.7.7}\\\\
&\mu\mathbf{H}\_t = -c\nabla \times \mathbf{E},\label{eq-2.7.8}\\\\
&\nabla \cdot \varepsilon\mathbf{E}=\nabla \cdot \mu\mathbf{H}=0.
\label{eq-2.7.9}
\end{align}
Here $\mathbf{E}, \mathbf{H}$ are intensities of electric and magnetic field respectively, $c$ is the speed of light in the vacuum, $\varepsilon$ and $\mu$ are dialectric and magnetic characteristics of the media ($\varepsilon\ge 1$, $\mu \ge 1$ and $\varepsilon=\mu=1$ in the vacuum).

Multiplying (taking an inner product) (\ref{eq-2.7.7}) by $\mathbf{E}$ and
(\ref{eq-2.7.8}) by $\mathbf{H}$ and adding we arrive to
\begin{equation\*}
\partial\_t \bigl(\frac{1}{2}\varepsilon|\mathbf{E}|^2 +
\frac{1}{2}\mu |\mathbf{H}|^2\bigr)=
c\bigl(\mathbf{E}\cdot (\nabla \times \mathbf{H}) -
\mathbf{H}\cdot (\nabla \times \mathbf{E})\bigr)=
-c\nabla \cdot \bigl(\mathbf{E}\times \mathbf{H}\bigr)
\end{equation\*} where the last equality follows from vector calculus.

Then
\begin{equation}
\partial\_t \bigl(\frac{1}{2}\varepsilon |\mathbf{E}|^2
+ \frac{1}{2}\mu |\mathbf{H}|^2\bigr)+
\nabla \cdot \bigl(c\mathbf{E}\times \mathbf{H}\bigr)=0.
\label{eq-2.7.10}
\end{equation}
In the theory of electromagnetism
\begin{equation}
e=\frac{1}{2}\bigl(\varepsilon |\mathbf{E}|^2 +
\mu |\mathbf{H}|^2\bigr)
\label{eq-2.7.11}
\end{equation}
is again *density of energy* and
\begin{equation}
\mathbf{S}=c \mathbf{E}\times \mathbf{H}
\label{eq-2.7.12}
\end{equation}
is a vector of *energy flow* (aka *Poynting vector*).

**<span id="remark-2.7.1"></span>Remark 1.** $\frac{c}{\sqrt{\mu \varepsilon}}$ is the speed of light in the given media.

**<span id="remark-2.7.1"></span>Remark 2.** In inhomogeneous media $\varepsilon$ and $\mu$ depend on $(x,y,z)$; in anisotropic media (crystals) $\varepsilon$ and $\mu$ are matrices and then
$e=\frac{1}{2}\bigl(\varepsilon \mathbf{E} \cdot \mathbf{E} +
 \mu \mathbf{H}\cdot \mathbf{E}\bigr)$.


###<span id="sect-2.7.3"></span>Elasticity equations

Elasticity equations in homogeneous isotropic media are
\begin{equation}
\mathbf{u}\_{tt}= 2\mu \Delta \mathbf{u}  +
\lambda \nabla (\nabla \cdot \mathbf{u})
\label{eq-2.7.13}
\end{equation}
where $\mathbf{u}$ is a *displacement* and $\lambda>0$, $\mu>0$ are *Lamé parameters*.

**<span id="problem-2.7.1"></span>Problem 1.**
Multiplying (taking an inner product) (\ref{eq-2.7.13}) by $\mathbf{u}_t$ write conservation law in the differential form. What are $e$ and $\mathbf{S}$?

______________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S2.7.html)&nbsp;&nbsp;[$\downarrow$](./S2.7.P.html)&nbsp;&nbsp;[$\Rightarrow$](./S2.8.html)

