<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Sections 4.1, 4.2</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###Problems to Sections 4.1, 4.2

> 1. [Problem 1](#problem-4.2.P.1)
> 2. [Problem 2](#problem-4.2.P.2)
> 3. [Problem 3](#problem-4.2.P.3)
> 4. [Problem 4](#problem-4.2.P.4)
> 5. [Problem 5](#problem-4.2.P.5)
> 6. [Problem 6](#problem-4.2.P.6)
> 7. [Problem 7](#problem-4.2.P.7)



"Solve equation graphically" means that you plot a corresponding
function and points $(z\_n,0)$ where it intersects with $OX$ will
give us all the frequencies $\omega\_n=\omega (z\_n)$.

"Simple solution" $u(x,t)=X(x)T(t)$.

You may assume that all eigenvalues are real (which is the case).

**<span id="problem-4.2.P.1"></span>Problem 1.**
Justify  [Example 4.2.6](./S4.2.html#example-4.2.6) and [Example 4.2.7](./S4.2.html#example-4.2.7): Consider eignevalue
problem with Robin boundary conditions
\begin{align}
& X'' +\lambda X=0 && 0\< x\< l,\label{p}\\\\[3pt]
& X'(0)=\alpha X(0),\label{q}\\\\
& X'(l)=-\beta X(l),\label{r}
\end{align}
with $\alpha, \beta \in \mathbb{R}$.

1.  **Prove** that positive eigenvalues are $\lambda\_n=\omega\_n^2$ and the
    corresponding eigenfunctions are $X\_n$ where $\omega\_n\>0$ are roots of
    \begin{align} & \tan (\omega l)=
    \frac{(\alpha+\beta)\omega}{\omega^2-\alpha\beta};\\\\
    & X\_n= \omega\_n \cos (\omega\_n x) +\alpha \sin (\omega\_n x);
    \end{align}
    with $n=1,2,\ldots$. **Solve** this equation graphically.
2.  Prove that negative eigenvalues if there are any are
    $\lambda\_n=-\gamma\_n^2$ and the corresponding eigenfunctions are $Y\_n$
    where $\gamma\_n\>0$ are roots of
    \begin{align}
    & \tanh (\gamma l )= {-\frac{(\alpha + \beta)\gamma }
    {\gamma   ^2 + \alpha\beta}},\\\\
    & Y\_n(x) = \gamma\_n \cosh (\gamma\_n  x) + \alpha \sinh (\gamma\_n x).
     \end{align}
     **Solve** this equation graphically.
3.  To investigate how many negative eigenvalues are, consider the
    threshold case of eigenvalue $\lambda=0$: then $X=cx+d$ and
    plugging into b.c. we have $c=\alpha d$ and $c=-\beta (d+lc)$;
    this system has non-trivial solution $(c,d)\ne 0$ iff
    $\alpha+\beta+\alpha \beta l =0$. This hyperbola divides
    $(\alpha,\beta)$-plane into three zones.
4.  **Prove** that eigenfunctions corresponding to different eigenvalues
    are orthogonal:
    \begin{equation}
    \int\_0^l X\_n(x)X\_m (x)\,dx =0\qquad\text{as } \lambda\_n\ne \lambda\_m
    \end{equation}
    where we consider now all eigenfunctions (no matter
    corresponding to positive or negative eigenvalues).
5.  **Bonus** Prove that eigenvalues are simple, i.e. all eigenfunctions
    corresponding to the same eigenvalue are proportional.


**<span id="problem-4.2.P.2"></span>Problem 2.**
Analyse the same problem albeit with Dirichlet condition on the left end:
$X(0)=0$.

**<span id="problem-4.2.P.3"></span>Problem 3.**
Oscillations of the beam are described by equation
\begin{equation}
 u\_{tt} + K u\_{xxxx}=0, \qquad 0\< x\< l.
\label{a}
\end{equation}
with $K\>0$.

If both ends clamped (that means having the fixed positions and directions) then the boundary conditions are
\begin{align}
&u(0,t)=u\_{x}(0,t)=0,\label{b}\\\\
&u(l,t)=u\_{x}(l,t)=0.\label{c}
\end{align}

1.  **Find** equation describing frequencies and corresponding
    eigenfunctions (You may assume that all eigenvalues are real and
    positive).
2.  **Solve** this equation graphically.
3.  **Prove** that eigenfunctions corresponding to different eigenvalues
    are orthogonal.
4.  **Bonus** Prove that eigenvalues are simple, i.e. all eigenfunctions
    corresponding to the same eigenvalue are proportional.

*Hint.* Change coordinate system so that interval becomes $[-L,L]$ with $L=l/2$; consider separately even and odd eigenfunctions.

**<span id="problem-4.2.P.4"></span>Problem 4.**
Consider oscillations of the beam with both ends free:
\begin{align}
&u\_{xx}(0,t)=u\_{xxx}(0,t)=0,\label{d}\\\\
&u\_{xx}(l,t)=u\_{xxx}(l,t)=0.\label{e}
\end{align}
Follow previous problem but also consider eigenvalue $0$.

**<span id="problem-4.2.P.5"></span>Problem 5.**
Consider oscillations of the beam with the clamped left end and the free right end. Then boundary conditions are (\ref{a}) and (\ref{e}).

*Note.* In this case due to the lack of symmetry you cannot consider separately even and odd eigenfunctions.

**<span id="problem-4.2.P.6"></span>Problem 6.**
Consider wave equation with the Neumann boundary condition on the left
and "weird" b.c. on the right:
\begin{align}
& u\_{tt}-c^2u\_{xx}=0 && 0\< x\< l, \\\\
& u\_x (0,t)=0, \\\\
& (u\_x + i \alpha u\_t) (l,t)=0
\end{align}
with $\alpha \in \mathbb{R}$.

1.  **Separate** variables;
2.  **Find** "weird" eigenvalue problem for ODE;
3.  **Solve** this problem;
4.  **Find** simple solution $u(x,t)=X(x)T(t)$.


*Hint.* You may assume that all eigenvalues are real (which is the case).
>

**<span id="problem-4.2.P.7"></span>Problem 7.**
Consider energy levels of the particle in the "rectangular well"
\begin{equation}
-u\_{xx}+V u =\lambda u
\end{equation}
with $V(x)=\left\\{\begin{aligned} -&H && |x|\le L,\\\\
&0 &&|x|>0\end{aligned}\right.$

*Hint.* Solve equation for $|x|\< L$ and for $|x| \> L$ and solution must be continous (with its first derivative) as $|x|=L$: $u(L-0)=u(L+0)$,
$u\_x (L-0)=u\_x (L+0)$ and the same at $-L$.

*Hint.* All eigenvalues belong to interval $(-H,0)$.

*Hint.* Consider separately even and odd eigenfunctions.

______________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S4.2.html)&nbsp;&nbsp;[$\Rightarrow$](./S4.3.html)
