<link href="../markdown.css" rel="stylesheet"></link>

<title>5.1.A. Justification</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###<span id="sect-5.1.A"></span>5.1.A. Justification

Let $u(x)$ be smooth fast decaying function; let us decompose it as in [Section 4.B.](../Chapter4/S4.B.html) (but now we are in the simpler $1$-dimensional framework  and $\Gamma=2\pi \mathbb{Z}$):
\begin{equation}
u(x)= \int\_{0}^{1}  u(k;x)\,dk
\label{eq-5.1A.1}
\end{equation}
with
\begin{equation}
u(k;x)=
  \sum\_{m=-\infty}^\infty e^{-2\pi ikm } u(x+2\pi m).
\label{eq-5.1A.2}
\end{equation}
Here $u(k;x)$ is *quasiperiodic with quasimomentum $k$*
\begin{equation}
u(k;x+2\pi n)= e^{iky}u(k;x)\qquad \forall n\in \mathbb{Z}\ \forall x\in \mathbb{R}.
\label{eq-5.1A.3}
\end{equation}
Then  $e^{-ikx}u(k;x)$ is periodic and one can decompose it into Fourier series
\begin{equation}
u(k;x)= \sum\_{n=-\infty}^\infty e^{ in x} e^{ikx} c\_n(k)=
\sum\_{n=-\infty}^\infty e^{i(n+k) x}  c\_n(k)
\label{eq-5.1A.4}
\end{equation}
(where we restored $u(k;x)$ multiplying by $e^{ikx}$) with
\begin{equation}
c\_n(k) = \frac{1}{2\pi} \int\_0^{2\pi} e^{- i (n+k)x} u(k;x)\, dx
\label{eq-5.1A.5}
\end{equation}
and
\begin{equation}
2\pi \sum \_{n=-\infty}^\infty |c\_n(k)|^2 =   \int_0^{2\pi} |u(k;x)|^2\, dx.
\label{eq-5.1A.6}
\end{equation}

Plugging (\ref{eq-5.1A.4}) into (\ref{eq-5.1A.1}) we get
\begin{equation\*}
u(x)= \int\_{0}^{1}  \sum\_{n=-\infty}^{\infty} c\_n(k) e^{i(n+k) x}   \,dk=
\sum\_{n=-\infty}^{\infty} \int\_{n}^{n+1} C(\omega) e^{i\omega x}   =
\int\_{-\infty}^{\infty} C(\omega) e^{i\omega x}   \,d\omega
\end{equation\*}
where $C(\omega):=c\_n (k)$ with $n=\lfloor \omega\rfloor$ and $k=\omega- \lfloor \omega\rfloor$ which are respectively integer and fractional parts of $\omega$. So, we got decomposition of $u(x)$ into Fourier integral.

Next, plugging (\ref{eq-5.1A.2}) into (\ref{eq-5.1A.5}) we get
\begin{multline\*}
C(\omega) = \frac{1}{2\pi} \int\_0^{2\pi} e^{- i \omega x} \sum\_{m=-\infty}^{\infty} e^{-2\pi ikm } u(x+2\pi m) \, dx=\\\\
\frac{1}{2\pi} \int\_{2\pi m}^{2\pi(m+1)} e^{- i \omega y} u(y)\,dy=
\int\_{-\infty}^{2\pi} e^{- i \omega y} u(y)\,dy
\end{multline\*}
where we set $y=x+2\pi m$. So, we got exactly formula for Fourier transform.

Finally, (\ref{eq-5.1A.6}) implies
\begin{equation\*}
2\pi \sum \_{n=-\infty}^\infty\int\_0^1 |c\_n(k)|^2\,dk =
 \int\_0^{2\pi} \Bigl( \int\_0^1 |u(k;x)|^2\,  dk\Bigr)\,dx
\end{equation\*}
where the left hand expression is exactly
\begin{equation\*}
2\pi \sum_{n=-\infty}^{\infty} \int\_{n}^{n+1} |C(\omega)|^2\,d\omega=2\pi \int\_{-\infty}^{\infty}|C(\omega)|^2\,d\omega
\end{equation\*}
 and the right hand expression is
\begin{equation\*}
 \int\_0^{2\pi} \Bigl(\int\_0^1 \sum\_{m=-\infty}^{\infty} \sum\_{l=-\infty}^{\infty}
e^{2\pi ik(l-m) } u(x+2\pi m)\bar{u}(x+2\pi l)\,dk\Bigr)\,dx
\end{equation\*}
and since $\int\_0^1 e^{2\pi ik(l-m)}\,dk=\delta\_{lm}$ ($1$ as $l=m$ and $0$ otherwise) it is equal to
\begin{equation\*}
\int\_0^{2\pi}  \sum\_{m=-\infty}^{\infty}  |u(x+2\pi m)|^2\,dx=
\int\_{-\infty}^{\infty}   |u(x)|^2\,dx.
\end{equation\*}

So, we arrive to Plancherel theorem.

---------------

[$\Leftarrow$](../Chapter5/S5.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S5.2.html)
