<link href="../markdown.css" rel="stylesheet"></link>

<title>5.1.B. Discussion: pointwise convergence of Fourier integrals and series</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###<span id="sect-5.1.B"></span>5.1.B. Discussion: pointwise convergence of Fourier integrals and series

Recall [Theorem 4.4.2](./S4.4.html#thm-4.4.2):
Let $f$ be a piecewise continuously differentiable function. Then the
Fourier series \begin{equation} \frac{a\_0}{2}+\sum\_{n=1}^\infty
\Bigl(a\_n\cos \bigl(\frac{\pi n x}{l}\bigr) + a\_n\cos
\bigl(\frac{\pi n x}{l}\bigr)\Bigr) \label{eq-5.1B.1} \end{equation}
converges to

$\frac{1}{2}\bigl(f(x+0)+f(x-0)\bigr)$ if $x$ is internal
point and $f$ is discontinuous at $x$.

Exactly the same statement holds for Fourier Integral in the real form
\begin{equation}
\int\_0^\infty
\Bigl(A( k ) \cos ( k  x) + B( k )\sin ( k  x)\Bigr)\,d k  \label{eq-5.1B.2}
\end{equation}
where $A( k )$ and $B( k )$ are $\cos$-and $\sin$-Fourier transforms.

None of them however holds for Fourier series or Fourier Integral in the complex form:
\begin{gather}
\sum\_{n=-\infty}^\infty c\_n e^{i\frac{\pi n x}{l}},\label{eq-5.1B.3}\\\\ \int\_{-\infty}^\infty C( k )e^{i k  x}\,d k .
\label{eq-5.1B.4} \end{gather}

Why and what remedy do we have? If we consider definition of the partial sum of (\ref{eq-5.1B.1}) and then rewrite in the complex form and similar deal with (\ref{eq-5.1B.4}) we see that in fact we should look at
\begin{gather}
\lim\_{N\to \infty} \sum\_{n=-N}^N c\_n e^{i\frac{\pi n x}{l}}, \label{eq-5.1B.5}\\\\
\lim\_{N\to \infty} \int\_{-N}^N C( k )e^{i k  x}\,d k
\label{eq-5.1B.6}.
\end{gather}
Meanwhile convergence in (\ref{eq-5.1B.3}) and (\ref{eq-5.1B.4}) means more than this:
\begin{gather} \lim\_{M,N\to \infty} \sum\_{n=-M}^N c\_n e^{i\frac{\pi n x}{l}},
\label{eq-5.1B.7}\\\\
\lim\_{M,N\to \infty} \int\_{-M}^N C( k )e^{i k
x}\,d k
\label{eq-5.1B.8}
\end{gather}
where $M,N$ tend to $\infty$ independently. So the remedy is simple: understand
convergence as in (\ref{eq-5.1B.5}), (\ref{eq-5.1B.6}) rather than as in (\ref{eq-5.1B.7}), (\ref{eq-5.1B.8}).

For integrals such limit is called *principal value*  of integral and is
denoted by
\begin{equation\*}
\operatorname{pv}\int\_{-\infty}^\infty G( k )\,d k .
\end{equation\*}
BTW similarly is defined
\begin{equation\*}
\operatorname{pv}\int\_{a}^b G( k )\,d k :=
\lim\_{\varepsilon\to +0}
\Bigl(\int\_a^{c-\varepsilon}G( k )\,d k +
\int\_{c+\varepsilon}^bG( k )\,d k \Bigr)
\end{equation\*}
if there is a singularity at $c\in (a,b)$.Often instead of vp  is used original (due to Cauchy) vp  (valeur principale) and some other notations.

This is more general than the *improper integrals* studied in the end of Calculus I (which in turn generalize Riemann integrals). Those who took Complex Variables encountered such notion.


---------------

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S5.1.html)&nbsp;&nbsp;[$\Rightarrow$](./S5.2.html)
