<link href="../markdown.css" rel="stylesheet"></link>

<title>5.2. Properties of Fourier transform</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##Properties of Fourier transform
-------------------------------

> 1. [Basic properties](#sect-5.2.1)
> 2. [Convolution](#sect-5.2.2)
> 3. [Examples](#sect-5.2.3)
> 4. [Poisson summation formula](#sect-5.2.4)


###<span id="sect-5.2.1"></span>Basic properties

In the previous [Section 5.1](./S5.1.html) we introduced Fourier transform
and Inverse Fourier transform
\begin{align}
& \hat{f}( k )=
\frac{\kappa}{2\pi}\int\_{-\infty}^\infty f(x)e^{-i k  x}\,dx \tag{FT}\\\\
& \check{F}(x)= \frac{1}{\kappa}
\int\_{-\infty}^\infty F( k ) e^{i k  x}\,d  k
\tag{IFT}
\end{align}
with $\kappa=1$ (but here we will be a bit more flexible):

**<span id="thm-5.2.1">Theorem 1.</span>**
$F= \hat{f} \iff f=\check{F}$.
(Already "proved")

**<span id="thm-5.2.2">Theorem 2.</span>**

1.  Fourier transform: $f\mapsto \hat{f}$ is a linear operator
    $L^2(\mathbb{R},\mathbb{C})\to L^2(\mathbb{R},\mathbb{C})$;
2.  Inverse Fourier transform: $F\mapsto \check{F}$ is an inverse
    operator (and also a linear operator)
    $L^2(\mathbb{R},\mathbb{C})\to L^2(\mathbb{R},\mathbb{C})$;
3.  If $\kappa=\sqrt{2\pi}$ these operators are
    *unitary* i.e. preserve norm and an inner product:
    \begin{gather}
    \\|f\\|=\Bigl(\int\_{\mathbb{R}} |f(x)|^2\,dx\Bigr)^{\frac{1}{2}},
    \label{eq-5.2.1}\\\\
    (f,g)=
    \int\_{\mathbb{R}} f(x)\bar{g}(x)\,dx.
    \label{eq-5.2.2}
    \end{gather}

*Proof.* Easy. Preservation of inner product follows from preservation of norm.


**<span id="remark-5.2.1">Remark 1.</span>**

1.  Here $L^2(\mathbb{R},\mathbb{C})$ is a space of square
    integrable complexample-valued functions. Accurate definition requires a
    measure theory (studied in the course of Real Analysis).
    Alternatively one can introduce this space as a closure of the set
    of square integrable continuous functions but it also require a certain knowledge of Real Analysis.
2.  Properties (1) and (2) are obvious and (3) is due to Plancherel's theorem.
3.  In Quantum Mechanics Fourier transform is sometimes referred as
    "going to $p$-representation" (aka momentum representation) and
    Inverse Fourier transform is sometimes referred as
    "going to $q$-representation" (aka coordinate representation). In this
    case $\pm i k  x$ is replaced by $\pm i\hbar^{-1} k  x$ and $2\pi$ by
    $2\pi\hbar$.

**<span id="thm-5.2.3">Theorem 3.</span>**

1.  $g(x)=f(x-a)\implies \hat{g}( k )=e^{-i k  a}\hat{f}( k )$;
2.  $g(x)=f(x)e^{ibx}\implies \hat{g}( k )=\hat{f}( k -b)$;
3.  $g(x)=f'(x) \implies \hat{g}( k )=i k  \hat{f}( k )$;
4.  $g(x)=xf (x) \implies \hat{g}( k )=i \hat{f}{}'( k )$;
5.  $g(x)=f(\lambda x)\implies \hat{g}( k )=|\lambda|^{-1}
	\hat{f}(\lambda^{-1} k )$;


*Proof.* Here for brevity we do not write that all integrals are over
$\mathbb{R}$ and set $\kappa=2\pi$.

1.  $\hat{g}=\int e^{-i k  x}g(x)\,dx = \int e^{-i  k  x}f(x-a)\,dx=
	\int e^{-i k (x+a)}f(x)\,dx= e^{-i k  a}\hat{f}( k )$.
	We replaced $x$ by $(x+a)$ in the  integral.
2.  $\hat{g}=\int e^{-i  k  x}g(x)\,dx = \int e^{-i k  x}e^{ibx}f(x)\,dx=
	\int e^{-i ( k -b)x}f(x)\,dx= \hat{f}( k -b)$.
3.  $\hat{g}=\int e^{-i  k  x}g(x)\,dx = \int e^{-i k  x}f'(x)\,dx
	\overset{\text{by parts}}= -\int \bigl(e^{-i   k  x}\bigr)'f(x)\,dx=
	i k  \hat{f}( k )$.
4.  $\hat{g}=\int e^{-i  k  x}g(x)\,dx = \int e^{-i k  x}xf(x)\,dx=
	\int i\partial\_ k  \bigl(e^{-i  k  x}\bigr) \, f(x)\,dx=
	i\hat{f}{}'( k )$.
5.  $\hat{g}=\int e^{-i k  x}g(x)\,dx = \int e^{-i  k  x}f(\lambda x )\,dx
    = \int e^{-i k  |\lambda|^{-1}x}f(x)\,\lambda^{-1}dx=
    \lambda^{-1}\hat{f}(\lambda^{-1} k )$. Here we replaced $x$ by
    $\lambda^{-1}x$ in the integral and $|\lambda|^{-1}$ is an absolute value of
    Jacobian.

**span id="corollary-5.2.1">Corollary 1.]</span>**
$f$ is even (odd) iff $\hat{f}$ is even (odd).

###<span id="sect-5.2.2">Convolution</span>


**<span id="definition-5.2.1">Definition 1.</span>**
*Convolution* of functions $f$ and $g$ is a function $f *g$:
\begin{equation}
(f\*g)(x):=\int f(x-y)g(y)\,dy.
\label{eq-5.2.3}
\end{equation}

**<span id="thm-5.2.4">Theorem 4.</span>**

1.  $h=f*g\implies
    \hat{h}( k )=\frac{2\pi}{\kappa}\hat{f}( k )\hat{g}( k )$;
2.  $h(x)=f(x)g(x)$ $\implies \hat{h}=\kappa \hat{f} *\hat{g}$;

*Proof.*

1.  \begin{equation\*}
	\hat{h}(k)=\frac{\kappa}{2\pi} \int e^{-ix k }h(x)\,dx =
	\frac{\kappa}{2\pi} \iint e^{-ix k }f(x-y)g(y)\,dxdy;
	\end{equation\*}
	replacing in the integral $x:=y+z$ we arrive to
	\begin{equation\*}
	\frac{\kappa}{2\pi} \iint e^{-i(y+z) k }f(z)g(y)\,dzdy=
	\frac{\kappa}{2\pi} \int  e^{-iz k }f(z)\,dz \times
	\int e^{-iy k }g(y)\,dz
	\end{equation\*}
    which is equal to
    $\frac{2\pi}{\kappa}\hat{f}( k )\hat{g}( k )$.
2.  Similarly $\hat{f} *\hat{g}$ is a Fourier transform of
    $\frac{\kappa\_1}{2\pi}fg$ where
    $\kappa\_1=\frac{2\pi}{\kappa}$.


###<span id="sect-5.2.3">Examples</span>

**<span id="example-5.2.1">Example 1.</span>**
Let $f(x)=e^{-\alpha x}$ as $x >0$ and $f(x)=0$
as $x <0$. Here $\Re \alpha >0$.
\begin{equation\*}
\hat{f}( k )= \int\_0^\infty e^{-(\alpha +i k  )x}\,dx =
-(\alpha +i k  )^{-1}e^{-(\alpha +i k  )x}\bigr|\_{x=0}^{x=\infty}= (\alpha +i k  )^{-1}
\end{equation\*}
 provided $\kappa=2\pi$.

In the general case
$\hat{f}( k )= \frac{\kappa}{2\pi}(\alpha+i k  )^{-1}$.


**<span id="example-5.2.2">Example 2.</span>**
Let $f(x)=e^{-\frac{\alpha}{2}x^2}$ with
$\Re\alpha\ge 0$. Here even for $\Re \alpha=0$ F.t. exists as
integrals are converging albeit not absolutely.

Note that $f'=-\alpha x f$. Applying Fourier transform and [Theorem 3](#thm-5.2.3) (3),(4) to the left, right we get $i k  \hat{f}= -i\alpha \hat{f}'$; solving it we arrive to $\hat{f}=Ce^{-\frac{1}{2\alpha} k ^2}$.

To find $C$ note that
$C=\hat{f}(0)= \frac{\kappa}{2\pi}\int e^{-\frac{\alpha}{2}x^2}\,dx$ and for real $\alpha >0$ we make a change of variables $x=\alpha^{-\frac{1}{2}}z$ and arrive to $C=\frac{\kappa}{\sqrt{2\pi \alpha}}$ because
$\int e^{-z^2/2}\,dz=\sqrt{2\pi}$. Therefore
\begin{equation\*}
\hat{f}( k )= \frac{\kappa}{\sqrt{2\pi\alpha}}e^{-\frac{1}{2\alpha} k ^2}.
\end{equation\*}
Knowing complex variables one can justify it for complex $\alpha $ with
$\Re\alpha\ge 0$; we take a correct branch of $\sqrt{\alpha}$ (condition $\Re\alpha\ge 0$ prevents going around origin). In
particular, $(\pm i )^{\frac{1}{2}}=e^{\pm \frac{i\pi}{4}}$ and
therefore for $\alpha=\pm i\beta $ with for $\beta >0$ we get
$f=e^{\mp\frac{i\beta}{2 }x^2}$ and
\begin{equation\*}
\hat{f}( k )=\frac{\kappa}{2\sqrt{\pi\beta}}
(1\mp i)e^{\pm\frac{i}{2\beta} k ^2}.
\end{equation\*}

###<span id="sect-5.2.4">Poisson summation formula</span>


**<span id="thm-5.2.5">Theorem 5.</span>**
Let $f(x)$ be a continuous function on the line $(-\infty,\infty)$ which vanishes for large $|x|$. Then for any $a>0$
\begin{equation}
\sum\_{n=-\infty}^\infty f(an) =
\sum\_{n=-\infty}^\infty \frac{2\pi }{a}\hat{f}(\frac{2\pi }{a}n) .
\label{eq-5.2.4}
\end{equation}

*Proof.*
Observe that  function
\begin{equation\*}
g(x)= \sum\_{n=-\infty}^\infty  f(x+an)
\end{equation\*}
is periodic with period $a$.
Note that the Fourier coefficients of $g(x)$ on the interval $(-\frac{a}{2}, \frac{a}{2})$ are  $b_m=\frac{2\pi}{a}\hat{f}(\frac{2\pi}{a})$, where $\hat{f}(k)$ is the Fourier transform of $f(x)$.

Finally, in the Fourier series of $g(x)$ on $(-\frac{a}{2}, \frac{a}{2})$  plug $x = 0$ to obtain $g(0)=\sum_m b_m$ which coincides with (\ref{eq-5.2.4}).

--------------

[$\Leftarrow$](./S5.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Downarrow$](./S5.2.A.html)&nbsp;&nbsp;[$\downarrow$](./S5.2.P.html)&nbsp;&nbsp;[$\Rightarrow$](./S5.3.html)

