<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Section 5.3</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###<span id="sect-5.3.P"></span>Problems to Section 5.3

> 1. [Problem 1](#problem-5.3.P.1)
> 2. [Problem 2](#problem-5.3.P.2)
> 3. [Problem 3](#problem-5.3.P.3)
> 4. [Problem 4](#problem-5.3.P.4)



**<span id="Problem-5.3.P.1"></span>Problem 1.**

1. Consider Dirichlet problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty < x < \infty, y>0, \\\\
&u|\_{y=0}=f(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral.

2. Consider Neumann problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty< x< \infty, y>0, \\\\
&u\_y|\_{y=0}=f(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral. What condition must satisfy $f$?

**<span id="Problem-5.3.P.2"></span>Problem 2.**

1. Consider Dirichlet problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty<x<\infty, 0<y<1, \\\\
&u|\_{y=0}=f(x),\quad u|\_{y=1}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral.

2. Consider Dirichlet-Neumann problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty<x<\infty, 0<y<1,  \\\\
&u|\_{y=0}=f(x), \quad u\_y|\_{y=1}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral.

3. Consider Neumann problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty< x<\infty, 0< y< 1,  \\\\
&u\_y|\_{y=0}=f(x), \quad u\_y|\_{y=1}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral. What condition must satisfy $f,g$?


**<span id="Problem-5.3.P.3"></span>Problem 3.**

Consider Robin problem
\begin{align}
&u\_{xx}+u\_{yy}=0,\qquad -\infty< x<\infty, y>0, \\\\
&(u\_y+\alpha u)|\_{y=0}=f(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral. What condition (if any) must satisfy $f$?

*Hint.* Consider separately $\alpha>0$ and $\alpha<0$.



**<span id="Problem-5.3.P.4"></span>Problem 4.**

1. Consider  problem
\begin{align}
&\Delta^2u=0,\qquad -\infty< x<\infty, y>0, \\\\
&u|\_{y=0}=f(x),\quad &u\_y|\_{y=0}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral.

2. Consider problem
\begin{align}
&\Delta^2u=0,\qquad -\infty< x<\infty, y>0, \\\\
&u\_{yy}|\_{y=0}=f(x),\quad &\Delta u\_{y}|\_{y=0}=g(x).
\end{align}
Make Fourier transform by $x$, solve problem for ODE for $\hat{u}(k,y)$ which you get as a result and write $u(x,y)$ as a Fourier integral. What condition must satisfy $f,g$?


________________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S5.3.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter6/S6.1.html)
