<link href="../markdown.css" rel="stylesheet"></link>

<title>6.3. Laplace operator in polar coordinates</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

##6.3. Laplace operator in different coordinates
---------------------------------------------------

> 1.  [Laplace operator in polar coordinates](#sect-6.3.1)
> 2.  [Laplace operator in spherical coordinates](#sect-6.3.2)
> 3.  [Special knowledge: Generalization](#sect-6.3.3)
> 4.  [Secret knowledge: elliptical and parabolic coordinates](#sect-6.3.4)

###<span id="sect-6.3.1"></span>6.3. Laplace operator in polar coordinates

In the next several lectures we are going to consider Laplace equation in the disk and similar domains and separate variables there but for this purpose we need to express Laplace operator in polar coordinates. Recall that (from 1st year Calculis) polar coordinates are $(r,\theta)$ connected with Cartesian coordinates by $x=r\cos (\theta)$, $y=r\sin(\theta)$ and inversely 
\begin{equation\*}
\left\\{\begin{aligned}
&r=\sqrt{x^2+y^2},\\\\
&\theta = \arctan \bigl(\frac{y}{x}\bigr);
\end{aligned}\right.
\end{equation\*}
surely the second formula is not exactly correct as changing $(x,y)\to (-x,-y)$ does not change it ratio but replaces $\theta $ by $\theta +\pi$ (or $\theta-\pi)$ as $\theta$ is defined modulo $2\pi n$ with $n\in \mathbb{Z}$. It does not really maater as we are interested only in derivatives: 
\begin{equation}
r\_x=\cos(\theta),\  r\_y=\sin(\theta),\  
\theta\_x = -r^{-1}\sin(\theta),\  \theta\_y = r^{-1}\cos(\theta).
\label{eq-6.3.1}
\end{equation}


**<span id="exercise-6.3.1"></span>Exercise 1.**
Prove (\ref{eq-6.3.1}).


Then by chain rule
\begin{equation}
\left\\{\begin{aligned}
&\partial\_x = \cos(\theta)\partial\_r - r^{-1}\sin(\theta)\partial\_\theta,\\\\ &\partial\_y = \sin(\theta)\partial\_r + r^{-1}\cos(\theta)\partial\_\theta
\end{aligned}\right.
\label{eq-6.3.2} \end{equation}
and therefore
\begin{equation\*}
\Delta = \partial\_x^2+ \partial\_y^2=
\bigl(\cos(\theta)\partial\_r - r^{-1}\sin(\theta)\partial\_\theta\bigr)^2 +
\bigl(\sin(\theta)\partial\_r +
r^{-1}\cos(\theta)\partial\_\theta\bigr)^2
\end{equation\*}
and after tedious calculations one can get
\begin{equation}
\Delta =
\partial\_r^2 +\frac{1}{r}\partial\_r +\frac{1}{r^2}\partial\_\theta^2. \label{eq-6.3.3}
\end{equation}

**<span id="exercise-6.3.2"></span>Exercise 2.**
Do it.

Instead we want to use a different method requiring much less error prone calculations but more delicate arguments (useful in more complicated
cases).

Note first the identity
\begin{equation}
\iint\Delta u\cdot v\,dxdy = -\iint \nabla u \cdot \nabla v\,dxdy
\label{eq-6.3.4}
\end{equation}
provided $v=0$ near $\Gamma$ (boundary of $\mathcal{D}$) and integrals are taken over $\mathcal{D}$.

Now let us express the left- and right-hand expression in polar coordinates. Recall that polar coordinates are *orthogonal* (i.e. level lines of $r$ (circles) and level lines of $\theta$ (rays from the origin) are orthogonal in the points where they intersect) and the distance between two close points $ds$ can be calculated as
\begin{equation}
ds^2 =dx^2+dy^2 =dr^2+r^2d\theta^2
\label{eq-6.3.5}
\end{equation}
and therefore area element is $dA=dx dy= rdrd\theta$.

But what about $\nabla u\cdot \nabla v$? We claim that
\begin{equation}
\nabla u\cdot \nabla v = u\_r v\_r +\frac{1}{r^2}u\_\theta v\_\theta. \label{eq-6.3.6}
\end{equation}
Indeed, $\nabla u$ is a vector of the different nature than $d\mathbf{s}=(dx,dy)$. They are connected by $du=\nabla u\cdot d\mathbf{s}$ and when we change coordinates $d\mathbf{s}=Qd\mathbf{s}$ with some matrix $Q$ and since
\begin{equation\*}
du=\nabla u\cdot d\mathbf{s}=\nabla u'\cdot d\mathbf{s}'=
\nabla u'\cdot Qd\mathbf{s}= Q^T \nabla u'\cdot d\mathbf{s}
\end{equation\*}
we conclude that $d\mathbf{s}'=Q^{T\,-1}\nabla u$ where $^T$ means transposed
matrix. Such dual vectors mathematicians call *covectors*.

**<span id="remark-6.3.1"></span>Remark 1.**

1. While mathematicians talk about *vectors* and *covectors* physicists often call them *covariant* and *contravariant* vectors.

2. Also there are notions of pseudo-vectors (and pseudo-covectors) and pseudo-scalars which change signs when right-oriented coordinate system is changed to the left-oriented one. F.e. if we restrict ourselves to Cartesian coordinates, vector-product of two vectors is a pseudo-vector, and oriented volume is a pseudo-scalar. Curl of a vector field is a pseudo-vector field. Intensity of magnetic field is a pseudo-vector.
3. However for more general coordinate systems there are also *densities* which in addition to usual transformations "reflect" the change of volume.

For us here important is only the difference between vectors and covectors.

Therefore (\ref{eq-6.3.4}) becomes
\begin{multline\*}
\iint \Delta
u\cdot v\,r drd\theta =
-\iint \bigr(u\_r v\_r +\frac{1}{r^2}u\_\theta v\_\theta\bigr)r\,drd\theta=\\\\ -\iint \bigr(r u\_r v\_r +\frac{1}{r}u\_\theta v\_\theta\bigr)\,drd\theta= \iint \bigr(\bigr(r u\_r\bigl)\_r +
\bigr(\frac{1}{r}u\_\theta\bigl)\_\theta \bigr)v\,drd\theta
\end{multline\*}
where we integrated by parts. This identity
\begin{equation\*}
\iint r \Delta u\cdot v\,drd\theta = \iint \bigr(\bigr(r u\_r\bigl)\_r
+\bigr(\frac{1}{r}u\_\theta\bigl)\_\theta \bigr)v\,drd\theta.
\end{equation\*}
holds for any $v$ vanishing near $\Gamma$ and therefore we can nix integration and $v$:
\begin{equation\*} r
\Delta u = \bigr(r u\_r\bigl)\_r +\bigr(\frac{1}{r}u\_\theta\bigl)\_\theta . \end{equation\*}

**<span id="exercise-6.3.3"></span>Exercise 3.**
Think about this. Finally we get
\begin{equation\*}
\Delta u = r^{-1}\bigr(r u\_r\bigl)\_r +r^{-1}\bigr(r^{-1}u\_\theta\bigl)\_\theta
\end{equation\*}
which is exactly (\ref{eq-6.3.3}).


It may look too complicated for polar coordinates but in more general cases this approach is highly beneficial.

###<span id="sect-6.3.2"></span>Laplace operator in spherical coordinates

Spherical coordinates are $\rho$ (radius), $\phi$ (latitude) and $\theta$ (longitude):
\begin{equation\*}
\left\\{\begin{aligned}
&x=\rho \sin(\phi)\cos(\theta),\\\\
&y=\rho \sin(\phi)\sin(\theta)\\\\
&z=\rho\cos(\phi).
\end{aligned}\right.
\end{equation\*}
Conversely
\begin{equation\*}
\left\\{\begin{aligned}
&\rho=\sqrt{x^2+y^2+z^2},\\\\
&\phi =\arctan\bigl(\frac{\sqrt{x^2+y^2}}{z}\bigr),\\\\
&\theta = \arctan \bigl(\frac{y}{x}\bigr);
\end{aligned}\right.
\end{equation\*}
and using chain rule and "simple" calculations becomes rather challenging.

Instead we recall that these coordinates are also orthogonal: if we fix
$\phi$ and $\theta$ we get rays from origin, which are orthogonal to the speres which we get if we fix $r$. On the spheres if we fix $\theta$ we get meridians and if we fix $\phi$ we get parallels and those are also orthogonal. Then \begin{equation}
ds^2 =dx^2+dy^2+dz^2 =d\rho^2+\rho^2d\phi^2+\rho^2
\sin^2(\phi)d\theta^2
\tag\*{(\ref{eq-6.3.5})'}\label{eq-6.3.5'}
\end{equation}
where $d\rho$, $\rho d\phi$ and $\rho\sin(\phi)d\theta$ are distances along rays, meridians and parallels and therefore volume element is
$dV=dx dy dz= \rho^2\sin(\theta)d\rho d\phi d\theta$.

Therefore
\begin{equation}
\nabla u\cdot \nabla v = u\_\rho v\_\rho +\frac{1}{\rho^2}u\_\phi v\_\phi+
\frac{1}{\rho^2\sin^2(\phi)} u\_\theta v\_\theta.
\tag\*{(\ref{eq-6.3.6})'}\label{eq-6.3.6'}
\end{equation}

Plugging this into
\begin{equation}
\iiint\Delta u\cdot v\\,dxdydz = -\iiint \nabla u \cdot \nabla v\,dxdydz
\tag\*{(\ref{eq-6.3.4})'}\label{eq-6.3.4'}
\end{equation}
we get
\begin{multline\*}
\iiint
\Delta u\cdot v \rho^2\sin(\phi)\,d\rho d\phi d\theta = \\\\
-\iiint \bigr(u\_\rho v\_\rho +\frac{1}{\rho^2} u\_\phi v\_\phi +
\frac{1}{\rho^2\sin(\phi)} u\_\theta v\_\theta\bigr)\rho^2\sin(\phi)
\,d\rho d\phi d\theta=\\\\
\iiint \Bigr(\bigr(\rho^2\sin(\phi) u\_\rho\bigl)\_\rho +
\bigr(\sin(\phi) u\_\phi\bigl)\_\phi+
\bigr(\frac{1}{\sin(\phi)}u\_\theta\bigl)\_\theta \Bigr) v\,d\rho d\phi d\theta. \end{multline\*}

Then we can nix integration and factor $v$:
\begin{equation\*}
\Delta u\cdot \rho^2\sin(\phi)=
\bigr(\rho^2\sin(\phi) u\_\rho\bigl)\_\rho + \bigr(\sin(\phi) u\_\phi\bigl)\_\phi+ \bigr(\frac{1}{\sin(\phi)}u\_\theta\bigl)\_\theta
\end{equation\*}
and then
\begin{equation\*}
\Delta u= \frac{1}{\rho^2\sin(\phi)}\Bigl(\bigr(\rho^2\sin(\phi)
u\_\rho\bigl)\_\rho + \bigr(\sin(\phi) u\_\phi\bigl)\_\phi+
\bigr(\frac{1}{\sin(\phi)}u\_\theta\bigl)\_\theta \Bigr)
\end{equation\*}
and finally
\begin{equation}
\Delta = \partial\_\rho^2 + \frac{2}{\rho}\partial\_\rho + \frac{1}{\rho^2}\bigl(\partial\_{\phi}^2 +\cot(\phi)\partial\_\phi\bigr) +\frac{1}{\rho^2\sin^2(\phi)}\partial\_{\theta}^2.
\label{eq-6.3.7}
\end{equation}
(compare with (\ref{eq-6.3.3}))

**<span id="definition-6.3.1"></span>Definition 1.**
\begin{equation}
\Lambda:= \partial\_{\phi}^2 +\cot(\phi)\partial\_\phi
+\frac{1}{\sin^2(\phi)}\partial\_{\theta}^2
\label{eq-6.3.8}
\end{equation}
is a spherical Laplacian (aka Laplace-Beltrami operator on the sphere).


###<span id="sect-6.3.3"></span>Special knowledge: Generalization

If the length element is
\begin{equation}
ds^2 =\sum\_{j,k} g\_{jk}d q^j dq^k
\tag\*{(\ref{eq-6.3.5})''}\label{eq-6.3.5''}
\end{equation}
where $q=q^1,\ldots,q^n)$ are new coordinates and we prefer to write $dq^j$ rather than $dq\_j$ (to half-follow Einstein' notations), $g\_{jk}$ is symmetric
matrix, then
\begin{equation}
\nabla u\cdot \nabla v = \sum\_{j,k} g^{jk}u\_{q^j}u\_{q^k}
\tag\*{(\ref{eq-6.3.6})''}\label{eq-6.3.''}
\end{equation}
where
$(g^{jk})$ is an inverse matrix to $(g\_{jk})$:
$\sum\_{k} g^{jk}g\_{kl}= \sum\_{k} g\_{lk}g^{kj}= \delta^j\_l$.

Then volume element is $|\det (g\_{jk})|^{\frac{1}{2}}\\,dq\_1\cdots dq\_n$ and \begin{equation}
\Delta u = |\det (g\_{jk})|^{-\frac{1}{2}}\sum\_{j,k}
\frac{\partial \ }{\partial q^j}\bigl( |\det (g\_{jk})|^{\frac{1}{2}} g^{jk}\frac{\partial u}{\partial q^k} \bigr)
\label{eq-6.3.9}
\end{equation}

**<span id="remark-6.3.2"></span>Remark 2.**
Formula (\ref{eq-6.3.9}) defines Laplace operator on *Riemannian manifolds* (like surfaces in 3D) where Cartesian coordinates do not exist at all. Such manifolds are studied in the *Riemannian geometry* and are used f.e. in *General relativity* (actually GR uses *pseudo-Riemannian manifolds*).
<!--\end{remark}-->

###<span id="sect-6.3.4"></span>Secret knowledge: elliptic and parabolic coordinates

**[Elliptic coordinates](http://en.wikipedia.org/wiki/Elliptic_coordinate_system)** on $\mathbb{R}^2$ are $(\sigma, \tau)$:
\begin{equation}
\left\\{\begin{aligned}
&x=c\cosh (\sigma) \cos(\tau),\\\\
&y=c\sinh (\sigma) \sin(\tau).
\end{aligned}\right.
\label{eq-6.3.10}
\end{equation}
Level lines $\sigma=\const$ are ellipses with foci at $(-c,0)$ and $(c,0)$ and level lines $\tau=\const$ are hyperbolae with the same focai; so we have confocal ellipses and hyperbolae.

<center>![image](http://upload.wikimedia.org/wikipedia/commons/d/d2/Elliptical_coordinates_grid.svg)</center>

These coordinates are not only orthogonal but they are *conformal* ($ds^2$ is proportional to $d\sigma^2+d\tau^2$)
\begin{equation}
ds^2= \bigl(\sinh^2(\sigma)+\sin^2(\tau) \bigr)(d\sigma^2+d\tau^2)
\label{eq-6.3.11}
\end{equation}
and therefore
\begin{equation}
\Delta =
\frac{1}{c^2\bigl(\sinh^2(\sigma)+\sin^2(\tau) \bigr)}
(\partial\_\sigma^2 +\partial\_\tau^2 ).
\label{eq-6.3.12}
\end{equation}

**[Elliptic cylindrical coordinates](http://en.wikipedia.org/wiki/Elliptic_cylindrical_coordinates)** in $\mathbb{R}^3$ are obtained by adding $z$ to elliptic coordinates.


**[Parabolic coordinates](http://en.wikipedia.org/wiki/Parabolic_coordinates)** on $\mathbb{R}^2$ are $(\sigma, \tau)$:
\begin{equation}
\left\\{\begin{aligned}
&x=\sigma \tau,\\\\
&y=\frac{1}{2}(\sigma^2-\tau^2).
\end{aligned}\right.
\label{eq-6.3.13}
\end{equation}
Level lines $\sigma=\const$ and $\tau=\const$ are  confocal parabolae.

<center>
![image](http://upload.wikimedia.org/wikipedia/commons/9/90/Parabolic_coords.svg)
</center>

These coordinates are also *conformal*
\begin{equation}
ds^2= (\sigma^2+\tau^2) (d\sigma^2+d\tau^2)
\label{eq-6.3.14}
\end{equation}
and therefore
\begin{equation}
\Delta =
\frac{1}{\sigma^2+\tau^2}
(\partial\_\sigma^2 +\partial\_\tau^2 ).
\label{eq-6.3.15}
\end{equation}

**[Three-dimensional parabolic coordinates](http://en.wikipedia.org/wiki/Parabolic_coordinates#Three-dimensional_parabolic_coordinates)** are obtained by rotating the two-dimensional system about the symmetry axis of the parabolae.

**[Parabolic cylindrical coordinates](http://en.wikipedia.org/wiki/Parabolic_cylindrical_coordinates)** in $\mathbb{R}^3$ are obtained by adding $z$ to parabolic coordinates.

--------------

[$\Leftarrow$](./S6.2.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S6.4.html)

