<link href="../markdown.css" rel="stylesheet"></link>

<title>6.4. Laplace operator in the disk: separation of variables</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


##6.4. Laplace operator in the disk: separation of variables
-----------------------------------------------

> 1.  [Separation of variables](#sect-6.4.1)
> 2.  [Poisson formula](#sect-6.4.2)

###<span id="sect-6.4.1"></span>Separation of variables

So, consider problem
\begin{align\*}
& \Delta u =0&& \text{as }\; x^2+y^2\< a^2,\\\\[3pt]
& u= g && \text{at }\\; x^2+y^2=a^2.
\end{align\*}
In the polar coordinates it becomes
\begin{align}
& u\_{rr}+ \frac{1}{r}u\_r + \frac{1}{r^2}u\_{\theta\theta} =0&&
\text{as }\; r \< a,\label{eq-6.4.1}\\\\[3pt]
& u= g(\theta) && \text{at }\; r=a. \label{eq-6.4.2}
\end{align}
First let us forget for a while about (\ref{eq-6.4.2}) and consider a simple solution $u=R(r)\Theta(\theta)$ to equation (\ref{eq-6.4.1}). Then
\begin{equation\*}
R'' \Theta +\frac{1}{r}R'\Theta + \frac{1}{r^2}R \Theta ''=0.
\end{equation\*}
To separate $r$ and $\theta$ we must divide by $R\Theta$ and multiply by $r^2$:
\begin{equation\*}
\underbracket{\frac{r^2 R'' +rR'}{R}}+
\underbracket{\frac{\Theta''}{\Theta}}=0.
\end{equation\*}
Then repeating our usual separation of variables magic spell both expressions are constant, say $\lambda$ and $-\lambda$:
\begin{gather}
r^2 R''+rR'-\lambda R=0,\label{eq-6.4.3}\\\\[3pt]
\Theta''+\lambda \Theta=0. \label{eq-6.4.4}
\end{gather}
Now we need boundary conditions to $\Theta$ and those are periodic: \begin{equation}
\Theta (2\pi)=\Theta(0),\qquad \Theta' (2\pi)=\Theta'(0).
\label{eq-6.4.5}
\end{equation}
We already know solution to (\ref{eq-6.4.4})--(\ref{eq-6.4.5}):
\begin{align}
&\lambda\_0=0,&& \lambda\_n=n^2, &&n=1,2,\ldots.\\\\
&\Theta\_0 =\frac{1}{2} && \Theta\_{n,1}=\cos(n\theta),&& \Theta\_{n,2}=\sin(n\theta).
\label{eq-6.4.7}
\end{align}
Equation (\ref{eq-6.4.3}) is an Euler equation, we are looking for solutions $R=r^m$. Then
\begin{equation}
m(m-1)+m -\lambda=0\implies m^2=\lambda
\label{eq-6.4.8}
\end{equation}
Plugging $\lambda\_n=n^2$ into (\ref{eq-6.4.3}) we get $m=\pm n$ and
therefore $R= A r^n+Br^{-n}$ as $n\ne 0$ and $R=A+B\log r$ as $n=0$. Therefore \begin{multline}
u=\frac{1}{2}\bigl(A\_0+B\_0\log r\bigr)+\\\\
\sum\_{n=1}^\infty \Bigl(\bigl(A\_nr^n+B\_nr^{-n}\bigr)\cos(n\theta)+
\bigl(C\_nr^n+D\_nr^{-n}\bigr)\sin(n\theta)\Bigr).\quad
\label{eq-6.4.9}
\end{multline}
Here we assembled simple solutions together.

As we are looking for solutions in the disk $\\{r\< a\\}$ we should discard terms singular as $r=0$; namely we should set $B\_0=0$, $B\_n=D\_n=0$ for $n=1,2,\ldots$ and therefore
\begin{equation}
u=\frac{1}{2} A\_0+ \sum\_{n=1}^\infty r^n\Bigl( A\_n\cos(n\theta)+
C\_n \sin(n\theta)\Bigr).\quad \label{eq-6.4.10}
\end{equation}
If we consider equation outside of the disk (so as $r\>a$) we need to impose condition $\max |u|\<\infty$ and discard terms singular as $r=\infty$; namely we should sety $B\_0=0$, $A\_n=C\_n=0$ for $n=1,2,\ldots$ and therefore \begin{equation}
u=\frac{1}{2} A\_0+
\sum\_{n=1}^\infty r^{-n}\Bigl( B\_n\cos(n\theta)+ D\_n\sin(n\theta)\Bigr).\quad \label{eq-6.4.11}
\end{equation}
Finally, if we consider equation outside in the annulus (aka ring)
$\\{a\< r\< b\\}$ we need b.c. on both circles $\\{r=a\\}$ and $\\{r=b\\}$ and we discard no terms.

###<span id="sect-6.4.2"></span>Poisson formula

But we are dealing with the disk. Plugging (\ref{eq-6.4.10}) into (\ref{eq-6.4.2}) we get
\begin{equation}
g(\theta)=\frac{1}{2} A\_0+  \sum\_{n=1}^\infty  a^n
\Bigl( A\_n\cos(n\theta)+ C\_n\sin(n\theta)\Bigr)\quad
\label{eq-6.4.12}
\end{equation}
and therefore
\begin{align\*}
A\_n=\frac{1}{\pi} a^{-n}\int\_0^{2\pi} g(\theta')\cos(n\theta')\,d\theta', \\\\\\
C\_n=\frac{1}{\pi} a^{-n}\int\_0^{2\pi} g(\theta')\sin(n\theta')\,d\theta'.
\end{align\*}
Plugging into (\ref{eq-6.4.10}) we get
\begin{equation}
u(r,\theta)=\int\_0^{2\pi}G(r,\theta,\theta')g(\theta')\,d\theta'
\label{eq-6.4.13}
\end{equation}
with
\begin{gather\*}
G(r,\theta,\theta'):= \frac{1}{2\pi} \Bigl(1+2\sum\_{n=1}^\infty r^n a^{-n}
\bigl(\cos(n\theta)\cos(n\theta')+\sin(n\theta)\sin(n\theta')
\bigr) \Bigr)=\\\\
\frac{1}{2\pi} \Bigl(1+2\sum\_{n=1}^\infty r^n a^{-n}\cos (n(\theta-\theta')) \Bigr)=\\\\
\frac{1}{2\pi} \Bigl(1+2\Re \sum\_{n=1}^\infty
\bigl(ra^{-1}e^{i(\theta-\theta')}\bigr)^n \Bigr)=\\\\
\frac{1}{2\pi} \Bigl(1+2\Re \frac{ra^{-1}e^{i(\theta-\theta')}}{1-ra^{-1}e^{i(\theta-\theta')}}
\Bigr)
\end{gather\*}
where we summed geometric progression with the factor $z=ra^{-1}e^{i(\theta-\theta')}$ (then $|z|=ra^{-1}\<1$).

Multiplying numerator and denominator by $a^2-ra e^{-i(\theta-\theta')}$ we get $ra e^{-i(\theta-\theta')}-r^2$ and
$a^2-ra [e^{-i(\theta-\theta')}+e^{i(\theta-\theta')}]+r^2a^{-2}=
a^2-2ra\cos (\theta-\theta') +r^2$ and therefore we get
\begin{equation\*}
G(r,\theta,\theta')= \frac{1}{2\pi}
\Bigl(1+2 \frac{ra \cos(\theta-\theta')-r^2}{a^2-2ra\cos (\theta-\theta') +r^2} \Bigr)
\end{equation\*}
and finally
\begin{equation}
G(r,\theta,\theta')=
\frac{1}{2\pi}\frac{a^2-r^2}{a^2-2ra\cos (\theta-\theta') +r^2}. \label{eq-6.4.14}
\end{equation}
Recall that $r\< a$.

Formula (\ref{eq-6.4.13})--(\ref{eq-6.4.14}) is *Poisson formula*.

**<span id="exercise-6.4.1"></span>Exercise 1.**
Prove that in the center of the disk (as $r=0$)
\begin{equation}
u(0)=\frac{1}{2\pi}\int\_0^{2\pi} g(\theta')\,d\theta'
\label{eq-6.4.15}
\end{equation}
and the
right-hand expression is a mean value of $u$ over circumference $\\{r=a\\}$.


**<span id="exercise-6.4.2"></span>Exercise 2.**

1. Using (\ref{eq-6.4.11}) instead of (\ref{eq-6.4.10}) prove that
for the problem
\begin{align}
& u\_{rr}+ \frac{1}{r}u\_r + \frac{1}{r^2}u\_{\theta\theta} =0&& \text{as }\;
a\< r,\label{eq-6.4.16}\\\\[3pt]
& u= g(\theta) && \text{at }\; r=a, \label{eq-6.4.17}\\\\[3pt]
& \max |u|\<\infty\label{eq-6.4.18}
\end{align}
solution is given (for $r\>a$) by (\ref{eq-6.4.13}) but with
\begin{equation}
G(r,\theta,\theta')=
\frac{1}{2\pi}\frac{r^2-a^2}{a^2-2ra\cos (\theta-\theta') +r^2}. \label{eq-6.4.19}
\end{equation}
2. As a corollary, prove that
\begin{equation}
u(\infty):=\lim \_{r\to\infty}u=
\frac{1}{2\pi}\int\_0^{2\pi} g(\theta')\,d\theta).
\label{eq-6.4.20}
\end{equation}


--------------

[$\Leftarrow$](./S6.3.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S6.5.html)
