<link href="../markdown.css" rel="stylesheet"></link>

<title>6.5. Laplace operator in the disk. II</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

##6.5. Laplace operator in the disk. II
-----------------------------------

> 1.  [Neumann problem](#sect-6.5.1)
> 2.  [Laplace operator in the sector](#sect-6.5.2)

###<span id="sect-6.5.1"></span>Neumann problem

Consider now Neumann problem
\begin{align}
& u\_{rr}+ \frac{1}{r}u\_r + \frac{1}{r^2}u\_{\theta\theta} =0
&& \text{as }\; r \< a,
\label{eq-6.5.1}\\\\[3pt]
& u\_r= h(\theta) && \text{at }\; r=a.
\label{eq-6.5.2}
\end{align}
Plugging in (\ref{eq-6.5.2}) expression ([6.4.10](./S6.4.html#mjx-eqn-eq-6.4.10)) of the previous [Section 6.4](./S6.4.html)
\begin{equation}
u=\frac{1}{2} A\_0+ \sum\_{n=1}^\infty r^n
\Bigl( A\_n\cos(n\theta)+ C\_n\sin(n\theta)\Bigr)
\tag{6.4.10}\label{eq-6.4.10}
\end{equation}
we get
\begin{equation}
\sum\_{n=1}^\infty n a^{n-1}
\Bigl( A\_n\cos(n\theta)+ C\_n\sin(n\theta)\Bigr)=h(\theta)
\label{eq-6.5.3}
\end{equation}
and feel trouble!

1. We cannot satisfy (\ref{eq-6.5.3}) unless $h(\theta)$ has "free" coefficient equal to $0$ i.e.
\begin{equation}
\int\_0^{2\pi} h(\theta)\,d\theta=0.
\label{eq-6.5.4}
\end{equation}
2. Even if (\ref{eq-6.5.4}) holds we cannot find $A\_0$ so in the end solution is defined up to a constant.

So to cure (a) assume that (\ref{eq-6.5.4}) is fulfilled and to fix (b)impose condition
\begin{equation}
\iint\_{\mathcal{D}} u(x,y)\,dxdy=0.
\label{eq-6.5.5}
\end{equation}
(Indeed, it is $\iint u(r,\theta)\,rdrd\theta=\pi a^2 A\_0$). Then $A\_0=0$ and
\begin{align\*}
A\_n = \frac{1}{\pi n}a^{1-n}\int\_0^{2\pi} h(\theta')\cos(n\theta')\,d\theta', \\\\
C\_n = \frac{1}{\pi n}a^{1-n}\int\_0^{2\pi} h(\theta')\sin (n\theta')\,d\theta'.
\end{align\*}
Plugging into (\ref{eq-6.4.10}) we have
\begin{equation}
u(r,\theta)=\int\_0^{2\pi}G(r,\theta,\theta')h(\theta')\,d\theta'
\label{eq-6.5.6}
\end{equation}
with
\begin{align\*}
G(r,\theta,\theta'):=
&\frac{1}{\pi} 
\Bigl(\sum\_{n=1}^\infty \frac{1}{n} r^n a^{1-n}
\bigl(\cos(n\theta)\cos(n\theta')+\sin(n\theta)\sin(n\theta)\bigr) \Bigr)=\\\\ 
&\frac{1}{\pi} \Bigl(\sum\_{n=1}^\infty \frac{1}{n} r^n a^{1-n}
\cos (n(\theta-\theta')) \Bigr)=\\\\
&\frac{a}{\pi} \Bigl(\Re \sum\_{n=1}^\infty \frac{1}{n} \bigl(ra^{-1}e^{i(\theta-\theta')}\bigr)^n \Bigr)=\\\\
&-\frac{a}{\pi} \Re \log \bigl(1-ra^{-1}e^{i(\theta-\theta')}\bigr) \end{align\*}
where we used that $\sum\_{n=1}^\infty \frac{1}{n}z^n=-\log (1-z)$
(indeed, if we denote it by $f(z)$ then
$f'(z)= \sum\_{n=1}^\infty z^{n-1}=(1-z)^{-1}$ and $f(0)=0$) and plugged
$z=ra^{-1}e^{i(\theta-\theta')}$ with $|z|\<1$. The last expression equals \begin{multline\*}
-\frac{a}{2\pi} \log \bigl[ \bigl(1-ra^{-1}e^{i(\theta-\theta')}\bigr)\bigl(1-ra^{-1}e^{-i(\theta-\theta')}\bigr)\bigr]\\\\
=-\frac{a}{2\pi}
\log \bigl[a^{-2}\bigl(a^2-2ar\cos(\theta-\theta')+r^2\bigr)\bigr].
\end{multline\*}
with
\begin{equation}
G(r,\theta,\theta')= -\frac{a}{2\pi}\log
\bigl[a^{-2}\bigl(a^2-2ar\cos(\theta-\theta')+r^2\bigr)\bigr].
\label{eq-6.5.7}
\end{equation}
Recall that $r\< a$.

Considering outside of the disk we should use
([6.4.11](./S6.4.html#mjx-eqn-eq-6.4.11))
\begin{equation}
u=\frac{1}{2}
A\_0+ \sum\_{n=1}^\infty
r^{-n}\Bigl( B\_n\cos(n\theta)+ D\_n \sin(n\theta)\Bigr).
\tag{6.4.11}\label{eq-6.4.11}
\end{equation}
Again we need to impose condition (\ref{eq-6.5.4}); condition (\ref{eq-6.5.5})
is now replaced by
\begin{equation}
\lim \_{r\to \infty}u =0.
\label{eq-6.5.8}
\end{equation}
Then $A\_0=0$ and
\begin{align\*}
B\_n=-\frac{1}{\pi}\frac{1}{n}a^{n+1} \int\_0^{2\pi}
h(\theta')\cos(n\theta')\,d\theta',\\\\
D\_n=-\frac{1}{\pi}\frac{1}{n}a^{n+1} \int\_0^{2\pi}
h(\theta')\sin(n\theta')\,d\theta'.
\end{align\*}
Plugging into (\ref{eq-6.4.11}) we get (\ref{eq-6.5.6}) with
\begin{equation}
G(r,\theta,\theta')= \frac{a}{2\pi}\log
\bigl[r^{-2}\bigl(a^2-2ar\cos(\theta-\theta')+r^2\bigr)\bigr].
\label{eq-6.5.9}
\end{equation}

###<span id="sect-6.5.2"></span>Laplace in the sector

Consider now our equation in the sector $\\{ r\< a, \  0\<\theta \<\alpha\\}$ and impose $0$ Dirichlet boundary conditions at radial parts of the boundary and non-zero on the circular part. Consider now Neumann problem
\begin{align}
& u\_{rr}+ \frac{1}{r}u\_r + \frac{1}{r^2}u\_{\theta\theta} =0
&& \text{as }\\; r \< a,\  0\<\theta\<\alpha
\label{eq-6.5.10}\\\\[3pt]
&u(r,0)=u(r,\alpha)=0 &&0\< r\< a,\label{eq-6.5.11}\\\\[3pt]
& u= h(\theta) && \text{at }\; r=a,\ 0\<\theta\<\alpha.
\label{eq-6.5.12}
\end{align}

**<span id="remark-6.5.1"></span>Remark 1.**
We can consider different b.c. on these three parts of the boundary,
trouble is when Neumann is everywhere.

Then separating variables as in [Section 6.4](./S6.4.html) we get
\begin{gather\*}
\Theta''+\lambda \Theta=0,\\\\[3pt]
\Theta(0)=\Theta(\alpha)=0
\end{gather\*}
and therefore
\begin{equation\*}
\lambda\_n = \bigl(\frac{\pi n}{\alpha}\bigr)^2,\qquad
\Theta\_n = \sin \bigl(\frac{\pi n\theta}{\alpha}\bigr)\qquad n=1,2,\ldots \end{equation\*}
and plugging into ([6.4.3](./S6.4.3.html#mjx-eqn-eq-6.4.3))
\begin{equation}
r^2 R''+rR'-\lambda R=0
\tag{6.4.3}\label{eq-6.5.23-3}
\end{equation}
we get
\begin{equation}
R\_n= A\_n r^{\frac{\pi n}{\alpha}}+ B\_n r^{-\frac{\pi n}{\alpha}} \label{eq-6.5.13}
\end{equation}
and therefore
\begin{equation}
u= \sum\_{n=1}^\infty
\bigl(A\_n r^{\frac{\pi n}{\alpha}}+ B\_n r^{-\frac{\pi n}{\alpha}}\bigr)
\sin \bigl(\frac{\pi n\theta}{\alpha}\bigr)
\label{eq-6.5.14}
\end{equation}
where for sector $\\{ r\< a, \ 0\<\theta \<\alpha\\}$ we should set $B\_n=0$ (for domain $\\{ r\>a, \ 0\<\theta \<\alpha\\}$ we should set $A\_n=0$ and for domain $\\{ a\< r\< b, \ 0\<\theta \<\alpha\\}$ we don't nix anything). The rest
is easy except we don't get nice formula like Poisson formula.


--------------

[$\Leftarrow$](./S6.4.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\downarrow$](./S6.P.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter7/S7.1.html)

