<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Chapter 6</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

###Problems to Chapter 6

> 1. [Problem 1](#problem-6.P.1)
> 2. [Problem 2](#problem-6.P.2)
> 3. [Problem 3](#problem-6.P.3)
> 4. [Problem 4](#problem-6.P.4)
> 5. [Problem 5](#problem-6.P.5)


**<span id="problem-6.P.1"></span>Problem 1.**

1.  Find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}+u\_{zz}=k^2u,
    \end{equation\*}
    where $k$ is a positive constant. (*Hint:*  Substitute $u=v/r$)

2.  Find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}+u\_{zz}=-k^2u,
    \end{equation\*}
    where $k$ is a positive constant. (*Hint:* Substitute $u=v/r$)

**<span id="problem-6.P.2"></span>Problem 2.**

1.  Try to find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}=k^2u,
    \end{equation\*}
    where $k$ is a positive constant. What ODE should satisfy $u(r)$?

2.  Try to find the solutions that depend only on $r$ of the equation
    \begin{equation\*}
    \Delta u:=u\_{xx}+u\_{yy}=-k^2u,
    \end{equation\*}
    where $k$ is a positive constant. What ODE should satisftfy $u(r)$?

**<span id="problem-6.P.3"></span>Problem 3.**

1.  Solve
	\begin{align\*}
	& \Delta u:=u\_{xx}+u\_{yy}=0&& \text{in } r\<a\\\\[3pt]
	& u|\_{r=a}=f(\theta).
	\end{align\*}
	where we use polar coordinates $(r,\theta)$ and
    $f(\theta)=\left\\{\begin{aligned}
    &1 &&0\<\theta\<\pi\\\\
   -&1 &&\pi\<\theta\<2\pi.
   \end{aligned}\right.$

2.  Solve
	\begin{align\*}
	& \Delta u:=u\_{xx}+u\_{yy}=0&& \text{in }  r\>a\\\\[3pt]
	& u|\_{r=a}=f(\theta),\\\\[3pt]
	& \max |u| \<\infty.
	\end{align\*}
	where we use polar coordinates
    $(r,\theta)$ and
    $f(\theta)=\left\\{\begin{aligned}
    &1  &&0\<\theta\<\pi\\\\
    -&1 &&\pi\<\theta\<2\pi.
    \end{aligned}\right.$


**<span id="problem-6.P.4"></span>Problem 4.**

1.  Solve
	\begin{align\*}
	& \Delta u:=u\_{xx}+u\_{yy}=0&& \text{in } r\<a\\\\[3pt]
	& u\_r|\_{r=a}=f(\theta)
	\end{align\*}
	where we use polar coordinates $(r,\theta)$ and
    $f(\theta)=\left\\{\begin{aligned} &1 &&0\<\theta\<\pi\\\\ -&1
    &&\pi\<\theta\<2\pi. \end{aligned}\right.$

2.  Solve
	\begin{align\*}
	& \Delta u :=u\_{xx}+u\_{yy}=0&& \text{in } r\>a\\\\[3pt]
	& u\_r|\_{r=a}=f(\theta),\\\\[3pt]
	& \max |u|  \<\infty.
	\end{align\*}
	where we use polar coordinates  $(r,\theta)$ and
	$f(\theta)=\left\\{\begin{aligned}
	&1 &&0\<\theta\<\pi\\\\
	-&1 &&\pi\<\theta\<2\pi.
    \end{aligned}\right.$


**<span id="problem-6.P.5"></span>Problem 5.**
Describe all real-valued solutions of biharmonic equation
\begin{equation}
\Delta^2u:=u\_{xxxx}+2u\_{xxyy}+u\_{yyyy}=0
\end{equation}
which one can obtain by a method of separation $u(x,y)=X(x)Y(y)$.

1. Try to do it directly; find the term preventing us. 
2. However if we set $X(x)=e^{ikx}$ (or $X=\cos (kx)$,  or $X(x)=\cos (kx)$), we will be able to get ODE for $Y(y)$.  Solve it.
3. In the rectangle $\\{0 <x <a, 0< y < b\\}$ we can find solutions, $a$-periodic with respect to $x$ and satisfying boundary conditions with respect to $y$: at $\\{y=0\\}$ and 
$\\{y=b\\}$ are given either $u, u_y$, or $u, u_{yy}$, or 
$u_{yy}, u_{yyy}$ (conditions do not necessary match). 
4. Write the general solution in the form of series.

**<span id="problem-6.P.6"></span>Problem 6.**
Describe all real-valued solutions of biharmonic equation
\begin{equation}
\Delta^2u:=
(\partial_r^2 +r^{-1}\partial_r + r^{-2}\partial_\theta^2)^2u=0
\end{equation}
which one can obtain by a method of separation $u(r,\theta)=R(r)\Theta(\theta)$.

1. Like in the previous problem, consider solution $2\pi$-periodic with respect to $\theta$, take $\Theta(\theta)=e^{in\theta}$ and find equation to $R(r)$.
2. Since it will be Euler equation, solve it.
3. Write the general solution in the form of series.

________________

[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S6.5.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter7/S7.1.html)
