<link href="../markdown.css" rel="stylesheet"></link>

<title>7.2. Potential theory and around</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

##7.2. Potential theory and around
---------------------
> 1.  [Gauss formula and its applications](#sect-7.2.1)
> 2.  [Potential](#sect-7.2.2)
> 3.  [Laplace equation in $\mathbb{R}^n$](#sect-7.2.3)
> 4.  [Mean-value theorem](#sect-7.2.4)
> 5.  [Maximum and minimum principle](#sect-7.2.5)
> 6.  [Unicity for Dirichlet problem](#sect-7.2.6)



###<span id="sect-7.2.1"></span>Gauss formula and its applications

Consider Gauss formula
\begin{equation}
\int\_{\Omega} \nabla\cdot \mathbf{U}\,dV =
- \int\_\Sigma \mathbf{U}\cdot \nu\, dS
\label{eq-7.2.1}
\end{equation}
where $\Omega$ is a bounded domain with the boundary $\Sigma$, $dV$ is a volume lement, $dS$ is an area element, $d\nu$ is a unit interior normal to $\Sigma$ ,
$\mathbf{U}$ is a vector field and $\nabla\cdot\mathbf{U}$ its divergence.

**<span id="remark-7.2.1"></span>Remark 1.**
Usually $\nu$ would denote an exterior normal and then there would be no sign $-$ on the right of (\ref{eq-7.2.1}).
<!--\end{remark}-->

Let us plug $\mathbf{U}=\nabla u$ into (\ref{eq-7.2.1}). We get
\begin{equation}
\int\_{\Omega}
\Delta u\,dV = - \int\_\Sigma \frac{\partial u}{\partial \nu}\, dS \label{eq-7.2.2}
\end{equation}
where $\Delta u=\nabla\cdot \nabla u$ is Laplacian of $u$,
$\frac{\partial u}{\partial \nu}=\nabla u\cdot \nu$ is a derivative of $u$ in direction $\nu$.

Let us plug $\mathbf{U}=w\nabla u$ into (\ref{eq-7.2.1}). We get
\begin{equation}
\int\_{\Omega}
\bigl(w\Delta u+\nabla u\cdot \nabla w\bigr)\,dV =
 - \int\_\Sigma w\nabla u\cdot \nu\, dS.
\label{eq-7.2.3}
\end{equation}
Antisymmetrizing (\ref{eq-7.2.3}) by $u,w$ (permutting $u$, $w$ and subtracting from original formula) we get
\begin{equation}
\int\_{\Omega} \bigl(w\Delta u-u\Delta w\bigr)\,dV =
\int\_\Sigma \bigl(u\frac{\partial w}{\partial \nu}-
w\frac{\partial u}{\partial \nu}\bigr)\, dS.
\label{eq-7.2.4}
\end{equation}

Consider now point $y$ not on $\Sigma$ and a function $w=|x-y|^{2-n}$ where $n$ is a dimension (as $n=2$ we take  $w=-\log |x-y|$). As $y\in \Omega$ e cannot plug it in our formulae as $w$ is singular at $x=y$. So we consider $B\_\epsilon$ ball of small radius $\epsilon$ with a center $y$, $\Omega\_\epsilon=\Omega \setminus B\_\epsilon $ domain $\Omega$ with removed $B\_\epsilon$ and $\Sigma\_\epsilon=\Sigma \cup S\_\epsilon$ its boundary, where
$S\_\epsilon$ is the sphere of radius $\epsilon$ with a center $y$. We get \begin{multline}
\int\_{\Omega\_\epsilon}
\bigl(w\Delta u-u\Delta w\bigr)\,dV = \int\_\Sigma
\bigl(u\frac{\partial w}{\partial \nu}-w\frac{\partial u}{\partial \nu}\bigr)\, dS \\\\
+\int\_{S\_\epsilon} \bigl(u\frac{\partial w}{\partial \nu}-
w\frac{\partial u}{\partial \nu}\bigr)\,dS. \qquad
\label{eq-7.2.5} \end{multline}

<center>![image](./F7.2-1.svg)</center>

Let us consider the last term in (\ref{eq-7.2.5}) as $\epsilon \to 0$.
Note that on $S\_\epsilon$ $w=\epsilon^{2-n}$ and therefore
$|\int\_{S\_\epsilon} w \frac{\partial u}{\partial \nu}\,dS|$
does not exceed $C\epsilon^{n-1}\times \epsilon^{2-n}=C\epsilon$
so it tends to $0$. We used that the area of $S\_\epsilon$ is
$\sigma\_n \epsilon^{n-1}$ (where $\sigma\_2=2\pi$, $\sigma\_3=4\pi$).

For $\int\_{S\_\epsilon} u \frac{\partial w}{\partial \nu}\,dS$
we need more sophisticated arguments because
$\frac{\partial w}{\partial \nu}= (n-2)\epsilon^{1-n}$ on $S\_\epsilon$ (really,
here $\nu$ is a radial direction away from $y$; as $n=2$ we get $-\epsilon^{-1}$). Consider
\begin{equation}
\int\_{S\_\epsilon} u \frac{\partial w}{\partial \nu}\,dS= \int\_{S\_\epsilon}
\bigl(u-u(y)\bigr) \frac{\partial w}{\partial \nu}\,dS+
u(y) \int\_{S\_\epsilon} \frac{\partial w}{\partial \nu}\,dS
\label{eq-7.2.6}
\end{equation}
(old trick to add and subtract constant). An absolute value of the first term does not exceed $C\max \_{x\in S\_\epsilon} |u(x)-u(y)|\to 0$ as
$\epsilon\to 0$. The first term just equals $(n-2)\sigma\_n u(y)$.


**<span id="exercise-7.2.1"></span>Exercise 1.**
Prove that $\Delta w=0$ as $x\ne y$.


 Therefore (\ref{eq-7.2.5}) becomes
\begin{equation\*}
\int\_{\Omega} w\Delta u\,dV =
\int\_\Sigma \bigl(u\frac{\partial w}{\partial \nu}-
w\frac{\partial u}{\partial \nu}\bigr)\, dS+ (n-2)\sigma\_n u(y)\qquad
\end{equation\*}
where the term on the left is a usual improper integral and we have proven

**<span id="thm-7.2.1"></span>Theorem 1.**
As $\Omega$ is bounded domain with a boundary $\Sigma$, and $y\in \Omega $ (and in particular, $y\notin \Sigma$)
\begin{multline}
u(y)=\int\_{\Omega} G(x,y)\Delta u(x)\,dV  \\\\
+ \int\_\Sigma \bigl(-u(x)\frac{\partial G}{\partial \nu\_x}(x,y) +G(x,y)\frac{\partial u}{\partial \nu}(x)\bigr)\, dS \quad
\label{eq-7.2.7}
\end{multline}
with
\begin{equation}
G(x,y)=\left\\{\begin{aligned}
-&\frac{1}{(n-2)\sigma\_n}|x-y|^{2-n}&& n\ne 2,\\\\
-&\frac{1}{4\pi}|x-y|^{-1} &&n=3,\\\\
&\frac{1}{2\pi}\log |x-y| &&n=2,\\\\
&\frac{1}{2} |x-y| &&n=1. \end{aligned}\right.
\label{eq-7.2.8}
\end{equation}


###<span id="sect-7.2.2"></span>Potential

**<span id="definition-7.2.1"></span>Definition 1.**
$G(x,y)$ is a *potential*. In particular, as $n=3$ we get a *Coulomb potential* (aka *Newton potential*), and as $n=2$ we get a *logarithmic potential*.
<!--\end{definition}-->

Therefore if we know that $\Delta u=f$ in $\Omega$, $u|\_\Sigma =g$ and $\frac{\partial u}{\partial \nu}=h$ (which is *overdetermined problem* as only one boundary condition is in fact needed) we get
\begin{align}
u(y)=&\int\_{\Omega} G(x,y)f(x)\,dV \label{eq-7.2.9}\\\\
+& \int\_\Sigma G(x,y)h(x)\, dS \notag\\\\
-& \int\_\Sigma g(x)\frac{\partial G}{\partial \nu\_x}\, dS.\notag
\end{align}

**<span id="definition-7.2.2"></span>Definition 2.**

1.  The first term in the right-hand expression is a potential created
    by a charge with density $f$,

2.  The second term in the right-hand expression is a potential created
    by a charge with surface density $h$ (aka *single layer
    potential*),

3.  The third term in the right-hand expression is a double layer
    potential.


**<span id="remark-7.2.2"></span>Remark 2.**
In fact we can consider two surfaces $\Sigma^--=\Sigma$ and $\Sigma^+$ on the distance exactly $\varepsilon$ from $\Sigma$ on its "outer" side and density $-\varepsilon^{-1}g$ on $\Sigma^-$ and $\varepsilon g$ on $\Sigma^+$ (we can extend $g$ and as long as this extension is smooth it does not matter how),
consider corresponding single layer potential, and then tend
$\varepsilon\to +0$.

<center>![image](./F7.2-2.svg)</center>


**<span id="remark-7.2.3"></span>Remark 3.**
It is known that volume on $n$-dimensional ball is
\begin{equation\*}
\omega\_n=\left\\{\begin{aligned}
& \frac{\pi^{n/2}} {(n/2)!}&&\text{for even }\ n,\\\\
& \frac{2^{(n+1)/2}\pi^{(n-1)/2}}{n!!}&&\text{for odd }\ n,
\end{aligned}\right.
\end{equation\*}
where $m!!=m(m-2)(m-4)\cdots$ (the last factor $2$ or $1$ for even and
odd $m$) and $\sigma\_n=n\omega\_n$.


###<span id="sect-7.2.3"></span>Laplace equation in $\mathbb{R}^n$
This formula (\ref{eq-7.2.9}) as we expand $\Omega$ to the whole space
becomes $\mathbb{R}^n$

**<span id="thm-7.2.2"></span>Theorem 2.**
Let $n\ge 3$. If $f$ decays fast enough at infinity then
\begin{equation}
u(y)=\int\_{\mathbb{R}^n} G(x,y)\Delta u(x)\,dV
\label{eq-7.2.10}
\end{equation}
solves equation
\begin{equation}
\Delta u=f \label{eq-7.2.11}
\end{equation}
with conditions at infinity
\begin{align}
& u=O(r^{2-n}),\label{eq-7.2.12}\\\\
& \partial\_r u =O(r^{1-n})&&\text{as }\ r=|x|\to \infty\label{eq-7.2.13} \end{align}


###<span id="sect-7.2.4"></span>Mean-value theorem

Consider $\Omega$ a ball of radius $r$ with a center in $y$. Let
$u$ be a harmonic function (i.e. $\Delta u=0$) in $\Omega$. Then

1.  The first term in the right-hand expression of (\ref{eq-7.2.7}) is
    $0$,
2.  Breaking the second term of (\ref{eq-7.2.7}) into
	\begin{equation\*}
    -\int\_\Sigma u(x)\frac{\partial G}{\partial \nu\_x}(x,y)\,dS
    +\int\_\Sigma G(x,y)\frac{\partial u}{\partial \nu}(x)\, dS
    \end{equation\*}
    in the second part we can drag factor $G(x,y)$ out of integral where remains $\int\_\Sigma \frac{\partial u}{\partial \nu}\, dS=-\int\_V \Delta u\,dV=0$

3.  In the first part we can drag factor $\frac{\partial G}{\partial  \nu\_x}$ out of integral where remains $\int\_\Sigma u\,dS$ and we get
\begin{equation}
u(y)= \frac{1}{\sigma\_n r^{n-1}} \int\_\Sigma u(x)\, dS.
\label{eq-7.2.14}
\end{equation}
So we proved statement (1) of

**<span id="thm-7.2.3"></span>Theorem 3.**

1.  If $u$ is harmonic in the ball $B(y,r)$ of radius $r$ then in
    its center $y$ the value of $u$ is a mean value of $u$ over
    the sphere $S(y,r)$ bounding this ball.

2.  If $u$ is harmonic in the ball $B(y,r)$ of radius $r$ then in
    its center the value of $u$ is a mean value of $u$ over this
    ball.

*Proof.*
To prove (2) one should note from (1) that
$\int \_{S(y,\rho)}u(x)\,dS= \sigma\_n \rho^{n-1}u(y)$ for any
$\rho\in (0,r)$ and then
\begin{equation\*}
\int \_{B(y,r)}u(x)\,dx=
\int\_0^r\bigl(\int
\_{S(y,\rho)}u(x)\,dS\bigr)\,dr= u(y) \times \sigma\_n\int\_0^r
\rho^{n-1}\,d\rho
\end{equation\*}
and that $\sigma\_n\int\_0^r \rho^{n-1}\,d\rho$ is a volume of $B(y,r)$.



###<span id="sect-7.2.5"></span>Maximum and minimum principle

**<span id="thm-7.2.4"></span>Theorem 4.**
If $u$ is a harmonic function in the bounded domain $\Omega$ with a
boundary $\Sigma$ then

1.  $\max\_\Omega u=\max\_\Sigma u$ and $\min\_\Omega u=\min\_\Sigma u$;

2.  If $\Omega$ is connected and $u(y)=\max\_\Omega u$ (or
    $u(y)=\min\_\Omega u$) for some inner point $y$ then
    $u=\const$.

*Proof.*
Assume that $u(y)=\max\_\Omega u$ for some inner point
$y$. Consider the largest ball $B(y,r)$ containing in $\Omega$.
By mean-value theorem $u(y)$ is a mean-value of $u$ over this ball
but it is also a maximal value of $u$ in this ball and therefore
$u(x)=u(y)$ in this ball. Then any point on $S(y,r)$ could be used
as a "new $y$" and we can continue. Eventually each point of $x$
which could be connected to $y$ by a continuous curve inside of
$\Omega$ will be covered and then in this point $u(x)=u(y)$. So, in
the connected component of $\Omega$ containing $y$ $u=u(y)$ and
it will be true on its border. Then $\max\_\Sigma u\ge u(y)=
\max\_\Omega u$; but $\max\_\Omega u\ge \max\_\Sigma u$ and
therefore (1) has been proven.

It also proves (2) as now we assume that $\Omega$ is connected.



###<span id="sect-7.2.6"></span>Unicity for Dirichlet Problem

**<span id="thm-7.2.5"></span>Theorem 5.**

1.  Let $\Omega$ be a bounded domain. Then solution of Dirichlet
    problem in $\Omega$ for Laplace equation is unique.

2.  Let $\Omega$ be an unbounded domain. Then solution of Dirichlet
    problem in $\Omega$ for Laplace equation is unique under
    condition at infinity: $|u|\to 0$ as $|x|\to \infty$.



*Proof.*
Consider $u$ solving $\Delta u=0$, $u|\_\Sigma=0$) and
satisfying condition at infinity in (2)).

1.  Due to maximum and minimum principle
\begin{equation\*}
0=\min\_\Sigma u \le u(y) \le \max\_\Sigma u =0\qquad \text{for }\ y\in \Omega.
\end{equation\*}

2.  Consider ball $B(0,R)$ and domain $\Omega\_R=\Omega \cap B(0,R)$. Its
 boundary is $\Sigma\_R:=(\Sigma \cap B(0,R))\cup (\Omega \cap S(0,R))$. Then as $R\ge |y|$
\begin{equation\*}
    \min\_{\Sigma\_R} u \le u(y) \le \max\_{\Sigma\_R}u
    \end{equation\*}
    but
    \begin{equation}
    \min\_{\Sigma\_R} u =
    \min \bigl(\min\_{\Sigma \cap B(0,R)}u, \min\_{\Omega \cap  S(0,R)} u\bigr)
    \label{eq-7.2.15}
    \end{equation}
    if $\Sigma \cap B(0,R)\ne \emptyset$, otherwise the we get just
    $\min\_{\Omega \cap S(0,R)} u$. However $\min\_{\Omega \cap S(0,R)} u\to 0$
    as $R\to \infty$ due to condition to infinity. Also
    $\min\_{\Sigma \cap B(0,R)}u=0$ and therefore the left-hand
    expression in (\ref{eq-7.2.15}) tends to $0$ as $R\to \infty$.

Similarly the right-hand expression in (\ref{eq-7.2.15}) tends to $0$ as
$R\to \infty$ and we have $0\le u(y)\le 0$.


---------------

[$\Leftarrow$](./S7.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S7.3.html)

