<link href="../markdown.css" rel="stylesheet"></link>

<title>8.1. Separation of variable in spherical coordinates</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

#Chapter 8. Separation of variables

##8.1. Separation of variable in spherical coordinates
-------------------

> 1.  [Laplace equation in the ball](#sect-8.1.1)
> 2.  [Laplace equation outside of the ball](#sect-8.1.2)
> 3.  [Applications to the theory of Hydrogen atom](#sect-8.1.3)
> 4.  [Applications to wave equation in the ball](#sect-8.1.4)

###<span id="sect-8.1.1"></span>Laplace equation in the ball

Consider Laplace equation in spherical coordinates defined by
([6.3.7](../Chapter6/S6.3.html#mjx-eqn-eq-6.3.7))--([6.3.8](../Chapter6/S6.3.html#mjx-eqn-eq-6.3.8))
\begin{equation}
\Delta =\partial\_\rho^2 + \frac{2}{\rho}\partial\_\rho +
\frac{1}{\rho^2}\Lambda
\label{eq-8.1.1}
\end{equation}
with
\begin{equation}
\Lambda:=
\bigl(\partial\_{\phi}^2 + \cot(\phi)\partial\_\phi \bigr) +\frac{1}{\sin^2(\phi)}\partial\_{\theta}^2.
\label{eq-8.1.2}
\end{equation}
Let us plug $u=P(\rho)Y(\phi,\theta)$ into $\Delta u=0$: \begin{equation\*}
P''(\rho)Y(\phi,\theta) + \frac{2}{\rho}P' (\rho)Y(\phi,\theta) + \frac{1}{\rho^2} P(\rho)\Lambda Y(\phi,\theta)=0
\end{equation\*}
which could be rewritten as
\begin{equation\*}
\frac{\rho^2 P''(\rho) + \rho P' (\rho)}{P(\rho)}+
\frac{\Lambda Y(\phi,\theta)}{Y(\phi,\theta)}=0
\end{equation\*}
and since the first term depends only on $\rho$ and the second only on
$\phi, \theta$ we conclude that both are constant:
\begin{align}
&\rho^2 P'' +2\rho P' = \lambda P,\label{eq-8.1.3}\\\\[3pt]
&\Lambda Y(\phi,\theta)=-\lambda Y(\phi,\theta).
\label{eq-8.1.4}
\end{align}
The first equation is of Euler type and it has solutions $P:=\rho^l$ iff
$\lambda= l(l+1)$. However if we are considering ball, solution *must* be infinitely smooth in its center due to some general properties of Laplace equation and this is possible iff $l=0,1,2,\ldots$ and in this case $u$ must be a polynomial of $(x,y,z)$.

**<span id="definition-8.1.1"></span>Definition 1.**
Such polynomials are called *harmonic polynomials*.


One can prove

**<span id="thm-8.1.1"></span>Theorem 1.**
Harmonic polynomials of degree $l$ form
$(2l+1)$-dimensional space.

[Table 1](id:table-8.1.1)

|$l$| Basis in the space of harmonic polynomials |
|---|--------------------------------------------|
|$0$|  $1$                                       |
|$1$|  $x$, $y$, $z$                             |
|$2$|  $xy$, $xz$, $yz$, $x^2-y^2$, $x^2-z^2$    |
|$3$|  $x^3-3xz^2$, $y^3-3yz^2$, $xz^2-xy^2$, $yz^2-yx^2$, |
|   | $xyz$, $x^2z-y^2z$, $2z^3-3x^2z-3y^2z$ |



Then
\begin{equation}
\Lambda Y(\phi,\theta)=-l(l+1)Y(\phi,\theta).
\label{eq-8.1.5}
\end{equation}

**<span id="definition-8.1.2"></span>Definition 2.**
Solutions of $\Lambda v=0$ are called *spherical harmonics*.


To find spherical harmonics we apply method of separation of variables again:
$Y(\phi,\theta)=\Phi(\phi)\Theta(\theta)$.
Recalling (\ref{eq-8.1.2}) we see that
\begin{equation}
\underbracket{\frac{\sin^2(\phi) \bigl(\Phi'' +
\cot(\phi)\Phi' \bigr)}{\Phi}+l(l+1)\sin^2(\phi)} +
\underbracket{\frac{\Theta''}{\Theta}}=0.
\label{eq-8.1.6}
\end{equation}
Therefore again both terms in the left-hand expression must be constant: \begin{align}
&\sin^2(\phi) \bigl(\Phi'' +\cot(\phi)\Phi' \bigr) =
 -\bigl(l(l+1)\sin^2(\phi) -\mu \bigr)\Phi,
 \label{eq-8.1.7}\\\\[3pt]
 &\Theta''=-\mu\Theta.
\label{eq-8.1.8}
\end{align}
The second equation is easy, and keeping in mind $2\pi$-periodicity of $\Theta$ we get $\mu=m^2$ and $\Theta = e^{-im\phi}$ with $m=-l,1-l,\ldots,l-1,l$ (for $|m|\>l$ we would not get a polynomial).

Therefore (\ref{eq-8.1.7}) becomes
\begin{equation}
\sin^2(\phi)
\Phi'' +\sin(\phi)\cos(\phi)\Phi' = -\bigl(l(l+1)\sin^2(\phi) -m^2\bigr)\Phi,
\label{eq-8.1.9}
\end{equation}

One can prove that $\Phi$ is a polynomial of $\cos(\phi)$:

**<span id="thm-8.1.2"></span>Theorem 2.**
$\Phi(\phi)=L(\cos(\phi))$ where $L=P^m_l(z)$ is a polynomial for even $m$ and $L=P^m_l(z)$ is a polynomial multiplied by $\sqrt{1-z^2}$ for odd $m$.


Such polynomials are called
[Legendre polynomials](http://en.wikipedia.org/wiki/Legendre_polynomials) as
$m=0$ and
[Associated Legendre polynomials](http://en.wikipedia.org/wiki/Associated_Legendre_polynomials)
as $m\ne 0$.

Therefore we number
[spherical harmonics](http://en.wikipedia.org/wiki/Spherical_harmonics) by $l,m$: we have $Y\_{lm}$ with $l=0,1,\ldots$ and $m=-l,-l+1,\ldots,l-1,l$.

**<span id="remark-8.1.1"></span>Remark 1.**

a. We are talking now about spherical harmonics with separated $\phi,\theta$; linear combination of spherical harmonics with the same $l$ but different $m$ is again a spherical harmonic albeit without separated $\phi,\theta$.
b. Such harmonics for a basis in the linear space of spherical harmonics with fixed $l$;
c. Choice of the polar axis $z$ matters here: selecting other direction bring us a different basis.


###<span id="sect-8.1.2"></span>Laplace equation outside of the ball
Consider solutions of the Laplace equation for $\rho\>0$ decaying as
$\rho\to \infty$. Since spherical harmonics are already defined we
have $\lambda=-l(l+1)$ and then $P=\rho^{k}$ with $k\<0$
satisfying $k(k+1)=l(l+1)$ which implies that $k=-1-l$. In
particular we get from [Table 1](#table-8.1.1)

[Table 2.](id:table-8.1.2)

|$l$| Basis in the space of homogeneous harmonic functions |
|---|------------------------------------------------------|
|$0$|  $1$                                                 |
|$1$|  $x/\rho^3$, $y/\rho^3$, $z/\rho^3$                  |
|$2$|  $xy/\rho^5$, $xz/\rho^5$, $yz/\rho^5$, $(x^2-y^2)/\rho^5$, $(x^2-z^2)/\rho^5$    |

with $\rho=(x^2+y^2+z^2)^{1/2}$.



###<span id="sect-8.1.3"></span>Applications to the theory of Hydrogen atom

Spherical harmonics play crucial role in the problems with the spherical symmetry, in particular mathematical theory of
Hydrogen-like atoms (with $1$-electron):
\begin{equation}
-\frac{\hbar^2}{2\mu}\Delta \Psi - \frac{Ze^2}{\rho} \Psi = E\Psi. \label{eq-8.1.10}
\end{equation}
Here $\hbar$ is a Planck constant, $-Ze$ is the charge of the nucleus, $e$ is the charge of electron, $\mu$ is its mass, $E\<0$ is an energy level.

After separation of variables we get
$\Psi = P(\rho)Y\_{lm}(\phi,\theta)$ with $P$ satisfying
\begin{equation}
-P'' -\frac{2}{\rho}P' - \frac{\eta}{\rho}P +
\frac{l(l+1)}{\rho^2}P = -\alpha^2P
\label{eq-8.1.11}
\end{equation}
with $\eta= 2\mu Ze^2 \hbar^{-2}$, $\alpha= (-2E\mu )^{\frac{1}{2}}\hbar^{-1}$.

Solutions are found in the form of $e^{-\alpha\rho}\rho^l Q(\rho)$ where $Q(\rho)$ is a polynomial satisfying
\begin{equation}
\rho Q''+(2l+2-2\alpha \rho)+(\eta-2\alpha)\rho -2\alpha l)Q=0
\label{eq-8.1.12}
\end{equation}
It is known that such solution (polynomial of degree exactly $n-l-1$, $n=l+1,l+2,\ldots$) exists and is unique (up to a multiplication by a constant) iff $2\alpha (n-1)+ 2\alpha -\eta=0$ i.e. $\alpha= \frac{\eta}{2n}$ and also $l\le n-1$. Such polynomials are called
[Laguerre polynomials](http://en.wikipedia.org/wiki/Laguerre_polynomials).

Therefore $E\_n =- \frac{\kappa}{n^2}$ (one can calculate $\kappa$) and has multiplicity $\sum\_{l=0}^{n-1} \sum\_{m=-l}^l 1=
\sum\_{l=0}^{n-1} (2l+1)=\frac{1}{2}n(n+1)$.

**<span id="remark-8.1.2"></span>Remark 2.**
We see that $E\_n$ are very degenerate. Different perturbations decrease or remove degenerations splitting these eigenvalues into clusters of less degenerate or non-degenerate eigenvalues.


###<span id="sect-8.1.4"></span>Applications to wave equation in the ball

Consider now 3D-wave equation in the ball
\begin{equation}
u\_{tt}-c^2 \Delta u=0\qquad \rho \le a
\label{eq-8.1.13}
\end{equation}
with Dirichlet or Neumann boundary conditions. Separating $t$ and the spatial variables $u=T(t) v(x,y,z)$ we get *Helmholtz equation*
\begin{equation}
\Delta v=-\lambda v\qquad \rho \le a \label{eq-8.1.14}
\end{equation}
with the same boundary condition and
\begin{equation}
T''=-c^2 \lambda T
\label{eq-8.1.15}
\end{equation}
Separating $\rho$ from spherical variables $\phi,\theta$ we get
\begin{equation\*}
\underbracket{\frac{\rho^2 P''+2\rho P'+\lambda P}{P}}+
\underbracket{\frac{\Lambda Y }{Y}}=0
\end{equation\*}
and therefore both selected expressions must be $\mu$ and $-\mu$ respectively. So $Y(\phi,\theta)$ is a spherical harmonic and $\mu=l(l+1)$. Then
\begin{equation}
\rho^2 P''+2\rho P'+(\lambda \rho^2 - l(l+1)  )P=0.
\label{eq-8.1.16}
\end{equation}
As $\lambda=1$ solutions are *[spherical Bessel functions](http://en.wikipedia.org/wiki/Bessel_function#Spherical_Bessel_functions:_jn.2C_yn)* $j\_l$ and $y\_l$ which are called spherical Bessel functions of the 1st kind and of the 2nd kind, respectively, and the former are regular at $0$.


So $P=j_l(\rho\sqrt{\lambda})$ and for $u$ to satisfy Dirichlet or Neumann  boundary conditions we need to impose the same conditions to $P$ resulting in
\begin{gather}
j\_l (a\sqrt{\lambda}) =0,\\\\
j'\_l (a\sqrt{\lambda}) =0,\end{gather}
and then $\lambda = z_{l,n}^2a^{-2}$ and $\lambda = w_{l,n}^2a^{-2}$ respectively where $z_{l,n}$ and $w_{l,n}$ are $n$-th zero of $j_l$ or $j_l'$ respectively.

---------------

[$\Leftarrow$](../Chapter7/S7.3.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S8.2.html)
