<link href="../markdown.css" rel="stylesheet"></link>

<title>9.1. Wave equation</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$

#Chapter 9. Wave equation

##9.1. Wave equation in dimensions $3$ and $2$

> 1.  [$3D$-Wave equation: special case](#sect-9.1.1)
> 2.  [$3D$-Wave equation: general case](#sect-9.1.2)
> 3.  [Spherical means](#sect-9.1.3)
> 4.  [$2D$-wave equation: method of descent](#sect-9.1.4)
> 5.  [Limiting amplitude principle](#sect-9.1.5)
> 6.  [Remarks](#sect-9.1.6)

###<span id="sect-9.1.1"></span>$3D$-Wave equation: special case

Consider Cauchy problem for $3$-dimensional wave equation
\begin{align}
& u\_{tt}-c^2\Delta u=f,\label{eq-9.1.1}\\\\[3pt]
& u|\_{t=0}=g,\label{eq-9.1.2}\\\\[3pt]
 & u\_t|\_{t=0}=h.\label{eq-9.1.3}
\end{align}

Assume first that $f=g=0$. We claim that in this case as $t\>0$
\begin{equation}
u(x,t)= \frac{1}{4\pi c ^2 t} \iint \_{S(x,ct)} h(y)\,d\sigma
\label{eq-9.1.4}
\end{equation}
where we integrate along sphere $S(x,ct)$ with a center at $x$ and radius $ct$;
$d\sigma$ is an area element.

Let us prove (\ref{eq-9.1.4}) first as $h(x)=e^{ix\cdot \xi}$ with
$\xi\in \mathbb{R}^3\setminus 0$; we use the standard notation
$x\cdot \xi=x\_1\xi\_1+x\_2\xi\_2+x\_3\xi\_3$. In this case
\begin{equation}
u(x,t)=e^{ix\cdot \xi}c^{-1}|\xi|^{-1}\sin (ct|\xi|)
\label{eq-9.1.5}
\end{equation}
is obviously a solution to Cauchy problem (\ref{eq-9.1.1})--(\ref{eq-9.1.3}).

On the other hand, the right-hand expression of (\ref{eq-9.1.4}) becomes
\begin{equation\*}
\frac{1}{4\pi c ^2 t}\iint \_{S(x,ct)} e^{iy\cdot \xi}\,d\sigma=
\frac{1}{4\pi c ^2 t}e^{ix\cdot \xi}\iint \_{S(0,ct)} e^{iz\cdot \xi}\,d\sigma \end{equation\*}
where we changed variable $y=x+z$ with $z$ running $S(0,ct)$ (sphere with a center at $0$) and we need to calculate integral in the right-hand expression. Let us select coordinate system in which $\xi=(0,0,\omega)$ with $\omega =|\xi|$ and introduce corresponding spherical coordinates $(\rho,\phi,\theta)$; then on
$S(0,ct)$ $\rho=ct$, $z\cdot \xi= z\_3\omega= ct \omega \cos(\phi)$ and $d\sigma=c^2t^2 \sin(\phi)d\phi d\theta$; so integral becomes
\begin{multline\*}
c^2t^2 \int\_0^\pi e^{i ct \omega \cos(\phi)}\sin(\phi) \,d\phi \int\_0^{2\pi} d\theta=\\\\
-2\pi c^2t^2 \int\_0^\pi e^{i ct \omega \cos(\phi)} \,d\cos(\phi) =
2\pi c^2t^2 \frac{1}{ic t\omega}
\Bigl( e^{i ct \omega }- e^{-i ct \omega } \Bigr)=\\\\
4\pi ct \omega^{-1} \sin (ct\omega)
\end{multline\*}
and multiplying by $e^{ix\cdot\xi}$ and dividing by $4\pi c^2t$ we get
 $e^{ix\cdot\xi} c^{-1}|\xi|^{-1} \sin (ct|\xi|)$ which is the right-hand expression of (\ref{eq-9.1.5}).

So, for $h(x)=e^{ix\cdot \xi}$ (\ref{eq-9.1.4}) has been proven.
However the general function $h(x)$ could be decomposed into such
special functions using *multidimensional Fourier transform* and
*multidimensional Fourier integral* which is nothing but repeated
$1$-dimensional Fourier transform and Fourier integral:
\begin{gather}
h(x)=\iiint \hat{h}(\xi) e^{ix\cdot\xi}\,d\xi,\label{eq-9.1.6}\\\\[3pt]
\hat{h}(\xi)=(2\pi)^{-n}\iiint h(x) e^{-ix\cdot\xi}\,dx\label{eq-9.1.7} \end{gather}
and therefore (\ref{eq-9.1.4}) extends to general functions as well.

**<span id="remark-9.1.1"></span>Remark 1.**
We should deal with the fact that only decaying functions could be decomposed into Fourier integral, but this is easy due to the fact that integral in (\ref{eq-9.1.4}) is taken over bounded domain.

###<span id="sect-9.1.2"></span>$3D$-Wave equation: general case

To cover $t\<0$ we replace (\ref{eq-9.1.4}) by \begin{equation} u(x,t)=
\frac{1}{4\pi c t} \iint \_{S(x,c|t|)} h(y)\,d\sigma \label{eq-9.1.8}
\end{equation} which is obvious as $u$ must be odd with respect to
$t$.

Consider now $g\ne 0$. Let $v$ be given by (\ref{eq-9.1.8}) with $h$
replaced by $h$; then
\begin{align\*}
& v\_{tt}-c^2\Delta v=0,\\\\[3pt]
& v|\_{t=0}=0,\\\\[3pt]
& v\_t|\_{t=0}=g.
\end{align\*}
Then $\Delta v|\_{t=0}=0$ and therefore $v\_{tt}|\_{t=0}=0$ and therefore differentiating equation with respect to $t$ we conclude
that $u:=v\_t$ solves
\begin{align\*}
& u\_{tt}-c^2\Delta u=0,\\\\[3pt]
& u|\_{t=0}=g,\\\\[3pt] & u\_t|\_{t=0}=0.
\end{align\*}
Now
\begin{equation}
u(x,t)= \frac{\partial\ }{\partial t}
\Bigl(\frac{1}{4\pi c^2 t} \iint \_{S(x,c|t|)} g(y)\,d\sigma\Bigr). \label{eq-9.1.9}
\end{equation}
Therefore solving separately (\ref{eq-9.1.1})--(\ref{eq-9.1.3}) for $f=g=0$ (given by (\ref{eq-9.1.8})) and for $f=h=0$ (given by (\ref{eq-9.1.9}) and adding solutions due to linearity we arrive to
\begin{equation}
u(x,t)=
\frac{\partial\ }{\partial t}
\Bigl(\frac{1}{4\pi c^2 t} \iint\_{S(x,c|t|)} g(y)\,d\sigma\Bigr)+
\frac{1}{4\pi c ^2 t} \iint \_{S(x,c|t|)} h(y)\,d\sigma
\label{eq-9.1.10} \end{equation}
covering case $f=0$.

To cover case of arbitrary $f$ but $g=h=0$ we apply Duhanel integral
formula (see [Subsection 2.5.2](../Chapter2/S2.5.html#sect-2.5.2)). Consider problem
\begin{align\*}
& U\_{tt}-c^2\Delta U=0,\\\\[3pt]
& U|\_{t=\tau}=0,\\\\[3pt]
& U\_t|\_{t=\tau}=f(x,\tau).
\end{align\*}
Its solution is given by
\begin{equation\*}
U(x,t,\tau) =
\frac{1}{4\pi c^2(t-\tau)} \iint\_{S(x,c|t-\tau|) } f(y,\tau)\,d\sigma
\end{equation\*}
and therefore
\begin{equation}
u(x,t) =
\int\_0^t\frac{1}{4\pi c^2(t-\tau)} \iint\_{S(x,c|t-\tau|)} f(y,\tau)\,d\sigma d\tau.
\label{eq-9.1.11}
\end{equation}
Assembling (\ref{eq-9.1.10}) and (\ref{eq-9.1.11}) together we arrive to *Kirchhoff formula*
\begin{multline}
 u(x,t)=  \frac{\partial\ }{\partial t}
 \Bigl(\frac{1}{4\pi c^2 t} \iint \_{S(x,c|t|)} g(y)\,d\sigma\Bigr)+
\frac{1}{4\pi c^2 t} \iint \_{S(x,c|t|)} h(y)\,d\sigma +\\\\
\int\_0^t \frac{1}{4\pi c^2(t-\tau)} \iint\_{S(x,c|t-\tau|) } f(y,\tau)\,d\sigma d\tau. \qquad
\label{eq-9.1.12}
\end{multline} providing solution to (\ref{eq-9.1.1})--(\ref{eq-9.1.3}).

**<span id="remark-9.1.2"></span>Remark 2.**
As $t\>0$ one can rewrite the right-hand expression in
(\ref{eq-9.1.11}) as
\begin{equation}
\iiint\_{B(x,ct)} \frac{1}{4\pi c^2 |x-y|}f(y,t-c^{-1}|x-y|)\,dy \label{eq-9.1.13}
\end{equation}
where we we integrate over ball $B(x,ct)$ of radius $ct$ with the center
at $x$.

###<span id="sect-9.1.3"></span>Spherical means

**<span id="definition-9.1.1"></span>Definition 1.**
$M\_r(h, x)=\frac{1}{4\pi r^2} \int\_{S(x,r)} h(y)\,d\sigma$ is a *spherical mean* of $h$. Recall that $4\pi r^2$ is an area of $S(x,r)$.

Therefore (\ref{eq-9.1.8}) is exactly $ u(x,t)= t M\_{c|t|} (h,x)$ and
all other formulae (\ref{eq-9.1.9})--(\ref{eq-9.1.13}) could be modified
similarly.

###<span id="sect-9.1.4"></span>$2D$-wave equation: method of descent

Consider now the same problem (\ref{eq-9.1.1})--(\ref{eq-9.1.3}) but in
dimension $2$. To apply (\ref{eq-9.1.12}) we introduce a third spatial
variable $x\_3$ and take $f$, $g$, $h$ not depending on it; then
$u$ also does not depend on $x\_3$ and solves original $2D$-problem.

So, the right-hand expression in (\ref{eq-9.1.8}) becomes for $\pm t\>0$
\begin{equation}
\frac{1}{4\pi c^2t} \iint \_{S(x,c|t|)} h(y)\,d\sigma=
\pm \frac{1}{2\pi c} \iint \_{B(x,c|t|)} \frac{h(y)}{\sqrt{c^2t^2-|x-y|^2}}\,dy \label{eq-9.1.14}
\end{equation}
where $y=(y\_1,y\_2)$ and we took into account that $S(x,ct)$ covers disk $B(x,c|t|)$ twice (so factor $2$ appears) and
$d\sigma = \pm \frac{ct}{\sqrt{c^2t^2-|x-y|^2}}\,dy$, $dy=dy\_1dy\_2$.

Thus (\ref{eq-9.1.12}) implies that for $\pm t\>0$
\begin{multline}
u(x,t)= \pm\frac{\partial\ }{\partial t}
\Bigl(\frac{1}{2\pi c} \iint \_{B(x,c|t|)} \frac{g(y)}{\sqrt{c^2t^2-|x-y|^2}}
\,d y\Bigr) \\\\
\pm \frac{1}{2\pi c } \iint \_{B(x,c|t|)} \frac{h(y)}{\sqrt{c^2t^2-|x-y|^2}}\,dy \\\\
 \pm \int\_0^t \frac{1}{2\pi c } \iint\_{B(x,c|t-\tau|) }
\frac{f(y,\tau)}{\sqrt{c^2(t-\tau)^2-|x-y|^2}}\,dy d\tau. \qquad \label{eq-9.1.15}
\end{multline}

###<span id="sect-9.1.5"></span>Limiting amplitude principle

Let $n=3$. Consider solution to inhomogeneous wave equation with a special right-hand expression
\begin{equation}
\Delta u -c^{-2}u\_{tt} = f(x)e^{i\omega t}
\label{eq-9.1.16}
\end{equation}
where $\omega\ne 0$ and $f(x)$ does not depend on $t$ and fast decays as
$|x|\to \infty$. Assume  that $g(x)=u(x,0)$ and $h(x)=u\_t (x,0)$ also fast decay as $|x|\to \infty$. Plugging all these functions into Kirchhoff formula (\ref{eq-9.1.12}) and considering $|t|\gg 1$ and fixed $x$ we see that
\begin{equation}
|u (x,t) - v^\pm \_\omega (x)e^{i\omega t}|\to 0 \qquad
\text{as\ \ }t\to \pm \infty
\label{eq-9.1.17}
\end{equation}
with
\begin{equation}
v^\pm\_\omega= -\frac{1}{4\pi}\iiint |x-y|^{-1}e^{\mp i\omega c^{-1}|x-y|}\, dy.
\label{eq-9.1.18}
\end{equation}
One can check easily that $v=v^\pm\_\omega$ satisfies *Helmholtz equation*
\begin{equation}
\bigl(\Delta +\frac{\omega^2}{c^2}\bigr)v = f(x)
\label{eq-9.1.19}
\end{equation}
with *Sommerfeld radiating conditions*
\begin{align}
&v  = o(1) &&\text{as }r\to \infty,\label{eq-9.1.20}\\\\
&( \partial\_r   \mp ic^{-1}\omega  )v= o( r^{-1}) &&\text{as }r\to \infty \label{eq-9.1.21}
\end{align}
where $r:=|x|$ and $\partial\_r := |x|^{-1} x\cdot \nabla$.

This is called *Limiting amplitude principle*

**<span id="remark-9.1.3"></span>Remark 3.**

1.  Formula (\ref{eq-9.1.18}) gives us Green function for problem
    (\ref{eq-9.1.19})-(\ref{eq-9.1.21})
    \begin{equation}
    G^\pm\_\omega (x,y)= -\frac{1}{4\pi} |x-y|^{-1}e^{\mp i\omega c^{-1}|x-y|}
    \label{eq-9.1.22}
    \end{equation}
    which coincides as $\omega=0$  with a Green function
    $G(x,y)=-\frac{1}{4\pi} |x-y|^{-1}$;
2.  However now we have two Green functions as (\ref{eq-9.1.22}) distinguishes
    and between them and $u(x,t)$ has different amplitudes $v^\pm\_\omega$
    as $tto \pm \infty$.
3.  For fast–decaying $f$ one can replace in (\ref{eq-9.1.20}) and
    (\ref{eq-9.1.21}) $o(1)$ and $o(r^{-1})$ by $O(r^{-1})$ and $O(r^{-2})$
    respectively.

###<span id="sect-9.1.6"></span>Remarks

**<span id="remark-9.1.4"></span>Remark 4.**
Formulae (\ref{eq-9.1.13}) and (\ref{eq-9.1.15}) could be generalized to the case of odd $n\ge 3$ and even $n\ge 2$ respectively. These formulae imply that
$u(x,t)$ does not depend on $g(y),h(y)$ with $|y-x|\>ct$ and on $f(y,\tau)$ with $|y-x|\>c|t-\tau|$. This could be interpreted as "nothing propagates with a speed exceeding $c$". We will prove it again by completely different method in the next [Section 9.2](./S9.2.html).

**<span id="remark-9.1.5"></span>Remark 5.**

1. As $n\ge 3$ is odd $u(x,t)$ is given by the following formula
\begin{align}
u(x,t)= c^{1-n}\kappa\_n \frac{\partial\ }{\partial t} &\left(\frac{1}{t}\frac{\partial\ }{\partial t}\right)^{\frac{n-3}{2}}
\Biggl(t^{-1}\iint\_{S(x,c|t|)}g(y)\,d \sigma\Biggr)\notag\\\\
+c^{1-n}\kappa\_n
&\left(\frac{1}{t}\frac{\partial\ }{\partial t}\right)^{\frac{n-3}{2}}
\Biggl(t^{-1}\iint\_{S(x,c|t|)}h(y)\,d \sigma\Biggr)
\label{eq-9.1.23}
\end{align}
provided $f=0$ (which could be generalized to $f\ne 0$ using Duhamel principle).

2.  As $n\ge 2$ is even $u(x,t)$ is given by the following formula obtained by
    the method of descent
\begin{align}
\hskip{-20pt}u(x,t)\qquad&\notag\\\\= c^{1-n}\kappa\_n  \frac{\partial\ }{\partial t} &\left(\frac{1}{t}\frac{\partial\ }{\partial t}\right)^{\frac{n-2}{2}}
\Biggl(\iiint\_{B(x,c|t|)}\frac{g(y)}{(c^2t^2-|x-y|^2)^{\frac{1}{2}}}\,dy \Biggr)\notag\\\\
+c^{1-n}\kappa\_n
&\left(\frac{1}{t}\frac{\partial\ }{\partial t}\right)^{\frac{n-2}{2}}
\Biggl(\iiint\_{B(x,c|t|)}\frac{g(y)}{(c^2t^2-|x-y|^2)^{\frac{1}{2}}}\,dy \Biggr)
\label{eq-9.1.24}
\end{align}
provided $f=0$ (which could be generalized to $f\ne 0$ using Duhamel principle).

3. Here $\kappa\_n$ is a numerical coefficient which could be easily calculated from $g \equiv 1,\ h\equiv 0,\ f\equiv 0 \implies u\equiv 1$.

4. In particular, for odd $n\ge 3$  solution $u(x,t)$ does not depend on
    $g(y),h(y)$ with $|y-x|\< ct$ and on $f(y,\tau)$ with $|y-x|\< c|t-\tau|$.
    This could be interpreted as "no leftovers after front passed with a speed
    $c$". In mathematical literature this is called *Huygens principle* (there
    is another Huygens principle aka [*Huygens-Fresnel
    principle*](http://en.wikipedia.org/wiki/Huygens%E2%80%93Fresnel_principle)).
    This property is a rare commodity: adding lower-order terms to the equation breaks it.


---------------

[$\Leftarrow$](../Chapter8/S8.A.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\Rightarrow$](./S9.2.html)


