<link href="../markdown.css" rel="stylesheet"></link>

<title>Problems to Chapter 9</title>

<script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML">
    MathJax.Hub.Config({
        tex2jax: {
            inlineMath: [ ['$','$'], ["\\(","\\)"] ],
            displayMath: [ ['$$','$$'], ["\\[","\\]"] ],},
        TeX: {equationNumbers: {
            autoNumber: "AMS"
          },Augment: {  Definitions: {
           macros: {
             overbracket:  ['UnderOver','23B4',1],
             underbracket: ['UnderOver','23B5',1],
           }
         }}},
    });
</script>

$\renewcommand{\Re}{\operatorname{Re}}$
$\renewcommand{\Im}{\operatorname{Im}}$
$\newcommand{\erf}{\operatorname{erf}}$
$\newcommand{\dag}{\dagger}$
$\newcommand{\const}{\mathrm{const}}$
$\newcommand{\arcsinh}{\operatorname{arcsinh}}$


###Problems to Chapter 9

> 1. [Problem 1](#problem-9.P.1)
> 2. [Problem 2](#problem-9.P.2)
> 3. [Problem 3](#problem-9.P.3)
> 4. [Problem 4](#problem-9.P.4)




**<span id="problem-9.P.1">Problem 1.</span>**

Consider wave equation :
\begin{equation}
u_{tt}-\Delta u=0
\label{eq-9.P.1}
\end{equation}
in the disk $\{r\le a,\ 0\le \theta \le 2\pi\}$.

We consider solution in the form $u=v(r,\theta)e^{i\omega t}$. Then $v$ satisfies Helmholtz equation
\begin{equation}
(\Delta +\omega^2)u=0
\label{eq-9.P.2}
\end{equation}

Separate variables $v=R(r)\Theta(\theta)$. 

1. Write down ODE which should satisfy $\Theta$ and solve it (using periodicity).
2. Write down ODE which should satisfy $R$.

**<span id="problem-9.P.2">Problem 2.</span>**

Consider Laplace equation $\Delta u=0$ 
in the cylinder $\{r\le a,\ 0<z<b,\ 0\le \theta \le 2\pi\}$.


Separate variables $u=R(r)Z(z)\Theta(\theta)$. 

1. Write down ODE which should satisfy $\Theta$ and solve it (using periodicity).
2. Write down ODE which should satisfy $Z$ and solve it using $Z(0)=Z(b)=0$.
3. Write down ODE which should satisfy $R$.


**<span id="problem-9.P.3">Problem 3.</span>**

Consider wave equation (\ref{eq-9.P.1}) 
in the cylinder $\{r\le a,\ 0< z <b,\ 0\le \theta \le 2\pi\}$.

We consider solution in the form $u=v(r,z,\theta)e^{i\omega t}$. Then $v$ satisfies Helmholtz equation (\ref{eq-9.P.2})

Separate variables $v=R(r)Z(z)\Theta(\theta)$. 

1. Write down ODE which should satisfy $\Theta$ and solve it (using periodicity).
2. Write down ODE which should satisfy $Z$ and solve it using $Z(0)=Z(b)=0$.
3. Write down ODE which should satisfy $R$.


**<span id="problem-9.P.4">Problem 4.</span>**

Consider wave equation (\ref{eq-9.P.1}) 
in the ball $\{\rho\le a,\ 0<\phi <\pi,\ 0\le \theta \le 2\pi\}$.

We consider solution in the form $u=v(\rho,\phi,\theta)e^{i\omega t}$. Then $v$ satisfies Helmholtz equation (\ref{eq-9.P.2})

Separate variables $v=P(\rho)\Phi(\phi)\Theta(\theta)$. 

1. Write down ODE which should satisfy $\Theta$ and solve it (using periodicity).
2. Write down ODE which should satisfy $\Phi$.
3. Write down ODE which should satisfy $P$.

*Hint.* In the spherical coordinates
\begin{equation\*}
\Delta u= u\_{\rho\rho}+2\rho^{-1}u\_\rho + 
\rho^{-2}\bigl(\Phi'' +\cot (\phi)\Phi'\bigr) + \rho^{-2}\sin^{-2}(\phi)u\_{\theta\theta}
\end{equation\*}



**<span id="remark-9.P.1"></span>Remark.** "Solve" everywhere means "write down solution without justification".


---------------

[$\Leftarrow$](./S9.1.html)&nbsp;&nbsp;[$\Uparrow$](../contents.html)&nbsp;&nbsp;[$\uparrow$](./S9.2.html)&nbsp;&nbsp;[$\Rightarrow$](../Chapter10/S10.1.html)


